2005-10-22 18:41  descender

	* bmp.spec.in, icons/Makefile.am (release_0_9_7_1):
	  * bmp.spec.in, icons/Makefile.am: Relocate icon back into
	  $prefix/share/pixmaps/.

2005-10-22 18:27  descender

	* configure.ac (release_0_9_7_1):
	  * configure.ac: Add hack to stop libtool from checking for
	  C++/F77.

2005-10-22 18:20  descender

	* AUTHORS, NEWS, bmp.spec.in (release_0_9_7_1):
	  * bmp.spec.in: See %changelog * NEWS: Add note on BMPx.  *
	  AUTHORS: Update.

2005-10-22 17:46  descender

	* m4/libtool.m4 (release_0_9_7_1):
	  * libtool.m4: Remove, let autoconf find the system installed file
	  to avoid  version mismatches with libtool, etc. script when using
	  libtoolize.

2005-10-22 17:08  descender

	* scripts/armageddon.sh (release_0_9_7_1):
	  * armageddon.sh: Remove Makevars.template, not Makevars.

2005-10-22 16:59  descender

	* compile, depcomp, install-sh, ltmain.sh (release_0_9_7_1):
	  * depcomp, compile, ltmain.sh, install-sh: Remove, pulled in by
	  autogen.sh.

2005-10-22 16:45  descender

	* configure.ac (release_0_9_7_1):
	  * configure.ac: Replace C compiler check with AC_LANG([C]).

2005-10-22 16:41  descender

	* autogen.sh, scripts/armageddon.sh, scripts/cleanall.sh,
	  scripts/code-stats.sh, scripts/cvs2cl.pl,
	  scripts/gen-auto-scripts.sh, scripts/genesis.sh,
	  scripts/make-dist.sh, scripts/rm-backups.sh (release_0_9_7_1):
	  * autogen.sh: Update from HEAD.  * scripts/: Update scripts from
	  HEAD.

2005-10-22 16:38  descender

	* po/insert-header.sin, po/quot.sed, po/remove-potcdate.sin,
	  config.guess, config.rpath, config.sub (release_0_9_7_1):
	  * Remove.

2005-10-22 16:36  descender

	* m4/: codeset.m4, gettext.m4, glibc21.m4, iconv.m4, intdiv0.m4,
	  inttypes-pri.m4, inttypes.m4, inttypes_h.m4, isc-posix.m4,
	  lcmessage.m4, lib-ld.m4, lib-link.m4, lib-prefix.m4, nls.m4,
	  po.m4, progtest.m4, stdint_h.m4, uintmax_t.m4, ulonglong.m4
	  (release_0_9_7_1):
	  * Remove, pulled in by autogen.sh.

2005-10-22 16:32  descender

	* po/: Rules-quot, boldquot.sed (release_0_9_7_1):
	  * Rules-quot, boldquot.sed: Remove, pulled in by autogen.sh.

2005-10-22 16:31  descender

	* po/: Makefile.in.in, Makevars.template, en@boldquot.header,
	  en@quot.header (release_0_9_7_1):
	  * Makevars.template: Remove unneeded.  * Makefile.in.in,
	  en@boldquot.header, en@quot.header: Pulled in by  autogen.sh.

2005-10-22 16:28  descender

	* missing, mkinstalldirs (release_0_9_7_1):
	  * missing, mkinstalldirs: Remove, pulled in by autogen.sh.

2005-10-22 16:23  descender

	* TODO (release_0_9_7_1):
	  * TODO: Remove, unused.

2005-10-22 16:21  descender

	* skin/Makefile (release_0_9_7_1):
	  * Makefile: Remove, generated by autoconf.

2005-10-22 16:13  descender

	* skin/Makefile.in (release_0_9_7_1):
	  * Makefile.in: Remove, generated by automake.

2005-10-22 15:43  descender

	* NEWS (release_0_9_7_1):
	  * NEWS: Add entry for 0.9.7.1 release.

2005-10-22 15:39  descender

	* FAQ, NEWS (release_0_9_7_1):
	  * NEWS, FAQ: Add 'no longer maintained' note and point user to
	  BMP Wiki.

2005-10-22 14:47  descender

	* po/zh_CN.po (release_0_9_7_1):
	  * zh_CN.po: Update Simplified Chinese translation.

2005-10-22 14:42  descender

	* po/bmp.pot (release_0_9_7_1):
	  * bmp.pot: Update PO template.

2005-10-22 14:16  descender

	* po/hu.po (release_0_9_7_1):
	  * hu.po: Update Hungarian translation (Dvornik László).

2005-10-16 22:53  quirk_fr

	* po/fr.po: Updated french translation

2005-10-16 22:45  descender

	* AUTHORS, audacious/about.c (release_0_9_7_1):
	  * AUTHORS, audacious/about.c: Update translation credits.

2005-10-16 22:18  descender

	* po/el.po (release_0_9_7_1):
	  * el.po: Update Greek translation (Stavros Giannouris).

2005-10-16 01:21  descender

	* configure.ac (release_0_9_7_1):
	  * configure.ac: Bump version to 0.9.7.1.

2005-10-16 01:20  descender

	* AUTHORS, audacious/bmp.desktop.in, icons/Makefile.am, icons/bmp.png,
	  icons/bmp.svg (release_0_9_7_1):
	  * icons/bmp.svg: Remove.  * icons/Makefile.am: Install icon in
	  $(datadir)/icons/hicolor/48x48/pixmaps.  * audacious/bmp.desktop.in,
	  icons/bmp.png: New icon from BMPx.  * AUTHORS: Update copyleft
	  date.

2005-10-16 00:48  descender

	* po/ka.po (release_0_9_7_1):
	  * ka.po: Update Georgian translation (George Machitidze).

2005-09-13 09:47  descender

	* po/uk.po (release_0_9_7_1):
	  * uk.po: Merge Ukrainian translation update from HEAD.

2005-09-13 09:46  descender

	* po/uk.po:
	  * uk.po: Update Ukrainian translation (Mykola Lynnyk).

2005-09-05 06:36  descender

	* audacious/controlsocket.c (release_0_9_7_1):
	  * audacious/controlsocket.c: Merge fix for #331 from HEAD.

2005-09-05 06:20  descender

	* audacious/controlsocket.c:
	  * controlsocket.c (ctrlsocket_func): Fix crash when output plugin
	  returns zero volume for one channel, and does not return the
	  other i.e. -1 (#331, Mike Lundy).

2005-08-28 04:10  descender

	* audacious/input.c (release_0_9_7_1):
	  * input.c (input_get_song_info): Merge crash fix from HEAD.

2005-08-28 04:07  descender

	* audacious/input.c:
	  * input.c (input_get_song_info): Initialize tmp to NULL to avoid
	  crashing if input plugins do not set the title when getting song
	  info.

2005-08-27 19:20  descender

	* audacious/main.c, audacious/main.h, libaudacious/vfs.h, libaudacious/vfs_gnome.c,
	  libaudacious/vfs_stdio.c (release_0_9_7_1):
	  * audacious/main.c, audacious/main.h, libaudacious/vfs.h, libaudacious/vfs_gnome.c,
	  libaudacious/vfs_stdio.h: Merge VFS initialization changes from HEAD.

2005-08-27 19:04  descender

	* audacious/signals.c:
	  * signals.c (signal_install_handler_full): New function.
	  (signal_handlers_init): Register handler for SIGINT.

2005-08-27 19:01  descender

	* audacious/main.c, audacious/main.h, libaudacious/vfs.h, libaudacious/vfs_gnome.c,
	  libaudacious/vfs_stdio.c:
	  * audacious/main.h: Remove unnecessary GNOME VFS header file #include.
	  * audacious/main.c: Use vfs_init() to initialize VFS subsystem.  *
	  libaudacious/vfs_gnome.c, libaudacious/vfs_stdio.c: New vfs_init()
	  function.

2005-08-22 13:56  descender

	* AUTHORS, audacious/about.c, po/LINGUAS, po/hi.po (release_0_9_7_1):
	  * po/LINGUAS, po/hi.po, AUTHORS, audacious/about.c: Merge new Hindi
	  translation from HEAD.

2005-08-22 13:51  descender

	* po/LINGUAS, po/hi.po, AUTHORS, audacious/about.c:
	  * po/LINGUAS, po/hi.po: New Hindi translation by Dhananjaya
	  Sharma.  * AUTHORS, audacious/about.c: Update translator list.

2005-08-22 13:51  descender

	* po/hi.po (release_0_9_7_1): file hi.po was added on branch
	  release_0_9_7_1 on 2005-08-22 05:56:03 +0000

2005-08-11 15:25  descender

	* libaudacious/beepctrl.c, libaudacious/beepctrl.h, audacious/controlsocket.c,
	  audacious/controlsocket.h, audacious/playlist.c, audacious/playlist.h
	  (release_0_9_7_1):
	  * libaudacious/beepctrl.c, libaudacious/beepctrl.h, audacious/controlsocket.c,
	  audacious/controlsocket.h, audacious/playlist.c, audacious/playlist.h: Merge new
	  XMMS 1.2.11 remote queue and playlist advancement control code
	  from HEAD.

2005-08-11 15:15  descender

	* audacious/controlsocket.c:
	  controlsocket.c (ctrlsocket_func): Replace tab with spaces.

2005-08-11 15:06  descender

	* audacious/controlsocket.h:
	  * controlsocket.h: XMMS moved CMD_IS_ADVANCE and
	  CMD_TOGGLE_ADVANCE to the end for backward compatibility (after
	  Fatal overheard my complaint in #bmp
	  >:), we follow suit.

2005-08-09 13:54  descender

	* audacious/: prefswin.c, glade/prefswin.glade:
	  * prefswin.glade: Remove redundant hbox which contains only
	  category_view's  scrolled window.  * prefswin.c
	  (on_category_view_realize): Move size allocation code for
	  category view from on_category_view_realize1, remove needless
	  run-time typecasts, fix problem restoring category_view item
	  selection across sessions, remove unused code, rename iconview to
	  icon_view.  (change_category): Rename treepath to tree_path.

2005-08-09 12:15  descender

	* audacious/prefswin.c:
	  * prefswin.c (on_category_view_realize1): Replace incorrect use
	  of gtk_tree_path_new_from_indices() with
	  gtk_tree_path_new_first().  (prefswin_keypress): Rename to
	  on_prefswin_key_press_event.

2005-08-09 11:54  descender

	* audacious/: controlsocket.c, playlist.c, playlist.h:
	  * controlsocket.c (ctrlsocket_func): Wrong function name, should
	  be playlist_queue_get_length() instead of
	  get_playlist_queue_length().	* playlist.c
	  (playlist_queue_remove): Change pos to guint.  * playlist.h
	  (playlist_queue_remove, playlist_queue_get_length): Add
	  prototype.

2005-08-09 11:31  descender

	* libaudacious/: beepctrl.c, beepctrl.h:
	  * beepctrl.c, beepctrl.h (xmms_remote_toggle_advance,
	  xmms_remote_is_ advance): New libxmms 1.2.11 functions.

2005-08-09 11:21  descender

	* audacious/: controlsocket.c, controlsocket.h:
	  * controlsocket.h: Match protocol command numbers with XMMS CVS.
	  * controlsocket.c (ctrlsocket_func): Add playlist queue control
	  handling (#299), add handler for CMD_IS_ADVANCE.

2005-08-09 10:32  descender

	* audacious/playlist.c, libaudacious/beepctrl.c, libaudacious/beepctrl.h:
	  * audacious/playlist.c, audacious/playlist.h, libaudacious/beepctrl.c,
	  libaudacious/beepctrl.h: Add XMMS 1.2.11 remote playlist queue control
	  (patch by Erik Jensen, with minor modifications).

2005-08-09 10:14  descender

	* Output/: esd/mixer.c, OSS/mixer.c (release_0_9_7_1):
	  * esd/mixer.c, OSS/mixer.c: Merge fix for #300 from HEAD.

2005-08-09 10:09  descender

	* Output/: OSS/mixer.c, esd/mixer.c:
	  * OSS/mixer.c (oss_get_volume, oss_set_volume): Change cmd to
	  long (Oliver Lehmann, fixes #300).  * ESD/mixer.c
	  (esd_get_oss_volume, esd_set_oss_volume): Change cmd to long
	  (Oliver Lehmann, fixes #300).

2005-08-09 09:29  descender

	* audacious/glade/prefswin.glade:
	  * prefswin.glade: Remove redundant GtkAlignment for Playback
	  page, name label for Playback page for easier identification.

2005-08-09 09:20  descender

	* audacious/mainwin.c:
	  * mainwin.c, ui/mainwin.xml: Restore window roll-up toggles in
	  player window popup.

2005-08-09 08:41  descender

	* audacious/Makefile.am, Input/Makefile.am, Input/mpg123/Makefile.am,
	  libaudacious/Makefile.am, Input/vorbis/Makefile.am,
	  Input/wav/Makefile.am, Visualization/Makefile.am,
	  Visualization/blur_scope/Makefile.am, Output/Makefile.am,
	  Output/OSS/Makefile.am, Output/alsa/Makefile.am,
	  Output/esd/Makefile.am (release_0_9_7_1):
	  * audacious/Makefile.am, libaudacious/Makefile.am, Input/Makefile.am,
	  Input/mpg123/Makefile.am, Input/vorbis/Makefile.am,
	  Input/wav/Makefile.am, Visualization/Makefile.am,
	  Visualization/blur_scope/Makefile.am, Output/Makefile.am,
	  Output/OSS/Makefile.am, Output/alsa/Makefile.am,
	  Output/esd/Makefile.am: Merge GNOME VFS and GConf linkage fixes
	  from HEAD, merge Autoconf output variable to Makefile variable
	  changes from HEAD.

2005-08-09 08:28  descender

	* audacious/Makefile.am:
	  * Makefile.am (beep_CFLAGS): Change $(top_builddir) to
	  $(top_srcdir).

2005-08-09 08:00  descender

	* libaudacious/Makefile.am:
	  * Makefile.am (libbeep_la_LIBADD): Break up flags. (INCLUDES):
	  Break up flags, correct path to libintl and top directory.

2005-08-09 07:40  descender

	* audacious/: mainwin.c, playlistwin.c:
	  * mainwin.c (mainwin_create_popups): Unref action group after
	  insert.  * playlistwin.c (mainwin_create_popup_menus): Unref
	  action group after insert, rename function to
	  playlistwin_create_popups().

2005-08-09 06:04  descender

	* audacious/pluginenum.c (release_0_9_7_1):
	  * pluginenum.c (plugin_system_cleanup): Print plugin filename
	  along with error when plugin fails to load.

2005-08-09 06:01  descender

	* audacious/pluginenum.c:
	  * pluginenum.c: Print plugin filename along with error when
	  plugin fails to load.

2005-08-09 05:35  descender

	* bmp.spec.in:
	  * bmp.spec.in: Fix typo in %changelog.

2005-08-09 05:08  descender

	* bmp.spec.in:
	  * bmp.spec.in: Update BuildRequires.

2005-08-09 04:08  descender

	* audacious/: Makefile.am, signals.c, signals.h:
	  * Makefile.am, signals.c, signals.h: New signal handler setup
	  code using sigaction().

2005-08-09 03:11  descender

	* audacious/main.c:
	  * main.c: Remove unused #includes (gdk/gdkx.h, X11/Xlib.h,
	  X11/xatom.h).

2005-08-09 02:59  descender

	* audacious/main.c:
	  * main.c (get_feature_list): Add SMlib to feature list string.
	  (main): Add session management support.

2005-08-09 02:43  descender

	* Input/Makefile.am, Input/mpg123/Makefile.am,
	  Input/vorbis/Makefile.am, Input/wav/Makefile.am,
	  Output/Makefile.am, Output/OSS/Makefile.am,
	  Output/alsa/Makefile.am, Output/esd/Makefile.am,
	  Visualization/Makefile.am, Visualization/blur_scope/Makefile.am:
	  * Input/Makefile.am Input/mpg123/Makefile.am,
	  Input/vorbis/Makefile.am, Input/wav/Makefile.am,
	  Output/Makefile.am, Output/OSS/Makefile.am,
	  Output/alsa/Makefile.am Output/esd/Makefile.am,
	  Visualization/Makefile.am, Visualization/blur_scope/Makefile.am:
	  Replace @VAR@ with $(VAR), remove all redundant linkage with
	  GNOME VFS and GConf.

2005-08-09 02:25  descender

	* configure.ac:
	  * configure.ac: Add test for SMlib, rename BEEP_DEFINES to
	  BMP_DEFINES, use AC_LANG(C) in place of
	  AC_PROG_CC/AC_C_INLINE/AC_C_CONST, replace 'test "x$var" =
	  "xyes"' with 'test "$var" = "yes"', revert deadchip's change of
	  AC_CONFIG_HEADERS to AM_CONFIG_HEADER.  * audacious/Makefile.am:
	  Remove redundant linkage with GNOME VFS and GConf, replace @VAR@
	  with $(VAR) for better customizability.  * libaudacious/Makefile.am:
	  Add linkage with GNOME VFS and GConf.

2005-08-07 11:43  descender

	* audacious/session.c:
	  * session.c (session_start): Fix typo.

2005-08-07 03:24  descender

	* po/LINGUAS, AUTHORS, audacious/about.c, po/ka.po (release_0_9_7_1):
	  * po/LINGUAS, po/ka.po: Add Georgian translation from HEAD.  *
	  AUTHORS, audacious/about.c: Merge translation credits update from
	  HEAD.

2005-08-07 03:16  descender

	* po/ka.po (release_0_9_7_1): file ka.po was added on branch
	  release_0_9_7_1 on 2005-08-06 19:24:40 +0000

2005-08-07 03:16  descender

	* AUTHORS, audacious/about.c, po/LINGUAS, po/ka.po:
	  * po/LINGUAS, po/ka.po: New Georgian translation by George
	  Machitidze.  * AUTHORS, audacious/about.c: Add Georgian translator.

2005-08-04 04:22  descender

	* audacious/Makefile.am:
	  * Makefile.am: Include new SMlib code into build.

2005-08-04 03:54  descender

	* audacious/: session.c, session.h:
	  * session.c, session.h: New session management code using SMlib.

2005-08-02 08:25  descender

	* README:
	  * README: Update Glib, GTK+ and libglade version requirements
	  (Ashar Voultoiz, #310).

2005-08-02 08:12  descender

	* audacious/: playlist.c (release_0_9_7_1), playlist.c:
	  * playlist.c (playback_check_pos_current): Change local variables
	  to gint, fixes #289.

2005-08-02 02:49  descender

	* audacious/: input.h (release_0_9_7_1), input.h:
	  * input.h (get_input_paused, get_input_playing): Remove
	  prototypes, the actual functions are already renamed.

2005-08-02 02:16  descender

	* audacious/: util.c, util.h (release_0_9_7_1), util.c, util.h:
	  * util.c, util.h (create_dblsize_image): Remove doublesize
	  scaler, unused.

2005-08-02 01:21  descender

	* audacious/playlistwin.c:
	  * playlistwin.c (playlistwin_keypress): Restore accidentally
	  removed handling code for Page Up (#302, Ashar Voultoiz).

2005-08-01 04:09  descender

	* audacious/main.c:
	  * main.c (segfault_handler): Restore original message and add
	  text to tell user settings and playlist has been saved.
	  (sigint_handler, sigterm_handler): Don't print message for normal
	  termination. (main): Remove needless (void) casts.

2005-08-01 04:04  descender

	* audacious/input.c:
	  * input.c (input_show_unplayable_files): Use gtk_container_add()
	  to add scroll window instead.

2005-08-01 03:20  descender

	* audacious/glade/prefswin.glade:
	  * prefswin.glade: Rename mouse wheel options (suggested in #315).

2005-08-01 03:14  descender

	* audacious/about.c:
	  * about.c (show_about_window): Comment out or remove unused
	  variables, remove errorneous freeing of 'filename' which is a
	  literal string.

2005-08-01 02:59  descender

	* audacious/textbox.h:
	  * textbox.h: Remove TEXTBOX_SCROLL_TIMEOUT macro, not used
	  anymore.

2005-08-01 02:56  descender

	* audacious/: util.c, glade/addfiles.glade:
	  * util.c, glade/addfiles.glade: Revert last changes, need to
	  review the way we handle windows so that focus and always-on-top
	  works reasonably uniformly or sanely across various WMs.

2005-07-31 15:59  descender

	* audacious/glade/prefswin.glade (release_0_9_7_1):
	  * prefswin.glade: Rename mouse wheel options (suggested in #315).

2005-07-07 05:12  mderezynski

	* configure.ac, audacious/about.c, audacious/images/Makefile.am,
	  audacious/images/logo.png, audacious/images/logo.xpm: [no log message]

2005-07-05 22:28  mderezynski

	* audacious/glade/: prefswin.glade: [no log message]

2005-07-05 21:57  mderezynski

	* audacious/prefswin.c: [no log message]

2005-07-05 21:56  mderezynski

	* audacious/images/logo.xpm: audacious/images/logo.xpm: New logo!

2005-07-05 20:33  mderezynski

	* TODO: TODO: Added items for 0.9.7.1

2005-07-05 18:30  mderezynski

	* skin/: README, balance.bmp, cbuttons.bmp, eq_ex.bmp, eqmain.bmp,
	  main.bmp, monoster.bmp, nums_ex.bmp, playpaus.bmp, pledit.bmp,
	  pledit.txt, posbar.bmp, shufrep.bmp, text.bmp, titlebar.bmp,
	  viscolor.txt, volume.bmp: audacious/skin: Re-added skin

2005-07-05 18:29  mderezynski

	* skin/: README, balance.bmp, cbuttons.bmp, eq_ex.bmp, eqmain.bmp,
	  main.bmp, monoster.bmp, nums_ex.bmp, playpaus.bmp, pledit.bmp,
	  pledit.txt, posbar.bmp, shufrep.bmp, text.bmp, titlebar.bmp,
	  viscolor.txt, volume.bmp: -nil-

2005-07-05 18:26  mderezynski

	* skin/: README, eqmain.bmp, main.bmp, nums_ex.bmp, pledit.bmp,
	  shufrep.bmp, titlebar.bmp: bmp/skin: Made modifications to the
	  ClearSky skin to make it "more BMPish"

2005-07-05 18:22  mderezynski

	* audacious/: about.c, main.c, main.h, mainwin.c, mainwin.h, prefswin.c,
	  skinwin.c, textbox.c, textbox.h, images/logo.xpm:
	  audacious/playlistwin.c: Window focusing fixes audacious/skinwin.c: Changes
	  in the code to accomodate for the new "Resume playback on
	  startup" option audacious/textbox.c: Removed the "***" seperator
	  string (looks silly) audacious/util.c: (Don't remember)
	  audacious/mainwin.c, audacious/main.c: Signal handling fixes. SIGSEGV,
	  SIGTERM and SIGINT now properly exit the application (save
	  configuration and current playlist and do general system
	  shutdown) audacious/hints.h: Made functions for keep windows always on
	  top public audacious/about.c: Changes to accomodate for new about logo
	  images/logo.xpm: New about logo

2005-07-05 18:17  mderezynski

	* audacious/: prefswin.c, glade/prefswin.glade: [no log message]

2005-07-04 22:13  mderezynski

	* audacious/: hints.c, hints.h, mainwin.c, playlistwin.c, skinwin.c,
	  util.c, images/Makefile.am, images/appearance.png,
	  images/bmp_eq.xpm, images/bmp_player.xpm,
	  images/bmp_playlist.xpm, images/eq.png, images/mouse.png,
	  images/playback.png, images/playlist.png, images/plugins.png:
	  audacious/hints.c: audacious/hints.h:	     Made functions for setting
	  always-on-top public

	  audacious/playlistwin.c:	  Added/Fixed accelerators and focusing

	  audacious/prefswin.c: audacious/skinwin.c:	  Preferences functionality
	  fixes

	  audacious/images/:   Fixed/Changed prefswin icons

	  audacious/images/bmp_player.xpm: audacious/images/bmp_playlist.xpm:
	  audacious/images/bmp_eq.xpm:	New backdrop like the new prefswin
	  icons

	  audacious/ui/mainwin.xml: audacious/mainwin.c:	  Removed "Roll up" (shade)
	  actions from the menu as discussed previously on #bmp

	  glade/addfiles.glade:   Changes in the Filechooser dialog to
	  close on ESC

	  glade/prefswin.glade:   Preferences window changes

2005-07-04 22:11  mderezynski

	* audacious/prefswin.c: [no log message]

2005-07-04 22:07  mderezynski

	* audacious/: glade/addfiles.glade, glade/prefswin.glade, prefswin.c:
	  [no log message]

2005-07-02 22:02  descender

	* audacious/glade/prefswin.glade:
	  * prefswin.glade: Fix realize signal for output_plugin_cbox, name
	  and rename some widgets.

2005-06-30 19:18  descender

	* po/it.po (release_0_9_7_1):
	  * it.po: Merge Italian translation update from HEAD.

2005-06-28 20:14  descender

	* audacious/: main.c, mainwin.c:
	  * main.c (main): Change GTK+ version check to check for 2.6.0.  *
	  mainwin.c: Change Play/Pause/Previous/Next/Stop actions to use
	  the new GTK_STOCK_MEDIA* icons in GTK+ 2.6, use GTK_STOCK_ABOUT
	  for About.

2005-06-28 14:11  descender

	* po/LINGUAS, po/uk.po, AUTHORS, audacious/about.c (release_0_9_7_1):
	  * AUTHORS, audacious/about.c, po/LINGUAS, po/uk.po: Merge new
	  Ukrainian translation in HEAD.

2005-06-28 14:02  descender

	* po/uk.po (release_0_9_7_1): file uk.po was added on branch
	  release_0_9_7_1 on 2005-06-28 06:11:04 +0000

2005-06-28 14:02  descender

	* AUTHORS, audacious/about.c, po/LINGUAS, po/uk.po:
	  * AUTHORS, audacious/about.c: Update translation credits.	* LINGUAS,
	  po/uk.po: New Ukrainian translation by Mykola Lynnyk.

2005-06-28 13:24  descender

	* po/it.po:
	  * it.po: Update Italian translation (Alessio D'Ascanio).

2005-06-23 05:21  descender

	* configure.ac:
	  * configure.ac: Bump GLib and GTK+ version requirement to 2.6.0,
	  and libglade to 2.5.0 for use of GtkIconView in Preferences
	  Window.

2005-06-23 05:02  descender

	* audacious/prefswin.c:
	  * prefswin.c: Fix alignment of categories[] initializer list.
	  (on_category_view_realize)  Replace incorrect use of
	  gtk_tree_path_new_from_indices() with gtk_tree_path_new_first(),
	  remove unused variables and code.

2005-06-20 05:40  mderezynski

	* audacious/: mainwin.c, prefswin.c: * Fixed Drag-n-Drop with/from KDE

2005-06-20 05:30  descender

	* skin/: Makefile, Makefile.in:
	  * Makefile, Makefile.in: remove, accidentally checked in,
	  generated by autotools

2005-06-20 04:09  mderezynski

	* PLAYLIST, audacious/mainwin.h, audacious/playback.c, audacious/playlist.c,
	  audacious/playlistwin.c, audacious/prefswin.c, audacious/glade/prefswin.glade,
	  audacious/images/Makefile.am, audacious/images/appearance.png,
	  audacious/images/eq.png, audacious/images/mouse.png,
	  audacious/images/playback.png, audacious/images/playlist.png,
	  audacious/images/plugins.png, audacious/images/skin.png, po/cy.po,
	  po/de.po, po/el.po, po/it.po, po/ko.po, po/pt_BR.po, po/ro.po,
	  po/sk.po, po/sv.po, skin/Makefile, skin/Makefile.in: * Migrated
	  preferences window category list from GtkTreeView to GtkIconView
	  * New icons for preferences window * Fixed problem where main
	  window song information would remain even when playback stopped
	  and/or playlist is empty

2005-06-15 08:28  descender

	* audacious/main.h (release_0_9_7_1):
	  * main.h: rename log file to 'log'

2005-06-13 21:12  descender

	* po/zh_CN.po:
	  * zh_CN.po: Merge typo fix from release_0_9_7_1.

2005-06-13 21:10  descender

	* po/zh_CN.po (release_0_9_7_1):
	  * zh_CN.po: Correct typo.

2005-06-13 21:01  descender

	* configure.ac (release_0_9_7_1):
	  * configure.ac: Forgot to remove audacious/defskin/Makefile from
	  output list.

2005-06-13 19:43  descender

	* audacious/playlistwin.c (release_0_9_7_1):
	  * playlistwin.c: Change 'New Playlist' accelerator to ctrl-N,
	  clean up GtkItemFactory code slightly.

2005-06-13 19:11  descender

	* AUTHORS, audacious/about.c (release_0_9_7_1):
	  * AUTHORS, audacious/about.c: Merge skin credits change from HEAD.

2005-06-13 19:04  descender

	* Makefile.am, configure.ac, audacious/Makefile.am, skin/Makefile,
	  skin/Makefile.am, skin/Makefile.in, skin/README,
	  skin/balance.bmp, skin/cbuttons.bmp, skin/eq_ex.bmp,
	  skin/eqmain.bmp, skin/main.bmp, skin/monoster.bmp,
	  skin/nums_ex.bmp, skin/playpaus.bmp, skin/pledit.bmp,
	  skin/pledit.txt, skin/posbar.bmp, skin/shufrep.bmp,
	  skin/text.bmp, skin/titlebar.bmp, skin/viscolor.txt,
	  skin/volume.bmp (release_0_9_7_1):
	  * Merge new skin from HEAD

2005-06-08 02:09  descender

	* AUTHORS, audacious/about.c:
	  * AUTHORS, audacious/about.c: Update skin credits.

2005-06-08 02:01  descender

	* skin/Makefile (release_0_9_7_1): file Makefile was added on
	  branch release_0_9_7_1 on 2005-06-13 11:04:57 +0000

2005-06-08 02:01  descender

	* skin/Makefile.am (release_0_9_7_1): file Makefile.am was added on
	  branch release_0_9_7_1 on 2005-06-13 11:04:57 +0000

2005-06-08 02:01  descender

	* skin/Makefile.in (release_0_9_7_1): file Makefile.in was added on
	  branch release_0_9_7_1 on 2005-06-13 11:04:57 +0000

2005-06-08 02:01  descender

	* skin/README (release_0_9_7_1): file README was added on branch
	  release_0_9_7_1 on 2005-06-13 11:04:57 +0000

2005-06-08 02:01  descender

	* skin/balance.bmp (release_0_9_7_1): file balance.bmp was added on
	  branch release_0_9_7_1 on 2005-06-13 11:04:58 +0000

2005-06-08 02:01  descender

	* skin/cbuttons.bmp (release_0_9_7_1): file cbuttons.bmp was added
	  on branch release_0_9_7_1 on 2005-06-13 11:04:58 +0000

2005-06-08 02:01  descender

	* skin/eq_ex.bmp (release_0_9_7_1): file eq_ex.bmp was added on
	  branch release_0_9_7_1 on 2005-06-13 11:04:58 +0000

2005-06-08 02:01  descender

	* skin/eqmain.bmp (release_0_9_7_1): file eqmain.bmp was added on
	  branch release_0_9_7_1 on 2005-06-13 11:04:58 +0000

2005-06-08 02:01  descender

	* skin/main.bmp (release_0_9_7_1): file main.bmp was added on
	  branch release_0_9_7_1 on 2005-06-13 11:04:59 +0000

2005-06-08 02:01  descender

	* skin/monoster.bmp (release_0_9_7_1): file monoster.bmp was added
	  on branch release_0_9_7_1 on 2005-06-13 11:04:59 +0000

2005-06-08 02:01  descender

	* skin/nums_ex.bmp (release_0_9_7_1): file nums_ex.bmp was added on
	  branch release_0_9_7_1 on 2005-06-13 11:04:59 +0000

2005-06-08 02:01  descender

	* skin/playpaus.bmp (release_0_9_7_1): file playpaus.bmp was added
	  on branch release_0_9_7_1 on 2005-06-13 11:04:59 +0000

2005-06-08 02:01  descender

	* skin/pledit.bmp (release_0_9_7_1): file pledit.bmp was added on
	  branch release_0_9_7_1 on 2005-06-13 11:04:59 +0000

2005-06-08 02:01  descender

	* skin/pledit.txt (release_0_9_7_1): file pledit.txt was added on
	  branch release_0_9_7_1 on 2005-06-13 11:05:00 +0000

2005-06-08 02:01  descender

	* skin/posbar.bmp (release_0_9_7_1): file posbar.bmp was added on
	  branch release_0_9_7_1 on 2005-06-13 11:05:00 +0000

2005-06-08 02:01  descender

	* skin/shufrep.bmp (release_0_9_7_1): file shufrep.bmp was added on
	  branch release_0_9_7_1 on 2005-06-13 11:05:00 +0000

2005-06-08 02:01  descender

	* skin/text.bmp (release_0_9_7_1): file text.bmp was added on
	  branch release_0_9_7_1 on 2005-06-13 11:05:00 +0000

2005-06-08 02:01  descender

	* skin/titlebar.bmp (release_0_9_7_1): file titlebar.bmp was added
	  on branch release_0_9_7_1 on 2005-06-13 11:05:00 +0000

2005-06-08 02:01  descender

	* skin/viscolor.txt (release_0_9_7_1): file viscolor.txt was added
	  on branch release_0_9_7_1 on 2005-06-13 11:05:00 +0000

2005-06-08 02:01  descender

	* skin/volume.bmp (release_0_9_7_1): file volume.bmp was added on
	  branch release_0_9_7_1 on 2005-06-13 11:05:00 +0000

2005-06-08 02:01  descender

	* Makefile.am, configure.ac, audacious/Makefile.am, skin/Makefile,
	  skin/Makefile.am, skin/Makefile.in, skin/README,
	  skin/balance.bmp, skin/cbuttons.bmp, skin/eq_ex.bmp,
	  skin/eqmain.bmp, skin/main.bmp, skin/monoster.bmp,
	  skin/nums_ex.bmp, skin/playpaus.bmp, skin/pledit.bmp,
	  skin/pledit.txt, skin/posbar.bmp, skin/shufrep.bmp,
	  skin/text.bmp, skin/titlebar.bmp, skin/viscolor.txt,
	  skin/volume.bmp:
	  * replace default skin with ClearSky by Will Reinhart *
	  configure.ac, {,beep}/Makefile.am: move skin directory from
	  audacious/defskin/ to skin/

2005-05-19 23:19  descender

	* po/mk.po:
	  * mk.po: Merge Macedonian translation update from
	  release_0_9_7_1.

2005-05-19 23:08  descender

	* po/mk.po (release_0_9_7_1):
	  * mk.po: Macedonian translation update (Arangel Angov).

2005-05-13 17:39  descender

	* audacious/mainwin.c:
	  * mainwin.c: Merge fix for bogus values returned by
	  xmms_remote_get_info() from RELEASE_0_9_7_1.

2005-05-10 02:34  mderezynski

	* audacious/: equalizer.c, main.c, mainwin.c, playlistwin.c (HEADLESS):
	  Beginn of making BMP run headless

2005-05-10 02:13  mderezynski

	* Input/mpg123/fileinfo.c, audacious/input.c: Removed internal used of
	  deprecatd XmmsEntry and replaced it with standard GtkEntry

2005-05-09 16:45  larne

	* audacious/mainwin.c (release_0_9_7_1): disable mainwin_info scrolling
	  when shaded, fixes high CPU utilisation problem (#288)

2005-05-09 16:42  larne

	* audacious/mainwin.c: disable mainwin_info scrolling when shaded, fixes
	  high CPU utilisation problem (#288)

2005-05-02 08:54  descender

	* audacious/prefswin.c (release_0_9_7_1):
	  * prefswin.c: Merge general/visualization plugin About dialog fix
	  from HEAD.

2005-05-02 08:42  descender

	* audacious/prefswin.c:
	  * prefswin.c: Fix general/visualization plugin About dialogs not
	  opening correctly.

2005-04-22 05:39  mderezynski

	* PLAYLIST:

	  This file describes the features of the current playlist systems.
	  It's a small help for us for redesigning the playlist subsystem.

2005-04-12 17:27  descender

	* po/pl.po:
	  * pl.po: Update Polish translation (Jacek Wolszczak).

2005-03-30 21:35  descender

	* autogen.sh:
	  * autogen.sh: Remove redundant gettextize call.

2005-03-29 15:28  descender

	* po/Makevars:
	  * po/Makevars: Re-add (Carl Fûrstenberg).

2005-03-28 10:07  descender

	* AUTHORS, audacious/about.c, po/ru.po:
	  * AUTHORS, audacious/about.c, po/ru.po: Merge Russian translation
	  update from release_0_9_7_1.

2005-03-28 09:55  descender

	* AUTHORS, audacious/about.c (release_0_9_7_1):
	  * AUTHORS, audacious/about.c: Update translation credits.

2005-03-28 09:45  descender

	* po/ru.po (release_0_9_7_1):
	  * ru.po: Update Russian translation (Vitaly Lipatov).

2005-03-28 09:36  descender

	* audacious/: about.c, equalizer.c (release_0_9_7_1):
	  * about.c: Update copyright end year to 2005.  * equalizer.c:
	  Bring 'delete preset' and 'delete autoload preset' dialog to
	  front when activated if they already exist.

2005-03-28 09:20  descender

	* configure.ac, audacious/Makefile.am, audacious/equalizer.c, audacious/mainwin.c,
	  audacious/playlistwin.c:
	  * configure.ac, audacious/ui/Makefile.am: New makefile for UI files.
	  * audacious/mainwin.c, audacious/ui/mainwin.xml: Move UI XML description
	  into external file.  * audacious/equalizer.c,
	  audacious/ui/equalizerwin.xml: Move UI XML description into external
	  file.  * audacious/playlistwin.c, audacious/ui/playlistwin.xml: Move UI XML
	  description into external file.

2005-03-28 08:50  descender

	* audacious/: about.c, controlsocket.c, equalizer.c, main.c, main.h,
	  mainwin.c, playlistwin.c, pluginenum.c:
	  about.c: Change copyright string end year to 2005.
	  (generate_credit_list): Split *item++ into *item and item++ to
	  fix crash.  controlsocket.c: Print debug messages when binding
	  and closing control socket.  equalizer.c: Port equalizer preset
	  popup menu to GtkUIManager.  main.c: Print debug messages when
	  loading and saving settings.	main.h: Change log filename from
	  'bmp.log' to 'log' for consistency sake.  mainwin.c
	  (mainwin_create_window): Trap delete event instead of destroy for
	  main window for quitting BMP. (action_quit): Hide windows after
	  removing idle function to avoid drawing into them in idle
	  function.  playlistwin.c: Fix 'sort selected by full path' and
	  'sort selected by date' options not triggering the appropriate
	  handlers.  pluginenum.c: Print debug message when shutting down
	  plugin system, minor spacing cleanups.

2005-03-28 05:32  descender

	* audacious/playlistwin.c:
	  * playlistwin.c: Fix playlist selection popup menu, fix missing
	  queue toggle option.

2005-03-26 05:29  descender

	* scripts/cvs2cl.pl:
	  * cvs2cl.pl: Update to latest.

2005-03-26 05:25  descender

	* autogen.sh, scripts/armageddon.sh, scripts/cleanall.sh,
	  scripts/gen-auto-scripts.sh, scripts/make-dist.sh,
	  scripts/rm-backups.sh:
	  * autogen.sh: Add help screen, informational messages and option
	  to skip cvs2cl.pl run from gen-auto-scripts.sh.  * armageddon.sh:
	  Update.  * scripts/rm-backups.sh: Use 'grep x y' instead of 'cat
	  y | grep x'.	* scripts/gen-auto-scripts.sh: Remove, replaced by
	  autogen.sh.  * scripts/make-dist.sh: Remove, pretty much useless.
	  * scripts/cleanall.sh: Remove, replaced by armageddon.sh.

2005-03-26 05:01  descender

	* scripts/: code-stats.sh, genesis.sh:
	  * code-stats.sh: Remove, sloccount is better anyway.	*
	  genesis.sh: Replaced by autogen.sh.

2005-03-26 04:39  descender

	* configure.ac:
	  * configure.ac: Jack gettext version up to 0.14.1.

2005-03-26 04:38  descender

	* ABOUT-NLS, autogen.sh, config.guess, config.rpath, config.sub,
	  depcomp, install-sh, ltmain.sh, missing, mkinstalldirs,
	  po/Makefile.in.in, po/Makevars, po/Makevars.template,
	  po/Rules-quot, po/boldquot.sed, po/en@boldquot.header,
	  po/en@quot.header, po/insert-header.sin, po/quot.sed,
	  po/remove-potcdate.sin:
	  * Remove auto-generated files.  * autogen.sh: Don't call
	  gen-auto-scripts.sh, run autotools manually.

2005-03-26 04:20  descender

	* m4/: codeset.m4, gettext.m4, glibc21.m4, iconv.m4, intdiv0.m4,
	  inttypes-pri.m4, inttypes.m4, inttypes_h.m4, isc-posix.m4,
	  lcmessage.m4, lib-ld.m4, lib-link.m4, lib-prefix.m4, nls.m4,
	  po.m4, progtest.m4, stdint_h.m4, uintmax_t.m4, ulonglong.m4:
	  * Remove gettext m4 files.

2005-03-26 04:12  descender

	* m4/libtool.m4:
	  * libtool.m4: Update to 1.5.14.

2005-03-26 03:35  descender

	* audacious/playlist.c (release_0_9_7_1):
	  * playlist.c: Apply fix for #260 from HEAD.

2005-03-26 03:32  descender

	* audacious/playlist.c:
	  * playlist.c (playlist_remove_dead_files): Fix NULL pointer
	  dereference when playlist position is the last entry and the
	  associated file is 'dead' (#260, Simon Morgan).

2005-03-25 23:33  descender

	* audacious/: Makefile.am, beep.wmconfig (release_0_9_7_1):
	  * Makefile.am, beep.wmconfig: Remove beep.wmconfig.

2005-03-25 23:03  descender

	* audacious/: about.c, beep_logo.xpm, images/Makefile.am,
	  images/logo.xpm:
	  * Makefile.am, about.c, beep_logo.xpm, images/logo.xpm: Move and
	  rename beep_logo.xpm to images/logo.xpm, fixes make distcheck
	  error (was missing beep_logo.xpm).

2005-03-25 20:40  descender

	* audacious/: Makefile.am, beep.wmconfig:
	  * Makefile.am: Add bmp.schemas to distribution, remove
	  beep.wmconfig.  * beep.wmconfig: Remove obsolete file.

2005-03-25 20:37  descender

	* audacious/bmp.schemas:
	  * bmp.schemas: New GConf schema.

2005-03-25 17:52  descender

	* audacious/: bmp.desktop.in (release_0_9_7_1), bmp.desktop.in:
	  * bmp.desktop.in: Put in trailing semicolon for MimeType value.

2005-03-23 22:49  descender

	* Output/OSS/OSS.c, Output/OSS/about.c, Output/OSS/configure.c,
	  Output/alsa/about.c, Output/alsa/alsa.c, Output/alsa/audio.c,
	  Output/alsa/configure.c, Output/esd/about.c,
	  Output/esd/configure.c, Output/esd/esd.c,
	  Visualization/blur_scope/blur_scope.c,
	  Visualization/blur_scope/config.c:
	  * Output/OSS/OSS.c, Output/OSS/about.c, Output/OSS/configure.c,
	  Output/alsa/about.c, Output/alsa/alsa.c, Output/alsa/configure.c,
	  Output/esd/about.c, Output/esd/configure.c, Output/esd/esd.c,
	  Visualization/blur_scope/blur_scope.c,
	  Visualization/blur_scope/config.c: * Output/alsa/audio.c
	  (alsa_setup): Make alsa_buffer_time unsigned.

2005-03-23 22:31  descender

	* Input/: cdaudio/cdaudio.c, cdaudio/cdinfo.c, cdaudio/configure.c,
	  mpg123/configure.c, mpg123/fileinfo.c, mpg123/http.c,
	  mpg123/id3_frame_content.c, mpg123/mpg123.c, vorbis/configure.c,
	  vorbis/fileinfo.c, vorbis/http.c, vorbis/vorbis.c, wav/wav.c:
	  * cdaudio/cdaudio.c, cdaudio/cdinfo.c, cdaudio/configure.c,
	  mpg123/configure.c, mpg123/fileinfo.c,
	  mpg123/id3_frame_content.c, mpg123/mpg123.c, vorbis/configure.c,
	  vorbis/fileinfo.c, vorbis/vorbis.c, wav/wav.c: Change _() to
	  Q_().  * mpg123/http.c, vorbis/http.c (http_buffer_loop): Change
	  err_len to type socklen_t. Change _() to Q_().

2005-03-23 20:33  descender

	* audacious/Makefile.am:
	  * Makefile.am: Remove entries for non-existent files (were
	  removed during shuffling of image files).

2005-03-23 20:15  descender

	* audacious/about.c, audacious/eq_slider.c, audacious/equalizer.c, audacious/glade.c,
	  audacious/input.c, audacious/logger.c, audacious/main.c, audacious/mainwin.c,
	  audacious/playback.c, audacious/playlistwin.c, audacious/prefswin.c,
	  audacious/util.c, libaudacious/titlestring.c:
	  * audacious/about.c audacious/eq_slider.c audacious/equalizer.c audacious/glade.c,
	  audacious/input.c, audacious/logger.c, audacious/main.c, audacious/mainwin.c,
	  audacious/playback.c, audacious/playlistwin.c, audacious/prefswin.c,
	  audacious/util.c, libaudacious/titlestring.c: Use Q_() instead of _() for
	  translation.

2005-03-23 19:34  descender

	* configure.ac:
	  * configure.ac: Replace AC_TRY_COMPILE with AC_COMPILE_IFELSE,
	  use AS_HELP_STRING to mark help strings, remove AC_C_BIGENDIAN,
	  lower case of first character of each option help string.

2005-03-23 12:55  descender

	* audacious/: main.c, main.h, mainwin.c, skinwin.c (release_0_9_7_1):
	  * main.[ch], mainwin.c, skinwin.c: Merge accelerator map support
	  from HEAD.

2005-03-23 12:10  descender

	* audacious/playlist.h (release_0_9_7_1):
	  * playlist.h: Merge gcc4 error fix from HEAD.

2005-03-23 12:09  descender

	* audacious/playlist.h:
	  * playlist.c: Remove superfluous extern declaration of
	  playlist_format_suffixes causing gcc4 to error.

2005-03-14 11:53  descender

	* audacious/: main.c, main.h, mainwin.c, skinwin.c:
	  * main.[ch], mainwin.c, skinwin.c: Load and save accelerator map
	  to ~/.bmp/accels.

2005-03-14 07:29  descender

	* AUTHORS, audacious/about.c, po/LINGUAS, po/fi.po (release_0_9_7_1):
	  * AUTHORS, audacious/about.c, po/LINGUAS, po/fi.po: Add new Finnish
	  translation from HEAD.

2005-03-14 07:05  descender

	* AUTHORS, po/LINGUAS, po/fi.po, audacious/about.c:
	  * po/fi.po, po/LINGUAS: Add Finnish translation by Pauli
	  Virtanen.  * AUTHORS, audacious/about.c: Update translation credits.

2005-03-07 07:08  descender

	* Output/alsa/: configure.c, init.c (release_0_9_7_1):
	  * configure.c, init.c: Merge fix for #253 from HEAD.

2005-03-07 07:05  descender

	* Output/alsa/: configure.c, init.c:
	  * configure.c, init.c: Change multi-thread mode setting value
	  type to bool, save period time (#253, Andrei Badea).

2005-02-27 07:52  descender

	* audacious/logger.c:
	  * logger.c: Merge infinite recursion fix from release_0_9_7_1.

2005-02-26 18:34  descender

	* Input/vorbis/fileinfo.c (release_0_9_7_1):
	  * fileinfo.c: Merge fix for #244 from HEAD.

2005-02-26 18:33  descender

	* Input/vorbis/fileinfo.c:
	  * fileinfo.c: Fix typo in date field name (#244, Kazuki Shimura).

2005-02-23 06:15  descender

	* audacious/logger.c (release_0_9_7_1):
	  * logger.c (log_to_file): Avoid infinite recursion when a
	  g_return_if_fail() predicate fails.

2005-02-05 20:28  descender

	* AUTHORS, audacious/about.c, po/LINGUAS, po/zh_TW.po:
	  * AUTHORS, audacious/about.c, po/LINGUAS, po/zh_TW.po: Merge
	  translation update from release_0_9_7_1 branch.

2005-02-05 20:24  descender

	* AUTHORS, audacious/about.c, po/LINGUAS, po/zh_TW.po (release_0_9_7_1):

	  * po/zh_TW.po, po/LINGUAS: Add Traditional Chinese translation by
	  Chao-Hsiung Liao.  * AUTHORS, audacious/about.c: Update translation
	  credits.

2005-02-05 19:57  descender

	* audacious/mainwin.c (release_0_9_7_1):
	  * mainwin.c (playback_get_sample_params): Fix assignments; fixes
	  bogus values returned by xmms_remote_get_info().

2005-01-30 23:05  descender

	* audacious/images/play.png:
	  * play.png: Re-add, went missing after image file migration from
	  audacious/.

2005-01-28 11:11  descender

	* audacious/: controlsocket.c, equalizer.c, mainwin.c, mainwin.h,
	  playback.c, playlistwin.c, prefswin.c, util.c, util.h:
	  * mainwin.[ch], equalizer.c, playlistwin.c, controlsocket.c,
	  playback.c, prefswin.c, util.[ch]: Port main window popup code to
	  GtkUIManager.

2005-01-28 07:03  descender

	* audacious/play.png:
	  * play.png: Forgot to remove during last commit.

2005-01-28 06:57  descender

	* audacious/: Makefile.am, build.list, info.h, info.png, main.c,
	  mainwin.c, mainwin.h, na.xpm, playlist.c, playlist.png,
	  playlistwin.c, queue.png, images/Makefile.am, images/info.png,
	  images/na.xpm:
	  * Makefile.am, images/Makefile.am: Adjust build depedencies due
	  to icon relocation.  * info.png, na.xpm: Move to images/.  *
	  build.list: Remove, no longer needed.  * queue.png: Remove unused
	  icon.  * info.h: Redundant, info.png already exists.	* main.c:
	  Add custom stock (oxymoron?) icon registration, remove some
	  redundant constants.	* mainwin.[ch], playlist.c, playlistwin.c:
	  Port playlist editor menus to GtkUIManager.

2005-01-27 05:27  descender

	* po/br.po:
	  * br.po: Update Breton translation (Thierry Vignaud).

2005-01-26 13:56  descender

	* audacious/: effect.c, effect.h, general.c, general.h, input.c,
	  input.h, output.c, output.h, playback.c, playlist.c, playlist.h,
	  plugin.h, pluginenum.c, visualization.c, visualization.h:
	  * playlist.[ch]: Change playlist entry comparators to take const
	  PlaylistEntry * arguments.  * pluginenum.c: Factor out code from
	  add_plugin().  * general.[ch], input.[ch], output.[ch],
	  effect.[ch], visualization.[ch]: Change plugin system data to
	  statically allocated structs.

2005-01-22 03:32  descender

	* po/br.po:
	  * br.po: Update Breton translation (Thierry Vignaud).

2005-01-15 18:14  descender

	* audacious/playlistwin.c:
	  * playlistwin.c: Invert delete options in playlist editor's
	  delete popup menu.

2005-01-15 18:09  descender

	* Output/alsa/audio.c:
	  audio.c: Use GThread instead of pthread for new multi-thread
	  mode, untabify code from last patch.

2005-01-15 17:56  descender

	* libaudacious/titlestring.c:
	  * titlestring.c: Replace macro statement wrappers with
	  G_STMT_BEGIN/G_STMT_END.

2005-01-15 17:06  descender

	* audacious/playlist_list.c:
	  * playlist_list.c: Fix text clipping for 'non-ASCII' playlist
	  entries.

2005-01-15 04:40  descender

	* audacious/playlistwin.c: playlistwin.c: Work around #214 by ignoring
	  double/triple clicks on playlist editor resize hotspot (David Le
	  Brun).

2005-01-15 04:33  descender

	* Output/alsa/: alsa.h, audio.c, configure.c, init.c:
	  * alsa.h, audio.c, configure.c, init.c: Apply BMP port of XMMS
	  ALSA patch by Takashi Iwai (Thierry Vignaud).

2005-01-08 13:39  descender

	* audacious/playlistwin.c:
	  playlistwin.c: Add .m3u if user does not specify extension when
	  saving playlists (John Spray).

2005-01-08 13:23  descender

	* audacious/: playlist.c, playlist.h, playlistwin.c:
	  * playlist.[ch]: Add playlist_format_get_from_name().  *
	  playlistwin.c: HIGify unknown playlist format dialog message.

2005-01-08 11:55  descender

	* audacious/playlistwin.c:
	  * playlistwin.c: Fix capitalization of Load/Save Playlist dialog,
	  change reject button to Cancel.

2005-01-08 11:41  descender

	* audacious/: playback.c, playlist.c, playlist.h:
	  * playlist.[ch], playback.c: Limit
	  playlist/shuffle_list/queued_list to file scope (static).

2005-01-07 01:10  descender

	* audacious/: equalizer.c, main.c, main.h, mainwin.c, pluginenum.c,
	  skin.c, skinwin.c:
	  * mainwin.c: Readd Queue button for JTF dialog.  * main.[ch],
	  pluginenum.c, skin.c, skinwin.c, equalizer.c: Use one single
	  array to hold path strings.

2004-12-31 07:13  descender

	* audacious/: eq_graph.c, eq_slider.c, equalizer.c, hslider.c,
	  mainwin.c, menurow.c, monostereo.c, number.c, pbutton.c,
	  playlist_list.c, playlist_slider.c, playlistwin.c, playstatus.c,
	  sbutton.c, svis.c, tbutton.c, textbox.c, vis.c, widget.c,
	  widget.h:
	  * Rename Widget methods.

2004-12-25 01:57  descender

	* audacious/: playlist.c, playlist.h, playlistwin.c:
	  * playlist.[ch] Refactor playlist saving code according to format
	  type. turn playlist_add*() macros to actual functions.  *
	  playlistwin.c: Minor renaming, factor out dialog code from
	  playlistwin_save_playlist().

2004-12-12 03:28  descender

	* audacious/playlist.c (release_0_9_7):
	  * playlist.c: Merge fix for #186 from HEAD.

2004-12-12 02:46  descender

	* audacious/playlist.c:
	  * playlist.c (playlist_load_m3u): Initialize ext_len to -1, fixes
	  #186 (David Le Brun).

2004-12-11 13:14  descender

	* po/: cs.po, es.po, hu.po, lt.po (release_0_9_7):
	  * cs.po, es.po, hu.po, lt.po: Merge updated translations from
	  HEAD.

2004-12-11 00:08  msikkes

	* po/: cs.po, es.po, hu.po, ja.po: * Updated cs, es, hu and ja
	  translations.

2004-12-09 02:01  descender

	* po/de.po (release_0_9_7):
	  * de.po: Update German translation (Matthias Debus).

2004-12-07 06:11  descender

	* po/ja.po (release_0_9_7):
	  * ja.po: Update Japanese translation (Takeshi Aihana).

2004-12-07 01:02  er-ku

	* po/lt.po: New release coming, eh?

2004-12-05 04:47  descender

	* audacious/mainwin.c (release_0_9_7):
	  * mainwin.c: Merge repeat/shuffle menu fix from HEAD.

2004-12-05 04:11  descender

	* audacious/mainwin.c:
	  * mainwin.c: Fix shuffle/repeat status synchronization with play
	  menu, remove playlist advance option from play menu,
	  miscellaneous code cosmetic changes.

2004-12-04 21:11  masterpe

	* po/nl.po: - Fixed some added fuzzies in the dutch translation

2004-12-04 20:29  quirk_fr

	* po/fr.po: - Updated french translation for the coming release

2004-12-04 20:10  descender

	* po/: bmp.pot, zh_CN.po:
	  * bmp.pot: Update template (hopefully the last time for 0.9.7).
	  * zh_CN.po: Fix/add translations.

2004-12-04 20:05  descender

	* audacious/: controlsocket.c, mainwin.c, playlistwin.c,
	  glade/addfiles.glade:
	  * glade/addfiles.glade: Remove trailing space after 'Close Dialog
	  on Add'.  * mainwin.c, controlsocket.c: Fixed repeat and shuffle
	  accelerators, push repeat/shuffle GUI feedback into
	  mainwin_repeat/shuffle_pushed(), move 'No Playlist Advance'
	  ItemFactoryEntry into play menu, remove 'BMP' suffix from 'Add
	  Folders' dialog title, correct 'Add Internet Address' dialog
	  title (was 'Add URL').  * playlistwin.c: Fix capitalization of
	  'Add Internet Address...' option.

2004-12-04 18:21  masterpe

	* po/nl.po: - Updated the dutch translation for pending 0.9.7
	  release

2004-12-04 18:16  descender

	* NEWS, README, TODO:
	  * README: Add note on BMP Wiki.  * NEWS: Update changes since
	  0.9.7 RC2.  * TODO: Reorganise the information a little.

2004-12-04 17:29  descender

	* Input/cdaudio/configure.c, Input/mpg123/fileinfo.c,
	  Input/mpg123/http.c, Input/vorbis/fileinfo.c,
	  Input/vorbis/http.c, Input/wav/wav.c, Output/OSS/OSS.c,
	  Visualization/blur_scope/blur_scope.c, Output/OSS/OSS.h,
	  Output/OSS/about.c, Output/OSS/audio.c, Output/OSS/configure.c,
	  Output/OSS/init.c, Output/OSS/mixer.c, Output/esd/audio.c,
	  Output/esd/configure.c, Output/esd/esdout.h, Output/esd/mixer.c:
	  * Fix up license headers.

2004-12-04 17:04  descender

	* audacious/: controlsocket.c, controlsocket.h, dock.c, dock.h,
	  effect.c, effect.h, eq_graph.c, eq_graph.h, eq_slider.c,
	  eq_slider.h, equalizer.c, equalizer.h, general.c, general.h,
	  glade.c, glade.h, hints.c, hints.h, input.c, input.h, logger.c,
	  logger.h, main.c, main.h, mainwin.c, mainwin.h, menurow.c,
	  menurow.h, monostereo.c, monostereo.h, number.c, number.h,
	  output.c, output.h, pbutton.c, pbutton.h, playback.c, playback.h,
	  playlist_list.c, playlist_list.h, playlist_popup.c,
	  playlist_popup.h, playlist_slider.c, playlist_slider.h,
	  playlistwin.c, playlistwin.h, plugin.h, pluginenum.c,
	  pluginenum.h, prefswin.c, prefswin.h, sbutton.c, sbutton.h,
	  skin.c, skin.h, skinwin.c, skinwin.h, svis.c, svis.h, tbutton.c,
	  tbutton.h, textbox.c, textbox.h, urldecode.c, urldecode.h,
	  util.c, util.h, vis.c, vis.h, visualization.c, visualization.h,
	  widget.c, widget.h, xml_document.h:
	  * Fix up license headers.

2004-12-04 17:03  descender

	* audacious/: about.c, xml_document.c:
	  * about.c (show_about_window): Set dialog hint for About window.
	  * xml_document.c: Add license header, fix up ugliness of last run
	  of indent.

2004-12-04 15:21  descender

	* bmp.spec.in:
	  * bmp.spec.in: See %changelog.

2004-12-04 14:41  descender

	* audacious/: mainwin.c, mainwin.h, playlistwin.c:
	  * mainwin.[ch], playlistwin.c: Remove last hack used to fix
	  playback accelerators.

2004-12-04 10:18  descender

	* po/: POTFILES.in, bmp.pot:
	  * POTFILES.in: Add file glade/addfiles.glade (was missing).  *
	  bmp.pot: Update template.

2004-12-04 07:09  msikkes

	* NEWS: * Added some items for the release.

2004-12-04 05:33  msikkes

	* README: * Cleaned up the readme a bit.

2004-12-04 04:29  msikkes

	* audacious/playlistwin.c: * Added accels from the mainwindow to the
	  playlist.

2004-12-03 06:38  descender

	* audacious/: controlsocket.c, equalizer.c, main.c, mainwin.c,
	  mainwin.h, playlistwin.c:
	  * main.c, mainwin.[ch], equalizer.c, playlistwin.c,
	  controlsocket.c: Refactor menu related code (a few more
	  accelerators not recognized when playlist editor is in focus),
	  miscellaneous cleanups.

2004-12-03 05:12  descender

	* configure.ac:
	  * configure.ac: Set libglade version requirement (2.3.1).

2004-12-01 22:08  descender

	* AUTHORS, audacious/about.c, audacious/util.c:
	  AUTHORS, audacious/about.c: Update patch credits.	audacious/util.c: Fix
	  problem with relaunching Add Files dialog after Esc was pressed
	  to close it.

2004-12-01 21:35  descender

	* configure.ac, Input/mpg123/layer3.c, audacious/output.c:
	  * configure.ac: Add switch to use XMMS (mpg123-only)
	  equalization.  * audacious/output.c (produce_audio): Split out filter
	  independent code into output_to_plugin(), don't apply IIR filter
	  if XMMS equalization enabled.  * Input/mpg123/layer3.c
	  (mpg123_do_layer3): Filter samples if XMMS equalization enabled.

2004-12-01 19:09  descender

	* audacious/: util.c, glade/addfiles.glade:
	  * util.c, glade/addfiles.glade: Push some Add Files dialog widget
	  creation code into glade file, skip taskbar hint.

2004-12-01 07:58  descender

	* AUTHORS:
	  * AUTHORS: fix name spelling.

2004-12-01 05:57  msikkes

	* audacious/mainwin.c: * Changed 'Always On Top' accel to <control>o

2004-11-30 06:31  msikkes

	* audacious/playlistwin.c: Modified some accels to fix ambigous ones.

2004-11-30 05:50  msikkes

	* AUTHORS:
	  * Changed my addy.

2004-11-30 03:41  descender

	* AUTHORS:
	  * AUTHORS: Update patch credits.

2004-11-30 03:20  msikkes

	* README, audacious/main.c: * Added note for packagers to README about
	  experimental gnome-vfs support.  * HACK: Added workaround for bug
	  #129 so the playlist is always unshaded at   startup

2004-11-30 03:13  descender

	* po/bmp.pot:
	  * bmp.pot: Update POT file.

2004-11-30 03:08  descender

	* audacious/mainwin.c:
	  * mainwin.c (mainwin_eject_pushed): Revert eject button behaviour
	  (#194).

2004-11-28 01:06  quirk_fr

	* po/fr.po: - Updated french translation

2004-11-21 03:34  descender

	* po/de.po:
	  * de.po: Update German translation (Matthias Debus).

2004-11-20 17:29  descender

	* m4/pkg.m4:
	  * pkg.m4: Update (function name is now quoted).

2004-11-20 15:08  descender

	* audacious/: controlsocket.c, mainwin.c, mainwin.h:
	  * mainwin.c, mainwin.h, controlsocket.h: Hide some playback
	  sample parameters (bitrate, frequency, channels).

2004-11-17 17:22  descender

	* AUTHORS, audacious/about.c, po/LINGUAS, po/pt_BR.po:
	  * po/LINGUAS, po/pt_BR.po: Add Brazilian Portuguese translation
	  by Philipi Pinto.  * AUTHORS: Fix unknowningly encoded
	  characters.  * AUTHORS, audacious/about.c: Update translators.

2004-11-16 13:50  descender

	* configure.ac, Output/alsa/audio.c:
	  * configure.ac: Add endianness check using AC_C_BIGENDIAN.  *
	  Output/alsa/audio.c: Fix warning message typo (#199).

2004-11-16 12:46  descender

	* Output/alsa/configure.c:
	  * configure.c: Fix (swap) ALSA preferences dialog Ok and Cancel
	  button order.

2004-11-16 12:30  descender

	* audacious/: equalizer.h, input.c, input.h, main.c:
	  * main.c, equalizer.h, input.[ch]: Rewrite
	  get_disabled_iplugins_str() with GString, use macros for default
	  preset filenames.

2004-11-07 22:58  er-ku

	* po/lt.po: Updating lithuanian translation. However, * "View"
	  isn't translated perfectly (yet); * 19 quite specific to audio
	  strings not yet translated at all...

2004-11-06 08:53  descender

	* audacious/: input.h, main.c, mainwin.c, pluginenum.c, pluginenum.h:
	  * main.c: Remove trailing colon from 'disabled_iplugins' config
	  value string output.	* mainwin.c, pluginenum.*, input.h: Minor
	  renamings.

2004-11-01 13:05  descender

	* audacious/mainwin.c:
	  * mainwin.c: Fix toggle button state for shuffle and repeat on
	  start (Andrei Badea).

2004-10-31 15:22  masterpe

	* po/nl.po: - Updated the dutch translation

2004-10-24 08:24  descender

	* Input/mpg123/: configure.c, mpg123.c:
	  * Input/mpg123/configure.c, Input/mpg123/mpg123.c: Remove Glib
	  warning when mpg123_id3_encoding_list is NULL (SF #1020503).

2004-10-24 07:54  descender

	* audacious/: util.c, glade/addfiles.glade:
	  * util.c: Fixed 'Add Files' dialog not opening, fixed all
	  compiler warnings, correctly mark all translatable strings,
	  miscellaneous cleanups.  * glade/addfiles.glade: Set dialog hint
	  for 'Add Files' dialog window.

2004-10-22 03:41  mderezynski

	* audacious/: mainwin.c, playlistwin.c, util.c:

	  * Fixed Shuffle and Repeat

2004-10-22 01:55  descender

	* po/mk.po:
	  * mk.po: Update Macedonian translation (Arangel Angov).

2004-10-17 16:58  descender

	* audacious/: controlsocket.c, mainwin.h:
	  * controlsocket.c (ctrlsocket_func): Change type of len to
	  socklen_t.  * mainwin.h: Remove externs that were declared as
	  statics in mainwin.c.

2004-10-17 09:16  descender

	* audacious/images/bmp_playlist.xpm:
	  * bmp_playlist.xpm: Revert playlist window icon.

2004-10-16 05:59  descender

	* audacious/controlsocket.c, audacious/controlsocket.h, audacious/main.c,
	  libaudacious/beepctrl.c, libaudacious/beepctrl.h:
	  * audacious/controlsocket.[ch], libaudacious/beepctrl.[ch]: Add ability to
	  activate main window remotely (Andrei Badea).  * audacious/main.c: Add
	  command option (-a,--activate) to activate main window (Andrei
	  Badea).

2004-10-16 00:26  descender

	* AUTHORS, audacious/about.c, po/LINGUAS, po/mk.po:
	  * po/LINGUAS, po/mk.po: Add Macedonian translation by Arangel
	  Angov.  * AUTHORS, audacious/about.c: Add Macedonian translator.

2004-10-08 20:28  descender

	* acinclude.m4, bmp.pc.in, configure.ac:
	  * acinclude.m4: Add ADD_PC_REQUIRES macro.  * configure.ac,
	  bmp.pc.in: Set pkg-config file requires for optional
	  dependencies.

2004-10-08 19:35  descender

	* audacious/main.c:
	  * main.c (dump_version): Print list of features (eg. GConf, GNOME
	  VFS), and print full application name (instead of package name).

2004-10-08 19:14  descender

	* audacious/: mainwin.c, playlistwin.c, playlistwin.h:
	  * mainwin.c, playlistwin.[ch]: Eject button now invokes playlist
	  selection dialog instead.

2004-10-08 15:31  descender

	* audacious/: mainwin.c, playlistwin.c:
	  * mainwin.c, playlistwin.c: Fix compiler warnings and GTK+
	  runtime warnings.

2004-10-08 13:51  descender

	* audacious/playlistwin.c:
	  * playlistwin.c: Remove unused code, fix track info dialog launch
	  with shortcut (#176), miscellaneous clean ups.

2004-10-08 12:34  descender

	* audacious/skin.c:
	  * skin.c (skin_draw_pixmap): Check if pixmap is NULL (Artur
	  Frysiak, #185).

2004-10-01 23:55  mderezynski

	* audacious/images/appearance.png:

	  New appearance icon

2004-09-27 06:00  mderezynski

	* audacious/: mainwin.c, playlistwin.c:

	  blah! BLAH!

2004-09-27 05:40  mderezynski

	* audacious/: mainwin.c, playlistwin.c, glade/prefswin.glade:

	  Some menu changes, some this-and-that

2004-09-26 20:14  descender

	* revision.h, audacious/main.c:
	  * audacious/main.c, revision.h: Revert revision printing code for now
	  (until revup.py can be properly called with ciabot).

2004-09-26 19:50  descender

	* revision.h: * Bump revision (revup.py)

2004-09-26 19:50  descender

	* configure.ac:
	  * configure.ac: Test commit.

2004-09-26 19:05  descender

	* audacious/main.c:
	  * Dummy commit to test revup.py

2004-09-26 18:45  descender

	* audacious/main.c:
	  * Test commit.

2004-09-26 18:21  descender

	* audacious/main.c:
	  * main.c: Test commit.

2004-09-26 17:52  descender

	* audacious/main.c:
	  * main.c (dump_version): Print revision number.

2004-09-26 17:48  descender

	* revision.h:
	  * revision.h: Add include guard (also to test commit).

2004-09-26 15:51  descender

	* audacious/main.c:
	  * main.c: Include "revision.h" for tree revision number (also to
	  test revup script).

2004-09-26 15:44  descender

	* revision.h:
	  * revision.h: New include file to track tree revision

2004-09-26 06:49  mderezynski

	* audacious/images/bmp_eq.xpm:

	  Revert to old red icons (the green ones were butt ugly weren't
	  they)

2004-09-26 06:41  descender

	* AUTHORS, audacious/about.c:
	  * AUTHORS, about.c: Add Czech translator to credits.

2004-09-26 05:48  descender

	* po/: LINGUAS, cs.po:
	  * LINGUAS, cs.po: Add Czech translation by Jan Narovec.

2004-09-25 21:05  quirk_fr

	* po/fr.po: - Improved few translations

2004-09-25 09:49  mderezynski

	* audacious/playlistwin.c:

	  Fixed queue_pixbuf compile problem

2004-09-25 09:18  mderezynski

	* audacious/: mainwin.c, playlistwin.c, util.c:

	  Some updates

2004-09-23 06:58  quirk_fr

	* po/fr.po: - Updated french translation

2004-09-20 02:01  mderezynski

	* audacious/: mainwin.c, mainwin.h, playlistwin.c, util.c:

	  Changes to the filechooser, menu changes

2004-09-19 11:53  mderezynski

	* audacious/: beep_logo.xpm, mainwin.c, playlistwin.c, prefswin.c,
	  util.c:

	  revised about logo; menu changes; removed Add Folders because of
	  currently broken GtkFileChooser

2004-09-19 08:16  mderezynski

	* audacious/: mainwin.c, playlistwin.c:

	  Changed menu order once again

2004-09-19 08:13  mderezynski

	* audacious/: mainwin.c, playlistwin.c:

	  Menus now pop up to the top (over pl window) instead of to the
	  bottom out of it

2004-09-19 07:15  mderezynski

	* audacious/: mainwin.c, playlist.c, playlistwin.c, util.c:

	  Menu changes, GTK menus for playlist buttons instead of custom
	  ones

2004-09-19 02:59  oleavr

	* audacious/glade/Makefile.am: Added a missing backslash so that
	  addfiles.glade gets installed.

2004-09-19 02:42  mderezynski

	* audacious/queue.png:

	  Added icon for queue toggle

2004-09-19 02:41  mderezynski

	* audacious/glade/addfiles.glade:

	  Added .glade file for filebrowser

2004-09-19 02:40  mderezynski

	* audacious/: build.list, main.c, main.h, mainwin.c, playlist.h,
	  playlistwin.c, util.c, glade/Makefile.am:

	  Changed and fixed up filebrowser

2004-09-17 07:45  mderezynski

	* Input/cdaudio/cdaudio.c:

	  Commit enable Equalizer for CD Audio patch

2004-09-17 07:42  mderezynski

	* audacious/beep_logo.xpm:

	  Replaced green logo with red one (Should have been commited long
	  time ago)

2004-09-08 16:27  descender

	* audacious/playlist.c:
	  * playlist.c (playlist_queue_position): Remove #ifdef (Michael
	  Marineau, #169).

2004-09-06 23:26  er-ku

	* po/lt.po: very minor fix for one string

2004-09-06 23:23  er-ku

	* po/lt.po: new translations and translators added.

2004-09-03 09:29  descender

	* AUTHORS, audacious/about.c, po/sk.po:
	  * AUTHORS, audacious/about.c: Update translation credits.	* po/sk.po:
	  Fix mismatched fields.

2004-09-03 07:53  descender

	* po/: LINGUAS, sk.po:
	  * LINGUAS, sk.po: Add Slovak translation by Pavel Kanzelsberger.

2004-09-02 06:04  descender

	* po/hu.po:
	  * hu.po: Update Hungarian translation (Laszlo Dvornik).

2004-09-01 07:18  descender

	* po/el.po:
	  * el.po: Update Greek translation (Kouzinopoulos Haris).

2004-08-31 18:23  descender

	* scripts/gen-auto-scripts.sh:
	  * gen-auto-scripts.sh (run_or_die): Fix exit code output.

2004-08-31 18:16  descender

	* autogen.sh, scripts/gen-auto-scripts.sh:
	  * autogen.sh, scripts/gen-auto-scripts.sh: Fix portability issues
	  with '!' (damn Bash).

2004-08-31 17:12  descender

	* audacious/: equalizer.c, mainwin.c, skin.c, skin.h:
	  * skin.c, skin.h: Reorder and rename window mask IDs, remove
	  'shaded' parameter from skin_get_mask().  * equalizer.c,
	  mainwin.c: Fix window-shade transparency problem (closes #109).

2004-08-31 16:28  descender

	* audacious/mainwin.c:
	  * mainwin.c (mainwin_create): Remove call to
	  mainwin_set_shape_mask (removes startup warning about skin !=
	  NULL).

2004-08-29 12:59  descender

	* audacious/equalizer.c:
	  * equalizer.c (equalizer_presets_menu_cb): Remove residue break
	  statement.

2004-08-29 12:53  descender

	* audacious/: equalizer.c, mainwin.c, util.c, util.h:
	  * equalizer.c, util.c, util.h: Refactor preset load/save UI code,
	  port preset load/save to VFS.  * mainwin.c: Remove unused code.

2004-08-29 11:03  descender

	* audacious/playlistwin.h:
	  * playlistwin.h: Change playlist default font size to point 10.

2004-08-29 09:29  descender

	* audacious/skin.c:
	  * skin.c (init_skins): Fix crash on Solaris during first run of
	  BMP (#165).

2004-08-29 09:23  descender

	* audacious/plugin.h:
	  * plugin.h: Remove plugin struct comments, replace
	  xmms_get_gentitle_format()'s const with G_CONST_RETURN.

2004-08-29 09:03  descender

	* NEWS:
	  * NEWS: Update changes.

2004-08-29 08:51  descender

	* Input/mpg123/: configure.c, mpg123.c, mpg123.h:
	  * configure.c, mpg123.c, mpg123.h: Add multiple encoding support
	  for trying ID3 title conversion.

2004-08-29 07:35  descender

	* audacious/: effect.c, effect.h, input.c, input.h, main.c, mainwin.c,
	  output.c, output.h, pluginenum.c, pluginenum.h, util.c,
	  visualization.c, visualization.h:
	  * effect.[ch], input.[ch], output.[ch], visualization.[ch]: Use
	  typedef'ed  structs for *PluginData.	* main.c: Use
	  PLUGIN_FILENAME to construct OSS plugin filename.  * mainwin.c:
	  Make some functions static, rename scan_cd_input_plugin() to
	  can_play_cd().  * pluginenum.h: Add PLUGIN_FILENAME macro.  *
	  util.c: Change close button to cancel for preset file selector.

2004-08-29 07:22  quirk_fr

	* po/fr.po: - Update French translation

2004-08-29 07:01  descender

	* AUTHORS:
	  * AUTHORS: Correct typo.

2004-08-29 06:59  descender

	* po/bmp.pot:
	  * bmp.pot: Sync PO template.

2004-08-29 06:54  descender

	* po/pl.po:
	  * pl.po: Update Polish translation (Jacek Wolszczak).

2004-08-29 06:47  descender

	* audacious/mainwin.c:
	  * mainwin.c: Replaced unnecessary gtk_item_factory_get_widget()
	  calls in menu callbacks with their 3rd parameter, replace
	  CHECK_SET macro with check_set() function, replace gtk_exit()
	  with gtk_main_quit().

2004-08-28 09:38  descender

	* audacious/mainwin.c:
	  * mainwin.c: Replace deprecated gtk_timeout_*() calls with
	  g_timeout_add() and  g_source_remove().

2004-08-28 07:40  descender

	* AUTHORS, po/LINGUAS, po/ro.po, audacious/about.c:
	  * po/LINGUAS, po/ro.po: Add Romanian translation by Liviu
	  Danicel.  * AUTHORS, audacious/about.c: Update translation credits.

2004-08-28 06:12  descender

	* AUTHORS, audacious/about.c:
	  * AUTHORS, audacious/about.c: Change LD's name on request.

2004-08-27 04:06  masterpe

	* po/nl.po: - Updated the dutch translation

2004-08-27 04:02  descender

	* audacious/about.c:
	  * about.c: Left out artm :p

2004-08-27 03:32  descender

	* audacious/about.c, po/LINGUAS, po/el.po, AUTHORS:
	  * po/LINGUAS, po/el.po: Add Greek translation by Kouzinopoulos
	  Haris.  * audacious/about.c, AUTHORS: Update translation credits.

2004-08-27 01:04  mderezynski

	* audacious/images/bmp_player.xpm:

	  reverted icon to red style one

2004-08-26 18:49  descender

	* AUTHORS, audacious/about.c, po/LINGUAS, po/br.po:
	  * po/br.po: New Breton translation by Thierry Vignaud.  *
	  LINGUAS: Add Breton and Hungarian (was missing).  * AUTHORS,
	  audacious/about.c: Update translation credits.

2004-08-25 01:27  descender

	* AUTHORS, audacious/about.c, po/hu.po:
	  * po/hu.po: Add Hungarian translation by Laszlo Dvornik.  *
	  AUTHORS, audacious/about.c: Update credits.

2004-08-25 01:13  descender

	* po/de.po:
	  * de.po: Update German translation (Matthias Debus).

2004-08-24 05:33  mderezynski

	* audacious/: beep_logo.xpm, glade/prefswin.glade, images/bmp_eq.xpm,
	  images/bmp_player.xpm, images/bmp_playlist.xpm:

	  New GFX!

2004-08-24 01:30  mderezynski

	* audacious/util.c:

	  Fixed usage semantics also for Add files and improved visual
	  response

2004-08-24 01:23  mderezynski

	* audacious/mainwin.c:

	  Fixed usage semantics (Add dir dialog does now first close, then
	  the directory contents are added instead of reverse)

2004-08-23 21:16  descender

	* po/: it.po, ja.po:
	  * it.po: Update Italian translation (Alessio D'Ascanio).  *
	  ja.po: Update Japanese translation (Takeshi Aihana).

2004-08-23 20:35  descender

	* audacious/about.c:
	  * about.c: Removed superfluous ':'.

2004-08-23 19:46  descender

	* audacious/controlsocket.c, Output/OSS/audio.c:
	  * audacious/controlsocket.c, Output/OSS/audio.c: Add missing
	  <sys/time.h> includes (Closes #162).

2004-08-23 06:31  er-ku

	* po/lt.po: no comments

2004-08-22 21:30  descender

	* audacious/Makefile.am, po/POTFILES.in:
	  * audacious/Makefile.am: Add build.list for distribution.	*
	  po/POTFILES.in: Remove equalizerwin_preset_menu.glade.

2004-08-22 07:31  descender

	* audacious/: playlist.c, playlistwin.c:
	  * playlist.c (playlist_remove_dead_files): Proper fix for
	  removing unavailable ('dead') files, log invalid playlist
	  entries.  * playlistwin.c (playlistwin_set_geometry_hints): Fix
	  incorrect base width.

2004-08-22 06:33  descender

	* audacious/mainwin.c:
	  * mainwin.c (mainwin_jump_to_file): Replaced gtk_widget_show()
	  calls with gtk_widget_show_all().  (mainwin_jump_to_file,
	  mainwin_jump_to_file_edit_cb): Use alias for playlist entry.

2004-08-22 04:51  descender

	* audacious/glade/: Makefile.am, equalizerwin_preset_menu.glade:
	  * Makefile.am, equalizer_preset_menu.glade: Remove unused Glade
	  file.

2004-08-22 04:49  descender

	* audacious/about.c:
	  * about.c: Fix indentation (perfectionism at work).

2004-08-22 04:47  descender

	* audacious/about.c:
	  * about.c: Update credits, fix compiler warning.

2004-08-22 04:39  descender

	* AUTHORS:
	  * AUTHORS: Update credits.

2004-08-22 04:28  descender

	* NEWS:
	  * NEWS: Add notes on 0.9.7 rc1.

2004-08-22 00:24  mderezynski

	* audacious/: playlist.c, playlistwin.c:

	  Fixed playlist sort functions

2004-08-21 23:49  mderezynski

	* audacious/playlist.c:

	  Removed unused variables declarations

2004-08-21 23:48  mderezynski

	* audacious/playlist.c:

	  Fixed "remove dead files"

2004-08-21 23:35  mderezynski

	* audacious/playlist.c:

	  intermediate changes

2004-08-21 21:15  descender

	* audacious/playlist.c:
	  * playlist.c: Fix "/tmp" error when m3u playlist contains empty
	  lines (Julien Portalier, #133).

2004-08-21 21:04  descender

	* Input/mpg123/id3_frame_text.c:
	  * id3_get_text(): Fix ID3v2 comments (Peter Behroozi). Closes
	  #153.

2004-08-21 20:05  descender

	* Input/vorbis/vorbis.c:
	  * vorbis.c (vorbis_process_data): Remove superfluous
	  g_mutex_unlock() call.

2004-08-21 19:38  descender

	* Output/alsa/configure.c:
	  * configure.c (alsa_configure): Fix GTK+ warning (using
	  gtk_widget_grab_default before packing button into window).

2004-08-21 10:20  descender

	* audacious/playlistwin.c:
	  * playlistwin.c: Remove unused physical file deletion functions.

2004-08-21 10:01  descender

	* audacious/: Makefile.am, audio.inf, audio.png, build.list, folder.png:

	  * Remove unused icons.

2004-08-21 09:57  descender

	* audacious/play.png:
	  * play.png: Crop and resized icon to 16x16.

2004-08-21 09:20  descender

	* po/zh_CN.po:
	  * Updated zh_CN translation.

2004-08-21 08:28  descender

	* audacious/: mainwin.c, util.c:
	  * util.c: Use GtkComboBoxEntry for 'Add URL' dialog, fix memory
	  leak when   cropping URL history, make 'Add URL' dialog close
	  when user enters URL	 in entry box.	* mainwin.c: Move
	  mainwin_url_window into mainwin_show_add_url_window().

2004-08-21 06:45  mderezynski

	* audacious/: about.c, beep_logo.xpm, glade/prefswin.glade:

	  about.c: small fixes for the list view (remove selection, add
	  shadow) beep_logo.xpm: new logo glade/prefswin.glade: made skin
	  list taller

2004-08-21 04:19  mderezynski

	* audacious/playlist_list.c:

	  Fixed track times would overdraw parts of the skin

2004-08-17 03:28  quirk_fr

	* po/fr.po: - Updated translations for new function copy/paste tags

2004-08-17 03:25  quirk_fr

	* po/fr.po: - Updated translations

2004-08-15 06:30  descender

	* audacious/mainwin.c:
	  * mainwin.c: Make JTT dialog non-modal, remove track length
	  display since   it not sync with track changes.

2004-08-15 06:09  descender

	* audacious/: mainwin.c, util.c, util.h, equalizer.c, mainwin.h,
	  playlistwin.c:
	  * util.c, util.h: Added functions create_menu() and
	  make_submenu().  * mainwin.c, mainwin.h: Fix accelerators (#152);
	  use stock buttons, reverse   button order and set window type
	  hint for 'Jump to Time' dialog; use new   convenience functions
	  (above).  * playlistwin.c: Fix 'Playback' menu accelerators,
	  remove jump options from   'Playlist' menu, use new convenience
	  functions.  * equalizerwin.c: Use new convenience functions.

2004-08-14 02:47  descender

	* Input/vorbis/fileinfo.c:
	  * fileinfo.c: Activate save button when genre is changed (#148).

2004-08-14 02:25  masterpe

	* po/nl.po: - Some small updates and sanifications to the dutch
	  translation

2004-08-13 19:27  descender

	* po/bmp.pot:
	  * bmp.pot: Update PO template.

2004-08-13 19:14  descender

	* audacious/: main.c, mainwin.c, mainwin.h, playlistwin.c:
	  * main.c, mainwin.c, mainwin.h, playlistwin.c: Fix playback
	  submenu of   playlist editor.

2004-08-13 18:39  descender

	* audacious/main.c:
	  * main.c: Removed unused code, mark options no longer in use.

2004-08-13 18:14  descender

	* audacious/: main.c, playlistwin.c, prefswin.c, textbox.c,
	  glade/prefswin.glade:
	  * main.c, prefswin.c, textbox.c, glade/prefswin.glade: Remove
	  option to   disable smooth title scrolling.  * playlistwin.c: Fix
	  up indentation screw-ups by last run of indent.

2004-08-13 17:55  descender

	* audacious/: equalizer.c, mainwin.c, playlistwin.c:
	  * equalizer.c, mainwin.c, playlistwin.c: Renamed some items in
	  'Options'   menu.

2004-08-13 17:31  descender

	* Input/mpg123/fileinfo.c:
	  * Input/mpg123/fileinfo.c: Mark copy/paste album tags buttons as
	  translatable.

2004-08-13 04:16  descender

	* audacious/: equalizer.c, mainwin.c:
	  * mainwin.c, equalizer.c: Removed 'Reload skin' option, renamed
	  'Show   Graphical Equalizer' to 'Show Equalizer' (yes I'm
	  fickle-minded).

2004-08-13 04:04  descender

	* audacious/: equalizer.c, mainwin.c:
	  * mainwin.c, equalizer.c: Removed 'Focus Playlist Editor' from
	  Options menu,   renamed 'Show Graphical EQ' option to 'Show
	  Graphical Equalizer'.

2004-08-13 03:41  descender

	* audacious/: equalizer.c, equalizer.h, main.c, main.h, mainwin.c,
	  playlistwin.c, skin.c, skin.h, svis.c, vis.c, vis.h:
	  * Removed doublesize and easymove.

2004-08-12 21:05  descender

	* audacious/mainwin.c:
	  * mainwin.c (mainwin_jump_to_file): Prevent spawning of multiple
	  JTF dialogs	(#149), set JTF window type hint to dialog (#150).

2004-08-12 06:16  masterpe

	* po/nl.po: - Small update to the dutch translation

2004-08-10 12:26  descender

	* audacious/playback.c:
	  * playback.c: Fixed compilation problem with gcc 2.95.x (Jolan
	  Luff, closes	 #144).

2004-08-08 23:12  quirk_fr

	* po/fr.po: - Better translation

2004-08-04 20:33  artm

	* audacious/: Makefile.am, bmp-playlist.c, bmp-playlist.h
	  (new-playlist): new playlist - now compiles :-)

2004-08-04 19:09  artm

	* audacious/: bmp-playlist.c, bmp-playlist.h (new-playlist): new
	  playlist - initial version, gtktreemodel implementation

2004-08-03 18:02  mderezynski

	* audacious/: playlist.c, playlist_list.c:

	  Fix crash when queueing remote files (Closes #106)

2004-08-02 16:12  artm

	* Input/mpg123/fileinfo.c: id3v2 editing user interface
	  enhancements: - validating tracknumbers - show tracknumbers
	  padding zero on saving / copying - tab jumps out of the comment
	  field

2004-07-31 08:48  descender

	* po/de.po:
	  * de.po: Fixed "Queue Toggle" translation (closes #117).

2004-07-31 05:01  descender

	* audacious/main.c:
	  * main.c: Equalizer preamp is now saved (Eugene Marcotte, closes
	  #136).

2004-07-31 03:57  artm

	* Input/mpg123/fileinfo.c: Album tags copy'n'paste version 1

2004-07-31 02:15  descender

	* Input/mpg123/: configure.c, http.c, mpg123.c, mpg123.h:
	  * configure.c, http.c, mpg123.c, mpg123.h: Enable Shoutcast title
	  metadata   all the time.

2004-07-31 01:09  artm

	* Input/mpg123/fileinfo.c: Fixed warnings about unused functions in
	  fileinfo.c

2004-07-31 00:09  larne

	* configure.ac, Input/mpg123/Makefile.am, Input/mpg123/fileinfo.c,
	  po/bmp.pot, po/cy.po, po/de.po, po/es.po, po/fr.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/pl.po, po/ru.po,
	  po/sv.po, po/zh_CN.po: Next iteration of id3v2 patch from artm.
	  His changelog:

	  * no more id3v1/v2 tabs -> user doesn't care.  * comment field is
	  multiline text editor (try to enter something long, you can press
	  enter to add newlines) * total album tracks editing support
	  (saved in track number frame as <TRACK NO>/<TOTAL TRACKS> *
	  better autoconfig test (will work with compression disabled
	  builds of id3lib on systems without libz) + prints wether id3v2
	  is enabled in the configure summary

2004-07-30 16:57  larne

	* audacious/mainwin.c, audacious/mainwin.h, audacious/playlistwin.c, po/cy.po,
	  po/de.po, po/es.po, po/it.po, po/ko.po, po/nl.po, po/pl.po,
	  po/sv.po: - make mainwin_jump_to_{file,time} in mainwin.c public;
	  used for the new "Jump to File" and "Jump to Time" menu   items
	  in the playlistwin's popup menu.  This fixes	 JTF shortcuts
	  being broken.

2004-07-30 05:20  descender

	* Input/mpg123/mpg123.c:
	  * mpg123.c (get_song_info): Fix check for HTTP streams (David Le
	  Brun,   closes #128).

2004-07-30 05:19  quirk_fr

	* po/fr.po: Updated translations

2004-07-29 00:53  descender

	* po/ru.po, audacious/mainwin.c:
	  * po/ru.po: Russian translation update (Dan Korostelev).  *
	  audacious/mainwin.c: Hiding main window now hides from taskbar and
	  Alt-Tab   list (Dan Korostelev).

2004-07-27 00:09  er-ku

	* po/lt.po: New strings arrived!

2004-07-26 19:58  descender

	* AUTHORS, audacious/about.c:
	  * AUTHORS, audacious/about.c: Added Italian translator to credits
	  list.

2004-07-26 19:53  descender

	* po/: ja.po, LINGUAS, it.po:
	  * LINGUAS, it.po: Added Italian translation by Alessio D'Ascanio.
	  * ja.po: Updated Japanese translation (Takeshi Aihana).

2004-07-26 18:26  masterpe

	* po/nl.po: - Final tweaks for 0.9.7 (I hope)

2004-07-24 10:00  descender

	* bmp.spec.in:
	  * bmp.spec.in: Fix GNOME VFS configure flag (closes #130).

2004-07-21 20:47  masterpe

	* po/nl.po: Adherence to standard translations, more polishing.
	  Must be getting tiresome reading this.

2004-07-21 19:49  descender

	* Input/wav/wav.h:
	  * wav.h: Fix localization of WAV plugin name.

2004-07-21 19:47  descender

	* Input/vorbis/configure.c:
	  * configure.c: Fix localization.

2004-07-21 17:00  masterpe

	* po/nl.po: Finally found a good translation for "presets", some
	  other small tweaks aswell

2004-07-21 05:47  descender

	* configure.ac, Input/mpg123/Makefile.am, Input/mpg123/common.c,
	  Input/mpg123/fileinfo.c, Input/mpg123/id3.c, Input/mpg123/id3.h,
	  Input/mpg123/id3_frame.c, Input/mpg123/id3_frame_content.c,
	  Input/mpg123/id3_frame_text.c, Input/mpg123/id3_frame_url.c,
	  Input/mpg123/id3_tag.c, Input/mpg123/mpg123.h,
	  Input/mpg123/xmms-id3.h:
	  * Applied Artem Baguinski's id3v2 editing patch, rename
	  Input/mpg123/id3.h   to xmms-id3.h.

2004-07-20 17:57  masterpe

	* po/nl.po: Oops, forgot something, corrected.

2004-07-20 17:45  masterpe

	* po/nl.po: Updated the Dutch translation

2004-07-19 21:43  descender

	* AUTHORS, audacious/about.c:
	  * AUTHORS, audacious/about.c: Add Dan Korostelev (Russian translation
	  update,   mpg123 plugin id3 encoding patch) and Laurens Buhler
	  (Dutch translator).

2004-07-19 20:04  masterpe

	* po/nl.po:	* po/nl.po: Polished up the translation

2004-07-19 05:09  masterpe

	* po/nl.po: Modified Files:	po/nl.po

	  * L. Buhler	  Updated the dutch translation

2004-07-19 04:43  quirk_fr

	* po/fr.po: - Updated french translation

2004-07-19 04:26  masterpe

	* po/nl.po: Modified Files:	po/nl.po

	  * L. Buhler	  Updated the Dutch translation

2004-07-18 16:49  descender

	* po/: bmp.pot, zh_CN.po:
	  * bmp.pot: Update PO template.  * zh_CN.po: Update Simplified
	  Chinese translation.

2004-07-18 16:36  descender

	* Input/: mpg123/configure.c, vorbis/configure.c:
	  * Input/mpg123/configure.c, Input/vorbis/configure.c: HIGify
	  mpg123/vorbis   plugin configuration dialog title.

2004-07-18 16:30  descender

	* audacious/: Makefile.am, beep_eq.xpm, beep_mini.xpm,
	  beep_playlist.xpm, equalizer.c, main.c, playlistwin.c,
	  images/Makefile.am, images/bmp_eq.xpm, images/bmp_player.xpm,
	  images/bmp_playlist.xpm:
	  * main.c, playlistwin.c, equalizer.c: Use new window icons.  *
	  beep_mini.xpm: Remove.  * images/bmp_player.xpm: New BMP player
	  window icon (from icons/bmp.svg).  * images/bmp_eq.xpm,
	  images/bmp_playlist.xpm: Moved and renamed from
	  beep_playlist.xpm and beep_eq.xpm * Makefile.am: Update according
	  to file changes.

2004-07-18 16:03  descender

	* audacious/: Makefile.am, build.list, cda.png, harddisk.png,
	  jump_time.png, jump_to.h, jump_to.png:
	  * Makefile.am, build.list: Remove unused icons.  * cda.png,
	  harddisk.png, jump_time.png, jump_to.png: Remove unused icons.  *
	  jump_to.h: Remove unused file.

2004-07-18 15:33  descender

	* audacious/glade/prefswin.glade:
	  * prefswin.glade: Remove Plugin->Settings tab.

2004-07-18 14:10  descender

	* audacious/glade/prefswin.glade:
	  * prefswin.glade: Changed Preferences window's 'delete-event'
	  handler to   gtk_widget_hide_on_delete() (was gtk_widget_hide()).

2004-07-18 12:04  descender

	* po/nl.po:
	  * nl.po: Fixed broken msgstrs.

2004-07-17 20:05  descender

	* Input/mpg123/mpg123.c: * mpg123.c: Applied ID3 encoding patch
	  update (Dan Korostelev).

2004-07-16 08:11  msikkes

	* AUTHORS: Woops, forgot to add Laurens last name. Here it is.

2004-07-16 08:10  msikkes

	* po/ru.po: Russian translation update by Dan Korostelev
	  <dan@ats.energo.ru>

2004-07-16 08:08  msikkes

	* AUTHORS: Added Laurens to the Translators section in AUTHORS file
	  for his Dutch translation.  CVS:

2004-07-16 08:06  msikkes

	* po/: LINGUAS, nl.po: - Added nl to LINGUAS - Added Dutch
	  translation by Laurens <masterpe@xs4all.nl>

2004-07-12 17:21  descender

	* audacious/playlistwin.c:
	  * playlistwin.c (playlistwin_create_window): Undo last change
	  (put back   playlistwin_set_geometry_hints).

2004-07-12 16:32  descender

	* audacious/: main.c, mainwin.c, playlist.c, skinwin.c, util.c:
	  * util.c (filebrowser_on_response): Close (destroy) dialog on
	  add.	* mainwin.c (dirbrowser_on_response): Close (hide) dialog
	  on add.  * main.c (main): Show main window last and playlist
	  editor second last so   that main window gets initial focus (if
	  it's not visible, then playlist   editor gets the focus).

2004-07-12 16:05  descender

	* audacious/: main.c, mainwin.c, mainwin.h, playlistwin.c:
	  * main.c (bmp_default_config): Make BMP load metadata on view
	  (demand) by	default.  * main.c (main), mainwin.[ch]
	  (create_popups): Fix crash when starting with   main window
	  shaded.  * playlistwin.c (playlistwin_create_window): Don't set
	  geometry hints here,	 it is already set via the main window menu
	  handler.

2004-07-11 21:25  descender

	* audacious/: main.c, main.h, prefswin.c:
	  * main.c, main.h: Fixed incorrect default titlestring preset
	  (should be   'ARTIST - TITLE', was 'TITLE'), removed some unused
	  code.  * prefswin.c (on_titlestring_cbox_realize): Test for
	  preset with	n_titlestring_presets.

2004-07-11 18:52  descender

	* audacious/: prefswin.c, skinwin.c, glade/prefswin.glade:
	  * skinwin.c (skin_view_realize): Don't update skin view here.
	  (skin_vew_update):   Set skin view cursor (skin) after update
	  loop.  * prefswin.c: Skin view now updates only the first time it
	  turns visible   after Preferences window is launched, added some
	  convenience functions,   fixed compiler warnings.  *
	  glade/prefswin.glade: Give skin view scrolled window a name, add
	  visibility   notify event callback for skin view, remove requires
	  on GNOME (ugh).

2004-07-10 22:49  mderezynski

	* audacious/: prefswin.c, glade/prefswin.glade:

	  prefswin.c: Added effect plugins view, configuration etc
	  glade/prefswin.glade: GtkHPane instead of fixed layout, effect
	  plugins tab

2004-07-10 21:33  mderezynski

	* audacious/: prefswin.c, glade/prefswin.glade:

	  prefswin.c: Enabled visualization plugins configure and info
	  glade/prefswin.glade: Set the category selection view width to
	  140px default

2004-07-10 20:39  quirk_fr

	* po/fr.po: -Updated translations

2004-07-10 13:04  descender

	* Input/mpg123/: configure.c, mpg123.c, mpg123.h:
	  * configure.ac, mpg123.c, mpg123.h: Applied Dan Korostelev's
	  patch to let	 user configure encoding to assume for ID3 tags.

2004-07-09 12:37  descender

	* audacious/: main.c, mainwin.c, mainwin.h, playlistwin.c, skin.c,
	  skin.h:
	  * playlistwin.c: Remove playlistwin_play_menu* and use
	  mainwin_play_menu*,	replaced icon for 'New List' with
	  GTK_STOCK_NEW.  * main.c, mainwin.c, mainwin.h (create_popups):
	  Rename function to   mainwin_create_popups(), call it in
	  mainwin_create() instead of main().	 Added some more stock
	  icons to menu popups.

2004-07-09 01:54  descender

	* Input/vorbis/fileinfo.c:
	  * fileinfo.c (vorbis_file_info_box): Convert filename to UTF-8
	  for display,	 fix compilation error with ALL_VORBIS_TAGS
	  defined.

2004-07-08 09:48  descender

	* Input/mpg123/fileinfo.c, Input/vorbis/fileinfo.c,
	  audacious/playlist.c, libaudacious/configdb_rcfile.c, libaudacious/vfs.h,
	  libaudacious/vfs_gnome.c, libaudacious/vfs_stdio.c:
	  * configdb_rcfile.c (bmp_cfg_db_open): Use g_build_filename() in
	  place of g_strconcat().  * vfs_stdio.c, vfs_gnome.c, vfs.h:
	  Implement vfs_is_writeable() and   vfs_truncate().  *
	  Input/*/fileinfo.c: Complete porting file handling code to VFS
	  using the   two new functions above.	* playlist.c: Indentation
	  fixes.

2004-07-07 23:32  descender

	* audacious/util.h:
	  * util.h (util_create_add_url_window): Rename to
	  util_add_url_dialog_new(),   also fixes compiler warning.

2004-07-07 23:30  descender

	* audacious/prefswin.c:
	  * prefswin.c (create_prefs_window): Remove 'playlist_update'
	  widget.

2004-07-07 21:43  descender

	* audacious/: mainwin.c, mainwin.h, playlist.c, playlistwin.c,
	  skinwin.c, util.c, util.h:
	  * mainwin.c, mainwin.h, playlistwin.c, util.c, util.h: Clean up
	  filebrowser	and dirbrowser code.  * skinwin.c
	  (skin_view_update): Don't hide skin list during update.  *
	  playlist.c (playlist_dir_find_files): Replace while loop with
	  for.

2004-07-07 20:47  descender

	* audacious/util.c:
	  * util.c: Clean up file browser signal handling.
	  (filebrowser_add_files):   Remove g_free() in loop (made
	  extraneous by last commit).

2004-07-07 19:57  descender

	* audacious/: equalizer.c, playlistwin.c, util.c:
	  * equalizer.c, playlistwin.c, util.c: Fixed memory leaks
	  associated with   filenames returned with
	  gtk_file_chooser_get_filename*().

2004-07-07 19:47  descender

	* audacious/mainwin.c:
	  * mainwin.c: Generalize and rename directory browser functions.

2004-07-07 18:25  descender

	* audacious/: input.c, visualization.c:
	  * input.c: (input_show_unplayable_files): HIGify dialog i.e. use
	  GtkMessageDialog, and expander to show/hide file list.  *
	  visualization.c: Minor clean-ups.

2004-07-07 18:01  descender

	* audacious/: playback.c, playlistwin.c, prefswin.c:
	  * playback.c: HIGify 'No output plugin' dialog.  * prefswin.c:
	  Stop playback when user changes output plugin.  * playlistwin.c:
	  Removed unused code. (playlistwin_set_shade): Combine the   two
	  gtk_window_resize(), put playlistwin_set_geometry_hints() after
	  dock_shade() call.

2004-07-07 16:07  descender

	* audacious/glade/prefswin.glade:
	  * prefswin.glade: Remove GNOME requires line (wtf is wrong with
	  Glade?).

2004-07-07 15:56  descender

	* audacious/: bmp.desktop.in, main.c, mainwin.c, prefswin.c, prefswin.h,
	  visualization.c:
	  * bmp.desktop.in (Terminal): Replace 0 with false.  * prefswin.c
	  (change_category): Swap arguments. (prefswin_set_category):	New
	  function.  * prefswin.c, prefswin.h, visualization.c: Remove
	  prefswin_plugins_rescan()   and prefswin_show_vis_plugins_page().
	  * mainwin.c: Remove 'Visualization Plugins' option in
	  mini-visualizer popup.  * main.c: Indentation fix.

2004-07-07 15:30  descender

	* bmp.pc.in:
	  * bmp.pc.in (Name): Change to 'BMP'. (Requires): Remove
	  gthread-2.0, add   glib-2.0.

2004-07-07 15:27  descender

	* audacious/: prefswin.c, glade/prefswin.glade:
	  * prefswin.glade: Hide equalizer preset list and action buttons.
	  * prefswin.c: Moved change_category(), indentation fixes.

2004-07-07 14:54  descender

	* audacious/glade/prefswin.glade:
	  * prefswin.glade: Added missing 'realize' handler for
	  playlist_show_pl_numbers.

2004-07-07 14:08  descender

	* libaudacious/: configdb.h, configdb_gconf.c, configdb_rcfile.c:
	  * configdb.h: Make ConfigDb opaque.  * configdb_gconf.c,
	  configdb_rcfile.c: Define _ConfigDb, indentation fixes.

2004-07-07 13:51  descender

	* libaudacious/: vfs.h, vfs_gnome.c, vfs_stdio.c:
	  * vfs.h: changed 1st argument of vfs_fwrite() to type
	  gconstpointer, make	VFSFile opaque, add <stdio.h> include for
	  SEEK_* macros * vfs_gnome.c, vfs_stdio.c: define _VFSFile struct,
	  indentation fixes

2004-07-07 09:11  descender

	* po/LINGUAS, po/ru.po, AUTHORS, audacious/about.c:
	  * LINGUAS, ru.po: added Russian translation by Pavlo Bohmat *
	  AUTHORS, about.c: added Pavlo Bohmat to translator list

2004-07-06 17:41  descender

	* bmp.spec.in:
	  * bmp.spec.in: follow Fedora packaging guidelines as far as
	  possible

2004-07-06 15:28  descender

	* po/zh_CN.po:
	  * zh_CN.po: updated Simplifie Chinese translation

2004-07-06 13:20  descender

	* AUTHORS, audacious/about.c, po/LINGUAS, po/ko.po:
	  LINGUAS, ko.po: added Korean translation by DongCheon Park
	  AUTHORS, about.c: added Korean translator to credits list

2004-07-06 05:55  quirk_fr

	* po/fr.po: - Updated translation

2004-07-06 05:44  msikkes

	* Input/vorbis/fileinfo.c: Fixed a typo. A comment wasn't closed
	  properly which blocked compiling.

2004-07-05 09:54  mderezynski

	* audacious/mainwin.c:

	  fix typo

2004-07-05 09:33  mderezynski

	* Input/mpg123/fileinfo.c, Input/vorbis/fileinfo.c, audacious/skinwin.c,
	  audacious/util.c, audacious/glade/prefswin.glade:

	  Input/mpg123/fileinfo.c, Input/vorbis/fileinfo.c: Disabled file
	  stat() check when using GNOME VFS audacious/skinwin.c: hide skin
	  treeview while building the list audacious/glade/prefswin.glade: Some
	  button order changes audacious/util.c: Filebrowser changes. Open will
	  invoke a dialog with "Open (files)" and "Close (dialog)" *only*
	  now, and "Add" from the playlist with "Add" and "Close" only, so
	  that there is a unique way for both procedures which is easier to
	  grasp intuitively

2004-07-04 20:22  descender

	* Output/alsa/configure.c:
	  * configure.c: replaced GTK signal calls with GSignal equivalents
	  (also fixes compiler warnings)

2004-07-04 20:08  descender

	* audacious/prefswin.c:
	  * prefswin.c (on_pl_metadata_on_display_toggled):
	  cfg.get_info_on_demand wrongly set (inverted)

2004-07-04 19:54  descender

	* audacious/: main.c, plugin.h:
	  * main.c, plugin.h: fixed compiler warning (make
	  xmms_get_gentitle_format   return const gchar *, instead of gchar
	  *)

2004-07-04 19:39  descender

	* audacious/glade/prefswin.glade:
	  * prefswin.glade: hide category notebook tabs (accidentally made
	  visible during   last edit, silly Glade provides no better way to
	  switch tabs)

2004-07-04 19:36  descender

	* audacious/: main.c, prefswin.c, skin.c, glade/prefswin.glade:
	  * main.c, skin.c: indentation fixes * prefswin.c,
	  glade/prefswin.glade: fixed compiler warnings, pushed some signal
	  connection   calls to libglade, custom title string entry now
	  inserts tags at cursor position instead   of end, custom title
	  string setting no longer lost after every session

2004-07-03 08:29  descender

	* audacious/logger.h:
	  * logger.h: fixed log file size threshold to 512kb (was 512)

2004-07-02 00:27  mderezynski

	* audacious/: main.c, main.h, prefswin.c, skin.c, skin.h,
	  glade/prefswin.glade:
	  Added option to turn custom cursors off internally and into
	  preferences window

2004-07-01 17:09  mderezynski

	* audacious/: main.c, main.h, prefswin.c, util.c, util.h,
	  glade/prefswin.glade:

	  main.c, main.h, prefswin.c, util.c, util.h, glade/prefswin.glade

2004-06-30 07:53  descender

	* audacious/glade.c:
	  * glade.c (map_connect_func): add GCallback->gpointer cast to
	  shut Sun CC up

2004-06-30 06:07  mderezynski

	* audacious/logger.c:

	  Removed unneccessary include for stdio_ext.h

2004-06-30 05:53  mderezynski

	* audacious/logger.c:

	  Fix compile problem (added include for sys/stat.h)

2004-06-30 05:13  descender

	* audacious/: glade.h, logger.c, logger.h:
	  * glade.h: change FuncMap::function type to GCallback * logger.c,
	  logger.h: truncate log file on start-up, set threshold size to
	  512kb (closes #89)

2004-06-30 04:41  quirk_fr

	* po/fr.po: - Updated translation - Fixed few mistakes

2004-06-29 02:30  er-ku

	* po/lt.po: Cosmetic changes to conform with common policy:

	  Nuostatos >> nustatymai Katalogas >> aplankas

2004-06-29 02:02  er-ku

	* po/lt.po: translation update

2004-06-28 22:19  larne

	* configure.ac, audacious/glade.c, audacious/glade.h, po/fr.po: compile fixes

2004-06-28 21:25  larne

	* po/POTFILES.in: - lets try removing the correct file...

2004-06-28 21:16  larne

	* po/POTFILES.in: - remove dirbrowser.c

2004-06-28 09:35  descender

	* audacious/: input.c, main.c, mainwin.c, plugin.h, pluginenum.c,
	  pluginenum.h, prefswin.c, skinwin.c:
	  - fixed compiler warnings introduced in last commit - renamed Add
	  Folders dialog title to 'Add Folders' - hide instead of
	  destroying Add Folders dialog on close - revert
	  InputPlugin::set_info() signature to gchar * for title (save
	  plugin writers' headaches) - renamed pluginmatrix to
	  plugin_matrix - fixed memory leak when replacing keys in
	  plugin_matrix - fixed incorrect value comparator for
	  plugin_matrix - fixed memory leak in skin_view_update() - trivial
	  clean-ups

2004-06-28 06:30  mderezynski

	* audacious/playlist_list.c:
	  rendering problem fixed (number column seperator was drawn too
	  short)

2004-06-28 06:11  mderezynski

	* audacious/: mainwin.c, prefswin.c:
	  Dropping a font on mainwin now also updates the GtkFontButton in
	  the preferences window

2004-06-28 05:36  mderezynski

	* audacious/: mainwin.c, mainwin.h, prefswin.c:
	  When dropping a skin file on the main window, the skin view gets
	  updated accordingly now. I had to g_signal_connect() a mainwin
	  signal inside prefswin.c for that because we only there have
	  access to prefswin's glade XML. Well.

2004-06-28 05:02  mderezynski

	* audacious/: mainwin.c, playlistwin.c, prefswin.c, skinwin.c,
	  skinwin.h, util.c, glade/prefswin.glade:

	  Skin view now always scrolls to the currently active skin

2004-06-28 01:54  mderezynski

	* audacious/: mainwin.c, playlistwin.c:

	  changed "Add Directories" to "Add Folders" (menus)

2004-06-28 01:17  mderezynski

	* audacious/: main.c, mainwin.c, playlistwin.c, util.c,
	  glade/Makefile.am, glade/dirbrowser.glade:

	  indentation

2004-06-28 00:56  mderezynski

	* audacious/: Makefile.am, dirbrowser.c, dirbrowser.h, main.c,
	  mainwin.c, playlistwin.c, util.c, glade/dirbrowser.glade:

	  dirbrowser.c, dirbrowser.h, Makefile.am, main.c, mainwin.c,
	  playlistwin.c, glade/dirbrowser.glade, util.c: Replaced custom
	  dirbrowser trough GtkFileChooser in SELECT_FOLDER mode, removed
	  dirbrowser.c/.h, incorporated code into mainwin.c

2004-06-27 08:54  descender

	* Input/cdaudio/configure.c, Input/mpg123/configure.c,
	  Input/mpg123/fileinfo.c, Input/vorbis/configure.c,
	  Input/vorbis/fileinfo.c, Output/OSS/configure.c,
	  Output/alsa/configure.c, Output/esd/configure.c,
	  Visualization/blur_scope/blur_scope.c,
	  Visualization/blur_scope/config.c, audacious/equalizer.c,
	  audacious/output.c, audacious/plugin.h, audacious/prefswin.c, audacious/util.c,
	  audacious/glade/dirbrowser.glade, libaudacious/dirbrowser.c:
	  - fixed various windows hidden below always-on-top main player
	  windows (closes #107) - corrected preset dialogs' button order -
	  replace gdk_window_raise() calls with gtk_window_present() -
	  minor clean-ups

2004-06-27 06:31  descender

	* audacious/glade/prefswin.glade:
	  - revert window hint type to dialog

2004-06-27 06:18  descender

	* audacious/glade/prefswin.glade:
	  - HIGification - added title format combo box entry

2004-06-26 20:16  descender

	* Input/mpg123/mpg123.c, Visualization/blur_scope/blur_scope.c,
	  audacious/eq_graph.c, audacious/main.c, audacious/playlist_popup.c,
	  audacious/playlistwin.c, audacious/skin.c, audacious/skin.h, audacious/textbox.c:
	  - replaced gdk_{gc,pixmap,pixbuf}_unref()s with g_object_unref()
	  - miscellaneous minor clean-ups

2004-06-26 18:51  quirk_fr

	* po/fr.po: - updated translation

2004-06-26 16:25  descender

	* audacious/controlsocket.c:
	  - fixed freeze when adding unplayable files with third-party
	  applications, thanks to Bernard Blackham (closes #54)

2004-06-26 01:06  descender

	* AUTHORS, po/bmp.pot, po/cy.po, po/de.po, po/es.po, po/fr.po,
	  po/ja.po, po/lt.po, po/pl.po, po/sv.po, po/zh_CN.po:
	  - updated AUTHORS - sync po/pot files

2004-06-26 01:02  descender

	* configure.ac, libaudacious/configdb_gconf.c, audacious/Makefile.am,
	  audacious/about.c, audacious/beep.desktop.in, audacious/bmp.desktop.in,
	  audacious/logger.h, audacious/main.c, libaudacious/rcfile.c, libaudacious/rcfile.h,
	  audacious/prefswin.c, audacious/skin.c, audacious/glade/prefswin.glade,
	  icons/Makefile.am, icons/beep.svg, icons/bmp.svg:
	  - renamed beep.{svg,desktop.in} to bmp.{svg,desktop.in} - renamed
	  font labels to 'player:' and 'playlist:' - minor clean-ups

2004-06-26 00:22  descender

	* bmp.pc.in:
	  - add search path to library flags (closes #110)

2004-06-25 09:43  descender

	* audacious/controlsocket.c, libaudacious/beepctrl.c:
	  - fixed {write,read}_all() usage, thanks to Sebatian Kapfer
	  (closes #102)

2004-06-25 09:01  descender

	* audacious/controlsocket.c, libaudacious/beepctrl.c:
	  - fixed incorrect return count for write_all() and read_all()
	  when socket read/writes time out

2004-06-24 22:46  descender

	* bmp.spec.in:
	  - added optional build support for GConf and GNOME VFS - fixed
	  file list

2004-06-24 21:18  descender

	* Input/: mpg123/fileinfo.c, vorbis/fileinfo.c, vorbis/vorbis.c:
	  - fixed gtk_widget_grab_default() warnings with the MPEG tag
	  editor - fixed crash when opening track information for vorbis
	  streams (closes #30) - changed MPEG and vorbis tag editor title
	  format to "filename - BMP" - removed some unused code

2004-06-24 13:24  descender

	* audacious/: equalizer.c, mainwin.c, playlistwin.c:
	  - set window roles for player, playlist and equalizer window
	  (closes #88, thanks to Jon Dowland)

2004-06-24 12:55  descender

	* Input/vorbis/fileinfo.c, audacious/prefswin.c:
	  - stop BMP from crashing when vorbis file comments are not of the
	  form "x=y" - removed superfluous empty category in preferences
	  window

2004-06-24 11:20  descender

	* Input/vorbis/: fileinfo.c, vcedit.c, vcedit.h:
	  - fixed vorbis tag editor treating comment field names in a
	  case-sensitive manner - fixed memory leak in
	  get_comment_list_hash() (now hash_table_from_vorbis_comment())

2004-06-23 07:50  descender

	* libaudacious/: Makefile.am, configfile.c, configfile.h:
	  - re-add configfile.[ch] for backward compatibility

2004-06-23 07:19  descender

	* audacious/: dirbrowser.c, equalizer.c, glade.c, playlist_list.c,
	  playlist_popup.c, playlistwin.c, prefswin.c, skin.c:
	  - fixed compiler warnings - fixed screwed up indentations (indent
	  is still too dumb) - removed some unused code

2004-06-23 06:58  descender

	* po/de.po:
	  - update German translation (Matthias Debus)

2004-06-22 01:59  mderezynski

	* audacious/: playlist_popup.c, skin.c:

	  playlist_popup.c: Fixes Bug #84: Add files expanded list appears
	  in upper left

2004-06-22 00:39  mderezynski

	* audacious/skin.c:

	  skin.c, util.c: Fixed bug when loading skin without custom
	  cursors the app wouldn't set the current default theme's standard
	  cursor

2004-06-21 22:31  mderezynski

	* audacious/skin.c:

	  skin.c: Added (simplified) support for Winamp2 skin cursors using
	  Xcursor

2004-06-21 22:00  mderezynski

	* audacious/: playback.c, prefswin.c, glade/prefswin.glade,
	  images/Makefile.am, images/eq.png, images/mouse.png,
	  images/playlist.png:

	  audacious/images/eq.png:		  New File
	  audacious/images/playlist.png:	 Small changes
	  audacious/images/mouse.png:	    Small changes
	  audacious/images/Makefile.am:  Added eq.png audacious/glade/prefswin.glade:
	  Default size of category list now 120px

2004-06-21 20:04  mderezynski

	* audacious/: mainwin.c, playlist_list.c, playlistwin.c:

	  dock.c, mainwin.c, playlist_list.c, playlistwin.c, util.c: Fixes
	  Bug #24: cannot un-windowshade playlist when started as
	  windowshade

2004-06-21 02:48  mderezynski

	* Input/cdaudio/cdaudio.c, Input/cdaudio/cddb.c,
	  Input/cdaudio/cdinfo.c, Input/cdaudio/configure.c,
	  Input/cdaudio/http.c, Input/mpg123/common.c,
	  Input/mpg123/configure.c, Input/mpg123/dct64.c,
	  Input/mpg123/dct64_i386.c, Input/mpg123/decode.c,
	  Input/mpg123/decode_2to1.c, Input/mpg123/decode_4to1.c,
	  Input/mpg123/decode_i386.c, Input/mpg123/dxhead.c,
	  Input/mpg123/equalizer.c, Input/mpg123/fileinfo.c,
	  Input/mpg123/getbits.c, Input/mpg123/http.c, Input/mpg123/id3.c,
	  Input/mpg123/id3_frame.c, Input/mpg123/id3_frame_content.c,
	  Input/mpg123/id3_frame_text.c, Input/mpg123/id3_frame_url.c,
	  Input/mpg123/id3_tag.c, Input/mpg123/layer1.c,
	  Input/mpg123/layer2.c, Input/mpg123/layer3.c,
	  Input/mpg123/mpg123.c, Input/mpg123/tabinit.c,
	  Input/vorbis/configure.c, Input/vorbis/fileinfo.c,
	  Input/vorbis/http.c, Input/vorbis/vcedit.c,
	  Input/vorbis/vorbis.c, Input/wav/wav.c, Output/OSS/OSS.c,
	  Output/OSS/about.c, Output/OSS/audio.c, Output/OSS/configure.c,
	  Output/OSS/convert.c, Output/OSS/init.c, Output/OSS/mixer.c,
	  Output/alsa/about.c, Output/alsa/alsa.c, Output/alsa/audio.c,
	  Output/alsa/configure.c, Output/alsa/init.c, Output/esd/about.c,
	  Output/esd/audio.c, Output/esd/configure.c, Output/esd/esd.c,
	  Output/esd/init.c, Output/esd/mixer.c,
	  Visualization/blur_scope/blur_scope.c,
	  Visualization/blur_scope/config.c, audacious/about.c,
	  audacious/controlsocket.c, audacious/dirbrowser.c, audacious/dock.c,
	  audacious/dock.h, audacious/effect.c, audacious/eq_graph.c, audacious/eq_slider.c,
	  audacious/eq_slider.h, audacious/equalizer.c, audacious/fft.c,
	  audacious/fullscreen.c, audacious/general.c, audacious/getopt.c, audacious/getopt.h,
	  audacious/getopt1.c, audacious/glade.c, audacious/glade.h, audacious/hints.c,
	  audacious/hslider.c, audacious/iir.c, audacious/iir.h, audacious/input.c,
	  audacious/main.c, audacious/main.h, audacious/mainwin.c, audacious/menurow.c,
	  audacious/mkdtemp.c, audacious/monostereo.c, audacious/number.c, audacious/output.c,
	  audacious/output.h, audacious/pbutton.c, audacious/pbutton.h, audacious/playback.c,
	  audacious/playlist.c, audacious/playlist_list.c, audacious/playlist_list.h,
	  audacious/playlist_popup.c, audacious/playlist_slider.c,
	  audacious/playlistwin.c, audacious/playstatus.c, audacious/plugin.h,
	  audacious/pluginenum.c, audacious/pluginenum.h, audacious/prefswin.c,
	  audacious/sbutton.c, audacious/skin.c, audacious/skinwin.c, audacious/softvolume.c,
	  audacious/svis.c, audacious/tbutton.c, audacious/textbox.c, audacious/urldecode.c,
	  audacious/util.c, audacious/util.h, audacious/vis.c, audacious/vis.h,
	  audacious/visualization.c, audacious/widget.c, audacious/widget.h,
	  audacious/xml_document.c, libaudacious/beepctrl.c,
	  libaudacious/configdb_gconf.c, libaudacious/configdb_rcfile.c,
	  libaudacious/dirbrowser.c, libaudacious/formatter.c, libaudacious/rcfile.c,
	  libaudacious/titlestring.c, libaudacious/util.c, libaudacious/vfs_gnome.c,
	  libaudacious/vfs_stdio.c, libaudacious/xconvert.c, libaudacious/xentry.c:

	  indentation....

2004-06-21 02:44  mderezynski

	* audacious/: mainwin.c, output.c, playlistwin.c:

	  mainwin.c, playlistwin.c: Slight menu changes

2004-06-21 01:22  mderezynski

	* Input/vorbis/fileinfo.c:
	  Input/vorbis/fileinfo.c	  Fixes another crash problem with
	  OGG Vorbis file (replaced string vector	 usage with
	  GHashTable, saved approx. 100 lines of code.....)

2004-06-20 23:42  mderezynski

	* Input/vorbis/fileinfo.c, Input/vorbis/vcedit.c,
	  Input/vorbis/vcedit.h, audacious/dirbrowser.c, audacious/playlist_list.c,
	  audacious/util.c, audacious/glade/dirbrowser.glade:

	  Input/vorbis/*  Fixes Bug #46: Crash on vorbis file info dialog
	  save

	  audacious/playlist_list.c	  Minor list rendering changes

	  audacious/dirbrowser.c audacious/glade/dirbrowser.glade   Changes to make
	  the main controls of dirbrowser look like our   GtkFileChooser

2004-06-20 03:17  mderezynski

	* audacious/: dirbrowser.c, playlist_list.c, glade/dirbrowser.glade:

	  dirbrowser.c: Added add file on double click functionality
	  glade/dirbrowser.glade: Some more layout changes playlist_list.c:
	  Reverted track number seperator to old behaviour (snap to zero if
	  no files present)

2004-06-20 02:05  mderezynski

	* audacious/: dirbrowser.c, playlist_list.c, playlistwin.c,
	  glade/dirbrowser.glade:

	  playlistwin.c, playlist_list.c: Fixes Bug #51: long text and file
	  names overlap edge of playlist dirbrowser.c,
	  glade/dirbrowser.glade: Removed "Add all" button ("Add" remains),
	  and added "Select All" and "Select None" buttons instead

2004-06-19 23:08  mderezynski

	* audacious/main.c:

	  Fixes bug #70 and #72

2004-06-14 22:24  er-ku

	* po/lt.po: Commented out plural strings, as BMP wouldn't compile
	  with them

2004-06-14 22:10  er-ku

	* po/lt.po: minor fix

2004-06-14 21:59  er-ku

	* po/lt.po: some stuff updated ;)`

2004-06-14 01:27  mderezynski

	* audacious/: equalizer.c, main.c:

	  Fixes Bug #21 (equalizer window not respecting always on top
	  after restart) Patch provided by Patrick Sudowe
	  (Patrick.Sudowe@web.de)

2004-06-13 00:35  quirk_fr

	* po/fr.po: Updated translations

2004-06-03 12:27  descender

	* audacious/: dirbrowser.c, glade/dirbrowser.glade:
	  - fixed add button - fixed memory leaks in
	  on_dirview_row_selected() and fb_enq_play() - removed useless
	  (and locale-incorrect) sort comparator for file view

2004-06-03 10:10  descender

	* audacious/: dirbrowser.c, dirbrowser.h, glade.c, playlistwin.c,
	  glade/dirbrowser.glade:
	  audacious/glade.c: make glade_xml_signal_autoconnect_map() resolve
	  linked in symbols as well audacious/dirbrowser.[ch],
	  audacious/glade/dirbrowser.glade: clean up audacious/playlistwin.c: clean
	  up

2004-05-30 03:07  descender

	* audacious/playlistwin.c:
	  - fixed loading and saving of playlist using playlist editor

2004-05-28 06:35  mderezynski

	* audacious/prefswin.c:

	  Enabled visualization plugin enable/disable toggle

2004-05-28 06:06  descender

	* po/pl.po:
	  - update Polish translation (Jacek Wolszczak)

2004-05-28 04:45  descender

	* bmp.spec.in:
	  - update RPM spec file (add libglade2 dependencies)

2004-05-28 04:30  descender

	* audacious/equalizer.c:
	  - remove client event callback for equalizer window widget

2004-05-26 23:57  descender

	* audacious/prefswin.c:
	  - fixed compiler warnings

2004-05-26 09:09  descender

	* audacious/glade/prefswin.glade:
	  - last commit broken

2004-05-26 09:08  descender

	* audacious/: equalizer.c, prefswin.c:
	  - moved equalizer configuration into preferences window, removed
	  'Configure Equalizer' from equalizer menu

2004-05-26 07:35  descender

	* audacious/glade/prefswin.glade:
	  - added directory preset filename and file preset extension entry
	  boxes - added GtkAlignments to mouse page - set plugin view
	  scrolled window policies to automatic

2004-05-26 06:27  mderezynski

	* audacious/glade/prefswin.glade:

	  Changes to "Appearance" tab

2004-05-26 05:39  mderezynski

	* audacious/prefswin.c:

	  Added support and prefswin tab for visualization plugins
	  (enable/disable not functional yet)

2004-05-26 05:11  descender

	* po/: bmp.pot, cy.po, de.po, es.po, fr.po, ja.po, lt.po, pl.po,
	  sv.po, zh_CN.po:
	  - sync pot/po files

2004-05-26 05:00  descender

	* audacious/glade/prefswin.glade:
	  - last commit broken

2004-05-26 05:00  descender

	* audacious/prefswin.c:
	  - added equalizer page to preferences window

2004-05-26 03:37  descender

	* audacious/skinwin.c:
	  - fixed memory leak in skin_view_on_cursor_changed() (temporary
	  string not freed)

2004-05-26 02:41  mderezynski

	* audacious/glade/prefswin.glade:

	  Added vis plugins tab (not functional yet!)

2004-05-26 01:33  descender

	* audacious/: general.c, general.h, input.c, input.h, main.c,
	  pluginenum.c, util.c, util.h:
	  - minor cleanups

2004-05-25 23:40  descender

	* audacious/util.c:
	  - fixed translation of '(invalid UTF-8)' text appended to
	  non-UTF8 strings

2004-05-25 08:35  descender

	* audacious/: mainwin.c, playlist.c:
	  playlist.c: fixed memory leak in __playlist_ins_with_info()
	  mainwin.c: fixed memory leak in play_medium()

2004-05-25 06:27  mderezynski

	* audacious/glade/prefswin.glade:

	  swapped main window font/playlist font (seems to be more handy
	  now)

2004-05-24 10:25  descender

	* audacious/: mainwin.c, playback.c, playback.h:
	  - use GStaticMutex instead of GMutex for main window title lock -
	  added bmp_playback_seek_relative() for relative time seeking

2004-05-24 09:51  descender

	* audacious/: equalizer.c, hints.c, mainwin.c, mainwin.h, playlistwin.c,
	  prefswin.c, util.c:
	  - revert main window to app-paintable again

2004-05-24 09:37  descender

	* audacious/mainwin.c:
	  - fixed transparency problem with main window

2004-05-24 09:07  descender

	* audacious/: equalizer.c, equalizer.h, mainwin.c, playlistwin.c:
	  mainwin.c, playlistwin.c: don't trap client events for main
	  window and playlist editor equalizer.[ch]: use
	  gtk_window_present() instead of gdk_window_raise(), make
	  equalizer_set_shape_mask() and equalizer_set_back_pixmp() static,
	  added code to build preset list view with GtkTreeView

2004-05-23 06:23  mderezynski

	* audacious/glade/prefswin.glade:

	  Set plugin configuration/about buttons to insensitive by default
	  (no plugins -> can't choose it)

2004-05-22 08:37  mderezynski

	* Output/alsa/: alsa.c, alsa.h, audio.c, configure.c, init.c:

	  Updated to alsa from current XMMS CVS

2004-05-22 07:11  descender

	* po/de.po:
	  - updated German translation (Matthias Debus)

2004-05-22 05:57  larne

	* audacious/mainwin.c: - fix bug #68 (Main window position not saved) -
	  configure_event signal   was connected to mainwin, not
	  mainwin_window.

2004-05-20 14:37  descender

	* audacious/about.c, audacious/glade/prefswin.glade, Output/esd/esd.c:
	  - last commit broken

2004-05-20 14:36  descender

	* po/zh_CN.po:
	  - updated credits in About dialog - fixed ESD plugin title
	  localization - fixed button box padding for general plugin tab -
	  fixed and updated zh_CN translation

2004-05-19 07:33  descender

	* audacious/glade/prefswin.glade:
	  - last commit broken

2004-05-19 07:32  descender

	* po/zh_CN.po:
	  - fixed pango markups of 'Preferences Window' plugin tab labels -
	  updated and fixed zh_CN translations

2004-05-19 02:44  larne

	* audacious/: main.c, mainwin.c, playback.c, playlist.c: - apply patch
	  from Bernard B <mailto:b-lythebugzilla@blackham.com.au>   to fix
	  Xlib/threading issues causing hangs.	This appears to close	bug
	  #40 <URL:http://www.lythe.org.uk/bugs/show_bug.cgi?id=40>.  -
	  restore saving of playlist position on exit which I broke in the
	  config cleanups (this could do with a review because it's a bit
	  of   a hack).

2004-05-16 01:49  mderezynski

	* audacious/: equalizer.c, hints.c, mainwin.c, mainwin.h, playlistwin.c,
	  prefswin.c, util.c:

	  equalizer.c, hints.c, mainwin.c, mainwin.h, playlistwin.c,
	  prefswin.c, util.c: (supposedly) fixed theme change bug

2004-05-15 20:38  quirk_fr

	* po/fr.po: Updated translations

2004-05-13 10:09  descender

	* audacious/util.c:
	  - 'Add URL' dialog now closes on adding (bug #60)

2004-05-13 10:02  descender

	* audacious/: playlistwin.c, equalizer.c, mainwin.c:
	  - fixed infamous GTK+ theme change bug (bug #36)

2004-05-12 09:58  descender

	* audacious/glade/prefswin.glade:
	  - last commit broken

2004-05-12 09:57  descender

	* audacious/: glade.c, glade.h, prefswin.c:
	  - added glade_xml_signal_autoconnect_map() - use
	  glade_xml_signal_autoconnect() for 'Preferences window' - shorten
	  spin buttons for mouse wheel scroll playlist / change volume
	  settings

2004-05-12 07:02  descender

	* audacious/: glade.c, glade.h, prefswin.c, glade/prefswin.glade:
	  audacious/glade.[ch]: added glade_xml_get_widget_warn()
	  audacious/prefswin.c, audacious/glade/prefswin.glade: fixed GLib warnings
	  and 'Pause between songs' widget ordering

2004-05-12 05:54  descender

	* audacious/glade/prefswin.glade:
	  - last commit broken

2004-05-12 05:53  descender

	* audacious/prefswin.c:
	  - give more intelligible names to widgets and respective
	  callbacks - make plugin list view callbacks GtkTreeView-centric
	  for easier auto-connection later - fixed memory leak with font
	  name string when font is changed - set category/plugin list view
	  headers with glade instead of using explicit GTK calls -
	  miscellaneous cleanups

2004-05-11 15:14  descender

	* audacious/: Makefile.am, dirbrowser.c, glade.c, glade.h, prefswin.c,
	  util.c, util.h:
	  - move glade_xml_new_or_die() into glade.c/glade.h

2004-05-11 14:50  descender

	* audacious/glade/dirbrowser.glade:
	  - give more intelligible names to dirbrowser widgets

2004-05-11 13:07  descender

	* audacious/: dirbrowser.c, main.c, mainwin.c, playlistwin.c,
	  prefswin.c, util.c, util.h:
	  - HIGified and i18ned glade-file-load error dialog - marked 'Add
	  Directories' dialog file list  headers as translatable - give
	  intelligible names to dirbrowser widgets - fixed memory leaks in
	  'Add Directories' dialog - speeded up 'Add Directories' word
	  matching filter - cleaned up 'Add Directories' dialog code -
	  avoid double calls to shade/unshade playlistwin when toggled with
	  popup menu

2004-05-11 08:58  descender

	* bmp.pc.in:
	  - removed bmp from include path provided with --cflags

2004-05-11 07:39  descender

	* AUTHORS:
	  - update credits

2004-05-10 23:42  descender

	* audacious/mainwin.c:
	  - sped up Jump To File matching (bug #56, thanks to Bernard
	  Blackham) - removed bogus g_free() on stack allocated time_str in
	  mainwin_jump_to_time() (fixes #19, Bernard Blackham) - fixed
	  memory leaks in mainwin_jump_to_file_match() - fixed memory leak
	  in mainwin_jump_to_time_cb() (Bernard Blackham) - clicking Jump
	  in Jump To File dialog without selections no longer crashes (bug
	  #58, Bernard Blackham)

2004-05-10 22:20  er-ku

	* po/lt.po: media plugins table captions added

2004-05-10 21:36  descender

	* audacious/prefswin.c:
	  - added tab for general plugins (thanks to Oliver Blin)

2004-05-10 01:03  quirk_fr

	* po/fr.po: Updated translations

2004-05-09 23:01  descender

	* po/LINGUAS:
	  - added Polish to LINGUAS

2004-05-09 22:58  descender

	* po/pl.po:
	  - added Polish translation by Jacek Wolszczak
	  <shutdownrunner@o2.pl>

2004-05-07 12:46  descender

	* audacious/util.c:
	  - standardize on "A_dd all" (button) for 'Add File' and 'Add
	  Directory' dialog

2004-05-07 12:39  descender

	* audacious/skinwin.c:
	  - don't show n/a skins (without thumbnail and main.bmp)

2004-05-07 12:04  descender

	* po/zh_CN.po:
	  - fixed colons and mpg123 plugin description spacing

2004-05-07 11:54  descender

	* audacious/prefswin.c, Output/OSS/OSS.c, Output/alsa/alsa.c:
	  - fixed localisation of visualization, output plugin descriptions
	  and preferences window categories

2004-05-07 11:52  descender

	* po/zh_CN.po:
	  - updated translations

2004-05-07 08:31  descender

	* libaudacious/: Makefile.am, configdb.h, dirbrowser.h, formatter.h,
	  rcfile.h, vfs.h:
	  Makefile.am: add libaudacious/rcfile.h to header installation
	  libaudacious/configdb.h, libaudacious/dirbrowser.h, libaudacious/rcfile.h:
	  replace C linkage statements with G_BEGIN_DECLS/G_END_DECLS
	  libaudacious/formatter.h, libaudacious/vfs.h: surround prototypes with
	  G_BEGIN_DECLS/G_END_DECLS

2004-05-05 05:45  descender

	* audacious/debug.h:
	  - useless commit to test CIA bot script

2004-05-05 05:35  descender

	* audacious/: dock.c, playlistwin.c:
	  - shading/unshading playlist editor now pushes windows attached
	  to its base again - removed useless function
	  dock.c:configure_event()

2004-05-05 05:02  descender

	* audacious/glade/dirbrowser.glade:
	  - renamed directory browser window title to 'Add Directories',
	  without the 'BMP:'

2004-05-05 04:51  descender

	* audacious/: dock.c, dock.h, equalizer.c, equalizer.h, mainwin.c,
	  mainwin.h, playlistwin.c, playlistwin.h:
	  - {mainwin,playlistwin,equalizerwin}_set_decorated() factored
	  into dock_window_set_decorated() - fixed equalizer and playlist
	  window added twice into dock

2004-05-05 04:24  descender

	* audacious/: dock.c, dock.h, equalizer.c, mainwin.c, playlist.c,
	  playlistwin.c, pluginenum.c, util.c, visualization.c:
	  - replaced dock_set_uposition(), dock_get_widget_pos(),
	  gdk_window_get_size() with gtk_window_move(),
	  gtk_window_get_position() and gtk_window_get_size().	- fixed
	  some weird indentations

2004-05-04 00:33  larne

	* configure.ac, audacious/dirbrowser.c: - change libbeep soversion to 2,
	  with the cfg_db changes it's not compatible	to 0.9.6.1's.

2004-05-03 23:51  larne

	* audacious/mainwin.c: - re-add 'no playlist advance' to Options menu
	  which disappeared somewhere.	  Patch from
	  b-lythebugzilla@blackham.com.au (Bernard B) (Closes: #49)

2004-05-03 23:46  larne

	* audacious/dirbrowser.c, audacious/prefswin.c, audacious/util.c, audacious/util.h,
	  po/bmp.pot, po/cy.po, po/de.po, po/es.po, po/fr.po, po/ja.po,
	  po/lt.po, po/sv.po, po/zh_CN.po: - give an error when glade files
	  can't be loaded, rather than just crashing.

2004-05-03 04:40  descender

	* m4/pkg.m4:
	  - added pkgconfig's aclocal script

2004-05-03 01:50  descender

	* audacious/util.c:
	  - ability to set the unzip/tar command (for decompressing skin
	  archives) using UNZIPCMD/TARCMD environment variables restored

2004-05-03 01:33  descender

	* audacious/prefswin.c:
	  - marked preferences window category list as translatable

2004-05-03 01:11  descender

	* Input/cdaudio/configure.c, Input/mpg123/configure.c,
	  Input/vorbis/configure.c, Input/vorbis/fileinfo.c,
	  Output/OSS/about.c, Output/OSS/configure.c, Output/alsa/about.c,
	  Output/alsa/configure.c, Output/esd/about.c,
	  Output/esd/configure.c:
	  - restore localisation of input and output plugin configuration
	  and information dialogs - removed redundant code in
	  Input/vorbis/fileinfo.c

2004-05-02 11:20  descender

	* audacious/util.h:
	  - restore localisation of playlist editor popup menu and mpg123
	  file info dialog

2004-05-02 10:47  descender

	* audacious/input.c, audacious/main.c, audacious/main.h, libaudacious/beepctrl.c,
	  Input/mpg123/fileinfo.c, Input/mpg123/mpg123.c,
	  Input/vorbis/fileinfo.c, Input/vorbis/vorbis.c,
	  libaudacious/formatter.c:
	  audacious/main.c, audacious/main.h: fixed compilation error with missing
	  #define for BMP_SKIN_THUMB_DIR_BASENAME audacious/util.h,
	  Input/mpg123/fileinfo.c: restore localisation of playlist editor
	  popup menu and mpg123 file info dialog Input/mpg123/mpg123.c,
	  Input/vorbis/vorbis.c: removed unused return_tag_value_by_name()
	  functions in mpg123 and vorbis plugins Input/vorbis/vorbis.c:
	  removed superfluous and incorrect UTF-8 conversion of vorbis file
	  tags input.c: fixed memory leak with temporary string in
	  input_is_enabled() libaudacious/formatter.c, libaudacious/beepctrl.c: use
	  '#ifdef HAVE_CONFIG_H' instead of '#if defined(HAVE_CONFIG_H)'
	  for consistency

2004-05-02 08:35  descender

	* audacious/prefswin.c:
	  - plugin configuration and information dialogs are no longer
	  hidden by preferences window - minor cleanups

2004-05-02 07:42  descender

	* audacious/mainwin.c:
	  - uncommented mainwin_set_title() call in mainwin_set_info_text()
	  to fix freeze on changing to track with UTF-8 tags (bugzilla #40)

2004-05-02 07:39  descender

	* audacious/: prefswin.c, skinwin.c, skinwin.h:
	  - fixed memory leaks with temporary strings in
	  skin_get_thumbnail() - moved skin view realization code in
	  prefswin.c into skinwin.c

2004-05-02 05:34  larne

	* audacious/playlistwin.h: - make playlist default width the same as the
	  mainwin

2004-05-02 04:50  larne

	* libaudacious/titlestring.c: - use gstring instead of a static buffer
	  for titlestring

2004-05-01 21:07  descender

	* audacious/util.c:
	  - removed 'Add selected' button from 'Add Files' dialog
	  (redundant, 'Add' button provides same functionality) - reordered
	  'Add Files' dialog button order to match 'Add Directories' dialog

2004-05-01 19:54  descender

	* audacious/playlist.c:
	  - fixed freeze when removing a track that is being played
	  (bugzilla #41)

2004-05-01 00:14  larne

	* audacious/: equalizer.c, playlistwin.c, util.c, util.h: - change some
	  more gtkfilebrowsers to gtkfilechoosers

2004-04-30 11:35  larne

	* audacious/: equalizer.c, playlist.c, util.c, util.h: - use
	  gtkfilechooser in equalizerwin

2004-04-30 08:17  descender

	* audacious/: Makefile.am, mainwin.c:
	  - fixed gtk_check_menu_item_set_active() warning - remove i18n.h
	  from Makefile.am

2004-04-30 05:57  larne

	* Input/cdaudio/cdaudio.h: - solaris needs sys/types.h

2004-04-30 04:38  descender

	* compile, Input/cdaudio/cdaudio.c:
	  - added 'compile' script from automake - fixed compilation error
	  on FBSD with struct stat

2004-04-29 22:53  descender

	* configure.ac, audacious/i18n.h.in:
	  - removed audacious/i18n.h.in

2004-04-29 22:44  descender

	* Output/OSS/OSS.c, Output/OSS/OSS.h, Output/OSS/about.c,
	  Output/OSS/audio.c, Output/OSS/configure.c, Output/OSS/init.c,
	  Output/OSS/mixer.c, Output/alsa/about.c, Output/alsa/alsa.c,
	  Output/alsa/alsa.h, Output/alsa/configure.c, Output/alsa/init.c,
	  Output/esd/about.c, Output/esd/audio.c, Output/esd/configure.c,
	  Output/esd/esd.c, Output/esd/esdout.h, Output/esd/init.c,
	  Output/esd/mixer.c, Visualization/blur_scope/blur_scope.c,
	  Visualization/blur_scope/config.c:
	  - use glib/gi18n.h instead of i18n.h - pushed config.h includes
	  into main plugin headers - use #include <> for libbeep includes -
	  moved out file specific includes out of main plugin headers -
	  removed weird check for libasound.so.2 from ALSA output plugin

2004-04-29 22:20  descender

	* Input/: cdaudio/cdaudio.c, cdaudio/cdaudio.h, cdaudio/cddb.c,
	  cdaudio/cdinfo.c, cdaudio/configure.c, mpg123/common.c,
	  mpg123/configure.c, mpg123/equalizer.c, mpg123/fileinfo.c,
	  mpg123/http.c, mpg123/id3.h, mpg123/id3_frame_content.c,
	  mpg123/layer2.c, mpg123/layer3.c, mpg123/mpg123.c,
	  mpg123/mpg123.h, mpg123/tabinit.c, vorbis/configure.c,
	  vorbis/fileinfo.c, vorbis/http.c, vorbis/vorbis.c, wav/wav.c,
	  wav/wav.h:
	  - use glib/i18n.h instead of i18n.h - use #include <> for libbeep
	  includes - shifted #includes around

2004-04-29 22:00  descender

	* libaudacious/: dirbrowser.c, titlestring.c, util.c, xentry.c:
	  - use glib/gi18n-lib.h instead of i18n.h

2004-04-29 21:59  descender

	* audacious/: about.c, eq_slider.c, equalizer.c, input.c, logger.c,
	  main.c, mainwin.c, playback.c, playlistwin.c, util.c, util.h:
	  - use glib/gi18n.h instead of i18n.h

2004-04-29 21:46  descender

	* Input/vorbis/alternative.make:
	  - removed redundant file

2004-04-29 20:16  descender

	* Input/mpg123/layer1.c, Input/mpg123/layer2.c,
	  Input/mpg123/layer3.c, Input/vorbis/vorbis.c, audacious/Makefile.am,
	  Input/wav/wav.c:
	  - fixed make distcheck i.e. included iir.h into Makefile.am, use
	  #include "audacious/output.h" instead of "output.h" in input plugin
	  sources

2004-04-29 19:16  er-ku

	* po/lt.po: a small fix for a small typo...

2004-04-29 19:12  descender

	* configure.ac:
	  - new usage of AC_INIT/AM_INIT_AUTOMAKE - added build host and
	  target check (AC_CANONICAL_HOST/AC_CANONICAL_TARGET)

2004-04-29 19:02  er-ku

	* po/lt.po: latest updates

2004-04-29 03:38  descender

	* po/: bmp.pot, cy.po, de.po, es.po, fr.po, ja.po, lt.po, sv.po,
	  zh_CN.po:
	  - German translation update from Matthias - sync po/pot files
	  with code

2004-04-28 07:52  descender

	* libaudacious/util.c:
	  - removal of real-time scheduling capability check,
	  xmms_check_realtime_priority() now always return FALSE

2004-04-28 07:20  descender

	* configure.ac, libaudacious/util.h:
	  - removal of real-time scheduling capability check,
	  xmms_check_realtime_priority() now always return FALSE

2004-04-27 18:35  descender

	* audacious/prefswin.c:
	  - fixed crash with closing preferences window (without clicking
	  close button) and then reopening it

2004-04-25 06:58  quirk_fr

	* po/fr.po: Fixed display problem

2004-04-25 06:45  quirk_fr

	* po/fr.po: Better translations

2004-04-22 16:51  er-ku

	* po/lt.po: "\n" bug fixed. BMP wouldn't compile with yesterday's
	  version. My fault....

2004-04-22 15:46  descender

	* audacious/prefswin.c:
	  - fixed incorrect object casts i.e. GtkTreeSelection<->GtkWidget,
	  GtkWidget<->GtkTreeModel - introduced GtkToggleButton casts for
	  radio buttons to avoid warnings - replaced plain C casts with
	  GObject casts i.e. GTK_WIDGET() - replaced InputPlugin and
	  OutputPlugin casts with INPUT_PLUGIN()/OUTPUT_PLUGIN() macros -
	  commented out unused variables to avoid compiler warnings -
	  removed semicolons after function scope end brace

2004-04-22 06:05  mderezynski

	* audacious/: mainwin.c, prefswin.c, glade/prefswin.glade,
	  images/Makefile.am, images/plugins.png:

	  images/plugins.png, images/Makefile.am: added icon for "plugins"
	  mainwin.c, prefswin.c, glade/Makefile.am glade/prefswin.glade:
	  prefswin WIP

2004-04-22 01:34  descender

	* configure.ac:
	  - fixed locale path problem causing BMP not to find translations

2004-04-21 23:03  er-ku

	* po/lt.po: updating stuff....

2004-04-21 08:11  mderezynski

	* audacious/glade/prefswin.glade:

	  prefswin.glade: reverted an accidental change

2004-04-21 07:32  mderezynski

	* configure.ac:

	  configure.ac: added audacious/images/Makefile

2004-04-21 07:23  mderezynski

	* audacious/: Makefile.am, mainwin.c, prefswin.c, images/Makefile.am,
	  images/appearance.png, images/mouse.png, images/playlist.png:

	  Added icons to prefswin sections

2004-04-21 05:15  quirk_fr

	* po/fr.po: Update translations

2004-04-21 04:21  mderezynski

	* audacious/: playlist.c, prefswin.c, glade/prefswin.glade:

	  playlist.c, prefswin.c, glade/prefswin.glade: new prefswin WIP

2004-04-20 12:12  descender

	* po/: POTFILES.in, bmp.pot, cy.po, de.po, es.po, fr.po, ja.po,
	  lt.po, sv.po, zh_CN.po:
	  - removed libaudacious/configfile.c (removed from CVS) from POTFILES -
	  sync po/pot files

2004-04-20 11:57  descender

	* AUTHORS, audacious/about.c, po/cy.po:
	  - added basic project and copyright information into About dialog
	  - moved Welsh translation history in About dialog into its po
	  file - moved Ole Andre up to Developers section in AUTHORS -
	  sorted contributor names according to last name - fixed spelling
	  of Tim's last name

2004-04-20 11:49  descender

	* po/: LINGUAS, es.po:
	  - added Spanish translation by Francisco Javier F. Serrador

2004-04-20 10:12  larne

	* audacious/prefswin.c: more prefswin fixes

2004-04-20 10:06  larne

	* audacious/: main.c, prefswin.c: fix sunpro cc warnings

2004-04-20 08:42  mderezynski

	* audacious/prefswin.c:

	  prefswin.c, glade/prefswin.glade: more prefswin WIP

2004-04-20 08:03  mderezynski

	* audacious/playlistwin.c: [no log message]

2004-04-20 07:44  mderezynski

	* audacious/: prefswin.c, glade/prefswin.glade:

	  prefswin.c, glade/prefswin.glade: WIP

2004-04-20 06:55  larne

	* audacious/: dirbrowser.c, dirbrowser.h, input.h, main.c, mainwin.c,
	  mainwin.h, playback.c, pluginenum.c, prefswin.c: add standard
	  copyright header to files without

2004-04-20 06:23  larne

	* AUTHORS, audacious/about.c: change cy credits

2004-04-20 05:53  mderezynski

	* audacious/: beep_logo.xpm, mainwin.c, prefswin.c,
	  glade/prefswin.glade:

	  beep_logo.xpm: changed mainwin.c: minor changes prefswin.c: WIP
	  glade/prefswin.glade: WIP

2004-04-20 05:38  larne

	* audacious/: equalizer.c, input.h, main.c, mainwin.c, playback.c,
	  pluginenum.c, prefswin.c, skinwin.c, visualization.c: fix
	  warnings in prefswin and a couple of other places

2004-04-20 03:22  mderezynski

	* audacious/: main.c, main.h, prefswin.c:

	  main.c, main.h, prefswin.c: fixed saving of disabled input
	  plugins

2004-04-20 02:17  mderezynski

	* audacious/prefswin.c:

	  prefswin.c: readded

2004-04-20 02:16  mderezynski

	* audacious/: input.c, input.h, main.c, mainwin.c, playback.c,
	  playback.h, pluginenum.c, pluginenum.h, prefswin.c, skinwin.c,
	  skinwin.h, glade/prefswin.glade: [no log message]

2004-04-20 00:38  descender

	* audacious/about.c:
	  - ported GtkCList code to GtkTreeView/GtkListStore - replaced
	  XMMS credits text with BMP

2004-04-19 21:51  descender

	* audacious/main.c:
	  - ran indent - replaced sizeof(x)/sizeof(*x) with G_N_ELEMENTS -
	  removed periods from '--help' screen option descriptions - change
	  '-n' option description to include BMP

2004-04-19 21:37  descender

	* README:
	  - revised README to fit BMP

2004-04-19 19:54  descender

	* FAQ:
	  - adapted FAQ for BMP

2004-04-19 18:34  descender

	* po/POTFILES.in, audacious/glade/Makefile.am,
	  audacious/glade/equalizerwin_preset_menu.glade:
	  - added glade file for equalizerwin's preset menu

2004-04-19 14:55  descender

	* configure.ac, audacious/Makefile.am, scripts/cvs2cl.pl,
	  scripts/gen-auto-scripts.sh:
	  configure.ac: fail if location of X11 headers and libraries are
	  not found audacious/Makefile.am: add "@X_PRE_LIBS@ -lX11
	  @X_EXTRA_LIBS" scripts/cvs2cl.pl: update to 2.53
	  scripts/gen-auto-scripts.sh: generate branch names, tags and tag
	  dates in ChangeLog

2004-04-19 13:52  descender

	* configure.ac, audacious/Makefile.am:
	  - check for X11 using AC_PATH_XTRA

2004-04-19 12:49  larne

	* configure.ac, Input/mpg123/common.c, Input/mpg123/dxhead.c,
	  Input/wav/wav.c, Visualization/blur_scope/blur_scope.c,
	  audacious/controlsocket.c, audacious/dirbrowser.c, audacious/getopt.c,
	  audacious/main.h, audacious/mainwin.c, audacious/mkdtemp.c, audacious/playlist.c,
	  audacious/playlist_list.c, audacious/playlistwin.c, audacious/prefswin.c,
	  audacious/skin.c, audacious/textbox.c, audacious/util.c, audacious/util.h,
	  audacious/visualization.c, libaudacious/beepctrl.c, libaudacious/dirbrowser.c,
	  libaudacious/xconvert.c: - fix compile warnings with sunpro cc

2004-04-19 12:17  mderezynski

	* audacious/prefswin.c:

	  prefswin.c: added seperate column for 'enabled' checkboxes (input
	  plugins)

2004-04-19 11:54  mderezynski

	* po/POTFILES.in:

	  POTFILES.in: added prefswin.glade

2004-04-19 11:53  mderezynski

	* audacious/: input.c, main.c, playback.c, pluginenum.c, prefswin.c:

	  input.c, main.c, playback.c, pluginenum.c, prefswin.c: Added
	  capability to disable input plugins back, sanifications

2004-04-19 11:51  mderezynski

	* libaudacious/rcfile.c:

	  rcfile.c: sanifications

2004-04-19 07:39  mderezynski

	* audacious/: Makefile.am, main.c, main.h, prefswin.c, skinwin.c:

	  main.c, main.h, skinwin.c: Added functionality for persistent
	  skin thumbnails

2004-04-19 06:20  oleavr

	* audacious/Makefile.am: Added missing @GCONF_LIBS@ to LDADD.

2004-04-19 03:13  oleavr

	* .cvsignore, audacious/main.c, audacious/glade/.cvsignore,
	  libaudacious/.cvsignore: Renamed configuration key "convert_%20" to
	  "convert_twenty" for compatibility with GConf.  Added missing
	  .cvsignore entries and a .cvsignore file for audacious/glade/.

2004-04-19 02:44  oleavr

	* configure.ac, Input/cdaudio/Makefile.am, Input/cdaudio/cdaudio.c,
	  Input/cdaudio/cdaudio.h, Input/cdaudio/cdinfo.c,
	  Input/cdaudio/configure.c, Input/mpg123/Makefile.am,
	  Input/mpg123/configure.c, Input/mpg123/mpg123.c,
	  Input/mpg123/mpg123.h, Input/vorbis/Makefile.am,
	  Input/vorbis/configure.c, Input/vorbis/vorbis.c,
	  Input/wav/Makefile.am, Output/OSS/Makefile.am, Output/OSS/OSS.h,
	  Output/OSS/configure.c, Output/OSS/init.c,
	  Output/alsa/Makefile.am, Output/alsa/alsa.h,
	  Output/alsa/configure.c, Output/alsa/init.c,
	  Output/esd/Makefile.am, Output/esd/configure.c,
	  Output/esd/init.c, Visualization/blur_scope/Makefile.am,
	  Visualization/blur_scope/blur_scope.c,
	  Visualization/blur_scope/config.c, audacious/Makefile.am,
	  audacious/equalizer.c, audacious/main.c, audacious/mainwin.c, audacious/playback.c,
	  audacious/playlist.c, audacious/softvolume.c, libaudacious/Makefile.am,
	  libaudacious/configdb.h, libaudacious/configdb_gconf.c,
	  libaudacious/configdb_rcfile.c, libaudacious/configfile.c,
	  libaudacious/configfile.h, libaudacious/rcfile.c, libaudacious/rcfile.h: Merge
	  new configuration backend abstraction API with gconf support.
	  Ported existing code to use the new API.

2004-04-19 00:44  oleavr

	* libaudacious/: vfs.h, vfs_gnome.c, vfs_stdio.c: The vfs-files back in
	  their new home.

2004-04-19 00:31  oleavr

	* audacious/: vfs.h, vfs_gnome.c, vfs_stdio.c: Removed audacious/vfs*.[ch],
	  as they're now in libbeep.

2004-04-19 00:25  oleavr

	* configure.ac, Input/mpg123/id3.h, Input/mpg123/mpg123.h,
	  Input/vorbis/vcedit.h, Input/vorbis/vorbis.c,
	  Input/vorbis/vorbis.h, Input/wav/wav.h, Output/OSS/configure.c,
	  Output/alsa/configure.c, audacious/Makefile.am, audacious/output.c,
	  audacious/output.h, audacious/playlist.c, audacious/plugin.h, audacious/pluginenum.c,
	  libaudacious/Makefile.am: Small adjustments related to audacious/vfs*.[ch]
	  being moved to libbeep, as well as misc fixes lead to by compiler
	  warnings.

2004-04-19 00:25  mderezynski

	* audacious/: dirbrowser.c, prefswin.c, glade/Makefile.am,
	  glade/prefswin.glade:

	  prefswin.c: Added new libglade-based prefs window

2004-04-19 00:20  mderezynski

	* audacious/: prefswin.c, util.c:

	  prefswin.c: Removed for readding new prefswin

2004-04-18 19:57  descender

	* Input/mpg123/Makefile.am, Input/vorbis/Makefile.am,
	  Output/OSS/Makefile.am, Output/alsa/Makefile.am,
	  Visualization/blur_scope/Makefile.am:
	  - removed @PTHREAD_LIBS@ from all plugins' Makefile.am

2004-04-18 19:37  descender

	* configure.ac:
	  - removed pthread check from configure

2004-04-18 19:34  descender

	* Output/: OSS/OSS.h, OSS/audio.c, esd/audio.c, esd/esdout.h:
	  - replaced pthread usage with gthread in OSS/ESD output plugins

2004-04-18 19:26  descender

	* Input/: mpg123/http.c, mpg123/mpg123.c, vorbis/configure.c,
	  vorbis/fileinfo.c, vorbis/http.c, wav/wav.h:
	  - replaced pthread usage with gthread completely for vorbis and
	  mpg123 plugins - removed unnecessary pthread.h #includes

2004-04-18 19:16  descender

	* Input/mpg123/mpg123.c, Input/vorbis/vorbis.c, audacious/equalizer.c,
	  audacious/mainwin.c, audacious/playlistwin.c:
	  - use gthread instead of pthread usage with vorbis and mpg123
	  plugins - removed gdk_window_set_group() calls for mainwin,
	  equalizerwin and playlistwin

2004-04-18 10:47  larne

	* configure.ac, Input/vorbis/vorbis.c, audacious/iir.c, audacious/iir.h: -
	  iir fixes.. remove the aligned stuff 'cos its not useful afaics -
	  warnings in libvorbis missing output.h - change configure to
	  check for XOpenDisplay in libX11

2004-04-18 10:21  larne

	* configure.ac, audacious/iir.c, audacious/iir.h: - solaris/non-gcc fixes

2004-04-18 07:12  larne

	* audacious/main.c: - clean up config stuff to use tables rather than a
	  load	 of read/write_blah()

2004-04-17 20:14  descender

	* configure.ac, scripts/gen-auto-scripts.sh:
	  - fixed configure check for existing BMP installtion -
	  autogen.sh/gen-auto-scripts.sh now defaults to autoreconf if
	  available

2004-04-15 21:02  descender

	* audacious/glade/dirbrowser.glade:
	  - fixed dirbrowser hpane position (was all the way to the left)

2004-04-15 19:43  descender

	* po/POTFILES.in:
	  - added audacious/glade/dirbrowser.glade into POTFILES - removed
	  audacious/sm.c (gone) from POTFILES

2004-04-15 15:57  descender

	* audacious/: dirbrowser.h, equalizer.c, main.c, mainwin.c, mainwin.h,
	  skin.c, skin.h, skinwin.c, skinwin.h, widget.c, widget.h:
	  - fixed compiler warnings on undeclared functions - fall back to
	  default skin if the one configured is not found - show error
	  dialog and exit when BMP cannot find default skin to fallback on
	  (bug #932008) - fixed always-on-top not honoured on startup (bug
	  #932995) - hook gnome_vfs_shutdown() to exit()

2004-04-15 12:01  descender

	* audacious/mainwin.c:
	  - factored out code from mainwin_idle_func() into
	  idle_func_change_song() and idle_func_update_song_info()

2004-04-15 09:45  descender

	* audacious/mainwin.c:
	  - move 'About BMP' option from 'Options' submenu to top-level -
	  replace sizeof(x)/sizeof(x[0]) with G_N_ELEMENTS()

2004-04-15 06:43  descender

	* libaudacious/: dirbrowser.c, titlestring.h, util.c:
	  - util.h: replaced extern "C" {} with G_BEGIN_DECLS and
	  G_END_DECLS - text in xmms_show_message() dialogs not longer
	  editable by user - pack xmms_show_dialog() text view and button
	  widgets into GtkDialog's vbox and action_area instead

2004-04-15 04:38  descender

	* indent.pro:
	  - added profile for formatting BMP code with the indent utility

2004-04-15 03:50  descender

	* audacious/mainwin.c:
	  - fixed no-output-device error dialog not showing -
	  no-output-device error dialog is now modal - use HIG text markups
	  for no-audio-cd and no-output-device error dialogs

2004-04-14 22:16  larne

	* audacious/prefswin.c: fix a typo

2004-04-14 18:26  larne

	* audacious/: main.c, main.h, playlistwin.c, prefswin.c: add 'mouse
	  wheel scrolls playlist by' option

2004-04-14 08:02  descender

	* audacious/: vfs.h, vfs_gnome.c, vfs_stdio.c:
	  - add VFS source files from Ole Andre's GtkFileChooser and GNOME
	  VFS patch

2004-04-14 07:53  descender

	* AUTHORS, configure.ac, Input/mpg123/Makefile.am,
	  Input/mpg123/common.c, Input/mpg123/dxhead.c,
	  Input/mpg123/fileinfo.c, Input/mpg123/http.c, Input/mpg123/id3.c,
	  Input/mpg123/id3.h, Input/mpg123/id3_frame_content.c,
	  Input/mpg123/id3_frame_text.c, Input/mpg123/id3_frame_url.c,
	  Input/mpg123/id3_header.h, Input/mpg123/id3_tag.c,
	  Input/mpg123/mpg123.c, Input/mpg123/mpg123.h,
	  Input/vorbis/Makefile.am, Input/vorbis/fileinfo.c,
	  Input/vorbis/http.c, Input/vorbis/vcedit.c,
	  Input/vorbis/vcedit.h, Input/vorbis/vorbis.c,
	  Input/vorbis/vorbis.h, Input/wav/Makefile.am, Input/wav/wav.c,
	  Input/wav/wav.h, audacious/Makefile.am, audacious/input.c, audacious/main.c,
	  audacious/main.h, audacious/mainwin.c, audacious/playlist.c, audacious/sm.c,
	  audacious/sm.h, audacious/util.c, libaudacious/titlestring.c:
	  - applied Ole Andre's GtkFileChooser and GNOME VFS patch -
	  removed SMlib support code - removed AC_SUBSTs for corresponding
	  PKG_CHECK_MODULES (PKG_CHECK_MODULES already runs AC_SUBSTs) -
	  fixed compiler warnings with libaudacious/titlestring.c - mark
	  description of title format tag '%{n:...%}' as translatable

2004-04-14 02:32  mderezynski

	* TODO, audacious/dirbrowser.c, audacious/glade/Makefile.am,
	  audacious/glade/bmpxmlui.glade, audacious/glade/dirbrowser.glade:

	  TODO:   Updated audacious/dirbrowser.c: Re-enabled code for checking
	  files with the input plugins audacious/glade/Makefile.am: renamed
	  bmpxmlui.glade to dirbrowser.glade audacious/glade/bmpxmlui.glade:
	  removed/renamed audacious/glade/dirbrowser.glade: added/renamed

2004-04-12 11:49  larne

	* libaudacious/titlestring.c: - support for %{...%} in titlestring
	  [merge from newplug]

2004-04-12 09:43  larne

	* audacious/dirbrowser.c: - fix problem when dbrc didn't exist.. its now
	  created.    (someone needs to review this and add code to warn
	  the user     about it...)

2004-04-12 09:00  larne

	* audacious/: dirbrowser.c, eq_slider.c: - fix all warnings in
	  dirbrowser.c ... i'm not entirely sure what some   of this code
	  does, but it appears to work.

2004-04-12 08:32  larne

	* audacious/: eq_slider.c, equalizer.c, widget.c, widget.h: - make mouse
	  wheel actually move eq sliders.    (this was a leftover from gtk1
	  and never fixed)

2004-04-12 08:09  larne

	* audacious/: iir.c, iir.h: - i forgot to add these files

2004-04-12 08:02  larne

	* Input/mpg123/Makefile.am, Input/mpg123/layer1.c,
	  Input/mpg123/layer2.c, Input/mpg123/layer3.c,
	  Input/vorbis/vorbis.c, Input/wav/wav.c, audacious/Makefile.am,
	  audacious/equalizer.c, audacious/main.c, audacious/main.h, audacious/output.c,
	  audacious/output.h, audacious/playback.c, audacious/prefswin.c: - new equalizer,
	  based on eq-xmms. appears to work, but please test it   for any
	  problems.. particularly non-mp3/vorbis plugins.

	    note that this means non-bmp (ie: xmms) input plugins will not
	    be passed through the eq.. this isn't really a problem ('cos
	  they
	    weren't before either) but a way to make it work might be nice.

	    [merge from newplug (now a dead branch, everything on it will
	     be merged into HEAD eventually (hi JK :))]

2004-04-12 00:42  descender

	* configure.ac, libaudacious/acinclude.m4:
	  - use AC_CONFIG_HEADERS instead of AM_CONFIG_HEADER - added
	  missing audacious/i18n.h to AC_CONFIG_HEADERS list - removed
	  libaudacious/acinclude.m4 (now unused)

2004-04-10 10:45  descender

	* Input/wav/wav.c:
	  - minor string handling cleanups in wav.c:get_title()

2004-04-10 10:35  descender

	* Input/: mpg123/mpg123.c, vorbis/vorbis.c:
	  - vorbis plugin now correctly returns directory name with titles
	  with '%F' format tag - fixed silly UTF-8 conversion bug in vorbis
	  plugin (g_locale_to_utf8() instead of g_locale_from_utf8()) - #if
	  0'ed out mpg123 and vorbis_return_tag_value_by_name() - minor
	  cleanups

2004-04-10 08:01  descender

	* acinclude.m4, configure.ac, m4/beep.m4, m4/libxml.m4:
	  - set autoconf prerequisite version to >= 2.5 - replaced
	  AM_{PROG_LIBTOOL,ENABLE_STATIC,ENABLE_SHARED} with new
	  AC_{PROG_LIBTOOL,ENABLE_STATIC,ENABLE_SHARED} - removed macro
	  aliases in acinclude.m4 - removed unused m4 macro files

2004-04-10 07:30  descender

	* configure.ac, audacious/Makefile.am, audacious/main.c,
	  libaudacious/configure.ac, scripts/gen-auto-scripts.sh:
	  - fused configure scripts (configure.ac and libaudacious/configure.ac)
	  - removed ./configure check for zlib, OpenGL and SMlib - removed
	  X11R6 session management code from main.c

2004-04-06 13:40  descender

	* AUTHORS, po/LINGUAS, po/bmp.pot, po/cy.po, po/de.po, po/fr.po,
	  po/ja.po, po/lt.po, po/sv.po, po/zh_CN.po:
	  - added Dutch translation (Matthias Debus) - sync po/pot files
	  with code

2004-04-05 05:13  descender

	* configure.ac, audacious/Makefile.am, audacious/dirbrowser.c,
	  audacious/glade/Makefile.am:
	  - added installation of glade XML files - fixed dirbrowser glade
	  file path - use g_warning() instead of g_error() when glade UI
	  for dirbrowser cannot be loaded

2004-04-05 04:44  descender

	* bmp.spec.in:
	  - update RPM spec build dependencies (gtk 2.4, alsa 1.0)

2004-04-05 04:37  descender

	* Makefile.am, beep-config.in, beep.m4, beep.pc.in, beep.spec.in,
	  bmp.pc.in, bmp.spec.in, configure.ac:
	  - rename beep.pc.in and beep.spec.in to bmp.pc.in and bmp.spec.in
	  respectively - remove m4 macro and beep-config - set name field
	  to 'bmp' (from 'beep') in bmp.pc.in - update configure.ac
	  accordingly

2004-04-05 04:06  mderezynski

	* audacious/glade/bmpxmlui.glade:

	  glade/bmpxmlui.glade: dirbrowser xml ui

2004-04-05 04:02  mderezynski

	* audacious/: dirbrowser.c, dirbrowser.h:

	  dirbrowser.c, dirbrowser.h: re-imported for libglade

2004-04-05 03:43  mderezynski

	* audacious/: dirbrowser.c, dirbrowser.h, main.c:

	  main.c: modified for libgladed dir browser dirbrowser.c,
	  dirbrowser.h: removed for re-importing with libglade

2004-04-05 03:37  descender

	* configure.ac, audacious/equalizer.c, audacious/logger.c, audacious/logger.h,
	  audacious/main.c, audacious/mainwin.c, audacious/playlist.c, audacious/playlistwin.c,
	  audacious/playlistwin.h, audacious/prefswin.c, audacious/skinwin.c, audacious/util.c:

	  - use gtk_window_set_default_icon() instead of using
	  gtk_window_set_icon() individually - use g_return_if_fail()
	  instead of g_assert() in file logger - use
	  gtk_window_has_toplevel_focus() to check window focus - minor
	  cleanups

2004-03-31 01:47  descender

	* audacious/: playlistwin.c, playlistwin.h, prefswin.c:
	  - check and log illegal playlistwin sizes (hack to fix
	  shade/unshade crash) - hide playlistwin_focus with
	  playlistwin_has_focus()

2004-03-27 19:44  descender

	* audacious/: equalizer.c, equalizer.h, main.c, prefswin.c:
	  - added equalizerwin_has_focus() to hide equalizerwin_focus -
	  hide various equalizerwin variables - update run-time GTK version
	  check to 2.4

2004-03-26 20:25  descender

	* audacious/controlsocket.c:
	  - fixed libaudacious/beepctrl.c compilation errors (moved XMMS
	  protocol packet header structs back into audacious/controlsocket.h)

2004-03-26 19:00  descender

	* audacious/controlsocket.h:
	  - fixed libaudacious/beepctrl.c compilation errors (moved XMMS
	  protocol packet header structs back into audacious/controlsocket.h)

2004-03-25 22:18  descender

	* audacious/: playlist.c, playlist.h, playlistwin.c, pluginenum.c:
	  - generalized playlist sort function - miscellaneous trivial
	  cleanups

2004-03-25 21:54  descender

	* audacious/: controlsocket.c, controlsocket.h, effect.c, playlist.c,
	  plugin.h, pluginenum.c:
	  - plugin loading is now logged - removed unused code for
	  prefix-ignore sort - use G_BEGIN_DECLS/G_END_DECLS in plugin.h -
	  miscellaneous cleanups

2004-03-25 05:05  descender

	* AUTHORS, configure.ac, libaudacious/Makefile.am, m4/alsa.m4,
	  m4/beep-old.m4, m4/esd.m4:
	  - use PKG_CHECK_MODULES for ALSA and ESounD check - removed check
	  for sizeof(long) - miscellaneous configure.ac cleanups - added
	  Liviu as contributor into AUTHORS

2004-03-24 21:27  descender

	* configure.ac:
	  - remove specific version check for libglade2 (some distros have
	  not caught up yet)

2004-03-24 21:23  descender

	* configure.ac, Input/vorbis/Makefile.am, audacious/Makefile.am,
	  m4/libmikmod.m4, m4/ogg.m4, m4/vorbis.m4:
	  - added check for gtk/glib 2.4 - added check for libglade2 -
	  removed check for langinfo - removed check for sched_setscheduler
	  - use PKG_CHECK_MODULES for libogg, libvorbis and libvorbisfile -
	  removed m4 scripts for libogg, libvorbis/libvorbisfile and
	  libmikmod - miscellaneous configure.ac cleanups

2004-03-22 09:42  descender

	* po/: bmp.pot, cy.po, fr.po, ja.po, lt.po, sv.po, zh_CN.po:
	  - sync po/pot files with code

2004-03-22 09:37  descender

	* libaudacious/Makefile.am:
	  - use absolute include path in libaudacious/Makefile.am

2004-03-22 09:10  descender

	* beep.pc.in:
	  - applied Tim's patch on beep.pc to use pkg-config generated
	  dependencies for glib2/gtk2 (was hard-wired)

2004-03-21 23:11  descender

	* audacious/: playlist.c, playlist.h:
	  - fixed reading of m3u playlist metadata - fixed insertion of
	  tracks after last entry in playlist

2004-03-18 14:08  descender

	* Input/vorbis/glibconfig.h:
	  - removed Input/vorbis/glibconfig.h causing compilation error
	  with glib 2.4 (WTF?!)

2004-03-17 10:14  descender

	* scripts/genesis.sh:
	  - updated genesis script to recognize configure.ac instead of
	  configure.in

2004-03-17 10:11  descender

	* configure.ac, configure.in, libaudacious/configure.ac,
	  libaudacious/configure.in:
	  - renamed configure.in to configure.ac

2004-03-16 07:42  descender

	* Makefile.am, audacious/Makefile.am:
	  - fixed make distcheck

2004-03-16 05:14  quirk_fr

	* po/fr.po: Update few translations

2004-03-11 06:10  descender

	* audacious/dirbrowser.c:
	  - applied Tim's fix to create ~/.dbrc if it does not exist -
	  cleaned up bmp_fb_return_dirtree_model() slightly

2004-03-06 09:42  descender

	* audacious/: mainwin.c, prefswin.c:
	  - fixed typo in tool tip for 'Always show clutterbar' checkbox in
	  Preferences->Options - applied Liviu's patch to close Jump to
	  Track dialog on track jump

2004-03-04 09:10  descender

	* AUTHORS, po/LINGUAS, po/bmp.pot, po/cy.po, po/fr.po, po/ja.po,
	  po/lt.po, po/sv.po, po/zh_CN.po:
	  - added Swedish translation by Martin Persenius - fixed format
	  errors with sv.po - sync po/pot files with code

2004-03-04 08:59  descender

	* audacious/mainwin.c:
	  - minor cleanups

2004-03-04 05:03  descender

	* audacious/: equalizer.c, playlistwin.c:
	  - restored playlist editor and equalizer window pager hints
	  (don't ask why I disabled it)

2004-03-03 08:06  descender

	* Input/mpg123/: Makefile.am, fileinfo.c:
	  - applied Artur's make-distcheck patch to mpg123 plugin sources

2004-03-03 07:58  descender

	* NEWS, TODO:
	  - updated TODO

2004-03-03 07:35  descender

	* po/: cy.po, fr.po, bmp.pot, ja.po, lt.po, zh_CN.po:
	  - sync po/pot files with code

2004-03-03 07:32  descender

	* audacious/: mainwin.c, playlistwin.c:
	  - changed error dialog response buttons from 'Close' to 'Ok' -
	  use GtkMessageDialog for no-audio-cd error dialog

2004-03-03 07:21  descender

	* audacious/: playlist.c, mainwin.c:
	  - fixed jump button in jump-to-track dialog - change 'Jump to
	  File' to 'Jump to Track' in main popup menu - edited
	  jump-to-track and jump-to-time dialog titles to match main popup
	  menu entries - miscellaneous cleanups

2004-02-29 16:02  masterpe

	* TODO: * TODO: - Updated some items for 0.9.8

2004-02-28 22:19  msikkes

	* audacious/mainwin.c: - Fixed a bug where the unshaded mainwindow got
	  shaded and vica versa when   DoubleSize was called.

2004-02-28 21:26  descender

	* audacious/playlist.c:
	  - applied and modified Tim's patch to fix duplicate entries in
	  unplayable-files dialog

2004-02-26 23:38  descender

	* audacious/Makefile.am:
	  - fixed build problem with missing pixmaps.h by adding pixmaps.h
	  to BUILT_SOURCES

2004-02-26 21:43  descender

	* po/: bmp.pot, cy.po, fr.po, ja.po, lt.po, zh_CN.po:
	  - sync po/pot files with code

2004-02-26 21:41  descender

	* audacious/.cvsignore:
	  - add pixmaps.h to .cvsignore

2004-02-26 21:40  descender

	* audacious/: dirbrowser.c, mainwin.c, util.c:
	  - renamed Add URL window title to "Add URL" (from "bmp: Add
	  Url...") - removed "bmp:" prefix in file selector titles

2004-02-26 21:21  descender

	* audacious/: equalizer.c, playlist.c, prefswin.c, prefswin.h,
	  skinwin.c, skinwin.h:
	  - re-arranged Preferences->Options options (play options vs
	  appearance options) - flipped Preferences->Fonts options (main
	  window font entry on top now) - GNOME HIGified
	  Preferences->Options and Preferences->Fonts labels - restore skin
	  browser refreshing on show - renamed 'Configure Equalizer' window
	  to 'BMP Equalizer Preferences' - removed option to turn on
	  real-time priority

2004-02-26 14:38  descender

	* libaudacious/: configure.in, titlestring.c, titlestring.h, util.c:
	  - xmms_usleep() now uses g_usleep() - removed nanosleep() check -
	  minor cleanups

2004-02-26 02:28  descender

	* audacious/pixmaps.h:
	  - removed pixmaps.h (automatically generated by make)

2004-02-26 02:17  descender

	* audacious/: main.c, mainwin.c, playback.c, playlist.c, skin.c,
	  skinwin.c, skinwin.h:
	  - replaced skinwin_set_icon() with gtk_window_set_icon() - added
	  'refresh' button to skin browser - 'random skin on play' no
	  longer updates skin list independently - 'random skin on play'
	  check button now occupies its own row in skin browser vbox, above
	  the buttons - cleanups

2004-02-26 00:00  descender

	* AUTHORS, configure.in, audacious/mkdtemp.c, audacious/playback.c,
	  audacious/playlistwin.c, audacious/skin.c, audacious/skinwin.c:
	  - updated contributor and translator credits - fixed wrong letter
	  case in configure output message - cleanups

2004-02-25 22:40  descender

	* configure.in, audacious/main.c, audacious/mkdtemp.c, audacious/playback.c,
	  audacious/playlist.c:
	  - replaced usage of 'random() % x' with g_random_int_range(0, x)
	  - removed srandomdev() check in configure - fixed off-by-1 error
	  in bmp_playback_set_random_skin()

2004-02-21 01:42  descender

	* audacious/build.list:
	  - removed artist.png from icon list

2004-02-20 20:02  descender

	* audacious/dirbrowser.c:
	  - use gtk_window_set_icon() to set icon for dirbrowser - mark
	  dirbrowser 'Filter' label as translatable - dirbrowser directory
	  tree and file list view now have equal sizes - dirbrowser code
	  cleanups

2004-02-20 19:30  descender

	* audacious/dirbrowser.c:
	  - indent -kr -nut - #if 0'ed out unused functions to prevent
	  compiler warnings - renamed bmp_recurse to bmp_fb_recurse_dir,
	  and changed it to have file scope

2004-02-20 19:20  descender

	* audacious/: Makefile.am, pixmaps.mk:
	  - move pixmaps.h build target into Makefile.am

2004-02-20 18:03  descender

	* audacious/playlist.c:
	  - fixed crash when loading some non-pls playlists without #EXT
	  tags

2004-02-20 16:08  descender

	* audacious/: mainwin.c, playlist.c:
	  - fixed invert selection in playlist editor - minor cleanups

2004-02-20 15:54  descender

	* audacious/: equalizer.c, mainwin.c, playlistwin.c:
	  - fixed equalizerwin drawing error introduced by last commit -
	  removed some unused code

2004-02-20 15:00  descender

	* audacious/: equalizer.c, equalizer.h, playlistwin.c, prefswin.c, sm.c,
	  util.h:
	  - fixed str_replace_in() prototype - don't recreate equalizerwin
	  on window decoration toggle - use gtk_window_set_icon() to set
	  icons for playlistwin and equalizerwin - fixed sm.c compilation
	  warnings - minor cleanups

2004-02-20 14:15  descender

	* audacious/: playlistwin.c, skin.c, util.c, util.h:
	  - added str_replace_in() string utility function - fix incorrect
	  use of str_replace() with str_replace_in()

2004-02-20 14:03  descender

	* audacious/: dock.c, main.c, mainwin.c, mainwin.h, prefswin.c,
	  skinwin.c, skinwin.h:
	  - use 'cursor-changed' callback to detect user selection in skin
	  browser - GNOME HIGified mainwin titles - replaced ugly icon
	  setting code for mainwin with gtk_window_set_icon() - fixed
	  temporary string memory leak in skin_get_thumbnail() -
	  miscellaneous cleanups

2004-02-19 22:16  descender

	* audacious/: dock.c, mainwin.c, playlist.c, playlist.h,
	  playlist_list.c, playlist_popup.c, playlistwin.c, widget.c,
	  widget.h:
	  - cleaned up playlistwin dialog code - use guint instead of
	  glong/gint for track index parameters of playlist functions -
	  miscellaneous cleanups

2004-02-19 06:38  quirk_fr

	* po/fr.po: New translations

2004-02-18 21:44  descender

	* audacious/playlistwin.c:
	  - forgot to remove g_message() debug messages (displayed when
	  playlistwin is resized)

2004-02-18 21:41  descender

	* audacious/: controlsocket.c, main.c, mainwin.c, playlist.c,
	  playlistwin.c, playlistwin.h, prefswin.c, util.c, widget.h:
	  - don't recreate playlistwin on window decoration toggle -
	  cleanups

2004-02-18 12:36  descender

	* audacious/widget.c:
	  - minor cleanups

2004-02-11 02:33  descender

	* po/: bmp.pot, cy.po, fr.po, ja.po, lt.po, zh_CN.po:
	  - synced po/pot files with code

2004-02-11 02:32  descender

	* Input/: mpg123/fileinfo.c, vorbis/fileinfo.c, vorbis/vorbis.c:
	  - fixed missing translations in mpg123 file info dialog - renamed
	  'Bitrate' to 'Bit rate', 'Samplerate' to 'Sample rate' and
	  replaced 'n/a' with 'N/A'

2004-02-10 06:36  descender

	* po/zh_CN.po:
	  - updated Simplified Chinese translation

2004-02-10 00:02  descender

	* po/zh_CN.po:
	  - updated Simplified Chinese translation (merged with XMMS
	  1.2.9's version)

2004-02-09 02:23  descender

	* scripts/cvs2cl.pl:
	  - upgrade cvs2cl script to 2.52

2004-02-05 12:31  descender

	* audacious/: mainwin.c, playlistwin.c, skin.c, skin.h:
	  - fixed playlist editor shademode drawing bug

2004-02-05 02:25  descender

	* audacious/: dock.c, equalizer.c, equalizer.h, main.c, mainwin.c,
	  mainwin.h, playlist.c, playlist_list.c, playlistwin.c, skinwin.c,
	  util.c, util.h:
	  - re-engaged segfault handler by default to print error message,
	  but abort() instead of exit() - removed
	  gdk_window_set_icon_name() calls - renamed equalizer and playlist
	  editor window titles to conform to HIG - added str_replace()
	  convenience function - replaced gtk_widget_set_usize() calls with
	  gtk_window_set_default_size() where possible - miscellaneous
	  minor cleanups

2004-02-04 07:34  larne

	* po/cy.po: - cy fixes	 [merge from newplug]

2004-02-04 07:29  larne

	* po/cy.po (newplug): - cy fixes

2004-02-04 05:02  descender

	* audacious/: dock.c, equalizer.c, hints.c, playlistwin.c, skin.c,
	  widget.c:
	  - replaced ugly XMMS playlist window resize hack with
	  gtk_window_begin_resize_drag() - added
	  gtk_window_skip_pager_hint() for equalizer and playlist window -
	  changed playlist window title to "bmp: Playlist Editor" for
	  consistency sake - miscellaneous cleanups

2004-02-04 02:10  larne

	* audacious/prefswin.c (newplug): - fix cau/gosod which disappeared from
	  prefswin due to bad merging

2004-02-04 01:13  larne

	* audacious/mainwin.c (newplug): - 'details' -> 'Details'   [merge from
	  HEAD]

2004-02-04 01:11  larne

	* audacious/mainwin.c: - "details" -> "Details"

2004-02-04 00:40  larne

	* po/: LINGUAS, cy.po: - commit cy translation	 [merge from
	  newplug]

2004-02-02 22:21  larne

	* po/cy.po (newplug): - more cy messages

2004-02-02 16:26  larne

	* po/cy.po (newplug): - more cy messages

2004-02-02 00:21  larne

	* libaudacious/titlestring.c, libaudacious/titlestring.h, audacious/debug.h,
	  audacious/dirbrowser.c, audacious/eq_graph.c, audacious/eq_graph.h,
	  audacious/eq_slider.c, audacious/eq_slider.h, audacious/hslider.c,
	  audacious/hslider.h, audacious/iir.c, audacious/main.c, audacious/mainwin.c,
	  audacious/mainwin.h, audacious/menurow.c, audacious/menurow.h,
	  audacious/monostereo.c, audacious/monostereo.h, audacious/number.c,
	  audacious/number.h, audacious/pbutton.c, audacious/pbutton.h,
	  audacious/playlist_list.c, audacious/playlist_list.h,
	  audacious/playlist_slider.c, audacious/playlist_slider.h,
	  audacious/playlistwin.c, audacious/playstatus.c, audacious/playstatus.h,
	  audacious/pluginenum.c, audacious/prefswin.c, audacious/sbutton.c,
	  audacious/sbutton.h, audacious/skin.c, audacious/skin.h, audacious/skinwin.c,
	  audacious/svis.c, audacious/svis.h, audacious/tbutton.c, audacious/tbutton.h,
	  audacious/textbox.c, audacious/textbox.h, audacious/util.c, audacious/util.h,
	  audacious/vis.c, audacious/vis.h, audacious/widget.c, audacious/widget.h (newplug): -
	  merge with head

2004-02-02 00:20  larne

	* po/: LINGUAS, cy.po (newplug): - add cy locale

2004-02-01 06:08  quirk_fr

	* po/fr.po: Better translations and few typos

2004-01-30 08:15  msikkes

	* audacious/: dirbrowser.c, mainwin.c: * mainwin.c: Added GTK_WINDOW()
	  on line 2338 which fixes comipler warning.  * dirbrowser.c: GUI
	  cleanups to make it more HIG.

2004-01-30 03:00  descender

	* audacious/: equalizer.c, mainwin.c, playlist.c, playlist_list.c,
	  playlistwin.c, skin.c, textbox.c, textbox.h, util.c, widget.c:
	  - fixed mainwin focus draw when titlebar is clicked - fixed
	  memory leak in textbox_set_xfont() - replaced gdk_image_get()
	  calls with gdk_drawable_get_image() - replaced deprecated
	  gtk_widget_set_usize() calls with appropriate calls - make
	  mainwin, equalizerwin and  playlistwin focus in/out callbacks
	  return TRUE - UTF-8 fixes for TextBox widget - fixed invalid
	  memory reference to mainwin_jtf in mainwin_update_jtf() after
	  getting destroyed - fixed constant string free in textbox_free()
	  - minor cleanups

2004-01-29 22:25  mderezynski

	* audacious/mainwin.c, audacious/mainwin.h, audacious/playlist_list.c,
	  audacious/playlistwin.c, audacious/util.c, po/bmp.pot, po/fr.po, po/ja.po,
	  po/lt.po, po/zh_CN.po:

	  all *.c files: keybinding/accessibility fixes

2004-01-29 19:24  descender

	* audacious/: playlistwin.c, playlistwin.h:
	  - fixed playlist window resizing bug

2004-01-29 05:20  descender

	* configure.in:
	  - fixed post-configuration option dump text alignment

2004-01-29 05:14  masterpe

	* TODO: TODO: - Added: "- Removal of all remaining GtkCList's to
	  0.9.8"

2004-01-29 04:33  descender

	* configure.in:
	  - changed version to 0.9.7 - removed ALL_LINGUAS

2004-01-29 04:32  descender

	* AUTHORS, beep.m4, beep.spec.in, configure.in:
	  - tabs to spaces

2004-01-29 03:59  masterpe

	* TODO:
	  ----------------------------------------------------------------------

	  * Law: -Added the new TODO

	  Modified Files:	  TODO

	  ----------------------------------------------------------------------

2004-01-26 20:06  mderezynski

	* libaudacious/titlestring.c:

	  titlestring.c: removed g_message()'s

2004-01-26 17:07  mderezynski

	* audacious/playlist_list.c, audacious/util.c, libaudacious/titlestring.c:

	  libaudacious/titlestring.c: audacious/util.c: audacious/playlist_list.c:
	  fixed problems with displayed titles audacious/mainwin.h: added macros
	  MAINWIN_LOCK() / MAINWIN_UNLOCK(), but removed again

2004-01-26 16:16  mderezynski

	* audacious/: mainwin.c, skin.c, skinwin.c, vis.c:

	  mainwin.c: setup vis at mainiwin setup mainwin.h: (reverted
	  changes) skin.c: (reverted changes) skinwin.c: (reverted) vis.c:
	  (reverted)

2004-01-26 05:46  mderezynski

	* libaudacious/: titlestring.c, titlestring.h:

	  titlestring.c, titlestring.h: various fixes (patch by Tim
	  Mueller)

2004-01-26 05:45  mderezynski

	* audacious/: pluginenum.c, vis.c:

	  vis.c: preliminary fix for crash with vis pluginenum.c: (?)

2004-01-25 08:59  mderezynski

	* audacious/: dirbrowser.c, playlist_list.c, prefswin.c, skinwin.c:

	  dirbrowser.c: editable set insensitive at adding files to prevent
	  race condition prefswin.c: ui cleanups skinwin.c: fixed list
	  stopping at currently selected skin playlist_list.c: fixed
	  variable's 'text" in-memory length modification

2004-01-23 12:08  descender

	* audacious/: textbox.h, menurow.h, monostereo.h, number.h,
	  playlist_list.h:
	  - cleanups

2004-01-23 11:15  descender

	* audacious/: monostereo.c, monostereo.h, svis.c, svis.h:
	  - cleanups

2004-01-23 09:21  descender

	* audacious/: eq_graph.c, eq_graph.h, eq_slider.c, eq_slider.h,
	  hslider.c, hslider.h, menurow.c, menurow.h, number.c, number.h,
	  pbutton.c, pbutton.h, sbutton.c, sbutton.h, playlist_list.c,
	  playlist_list.h, playlist_slider.c, playlist_slider.h,
	  playstatus.c, playstatus.h, tbutton.c, tbutton.h, textbox.c,
	  textbox.h, vis.c, vis.h, widget.c, widget.h:
	  - cleanup

2004-01-23 06:49  quirk_fr

	* po/fr.po: Remove fuzzy translations and change some bad
	  translations

2004-01-23 05:05  descender

	* libaudacious/titlestring.c:
	  - fixed wrong allocation count in bmp_title_input_new() (Thanks
	  to Tim Muller)

2004-01-23 05:02  descender

	* audacious/main.c:
	  - disabled segfault handler by default (pass -DHANDLE_SIGSEGV to
	  enable)

2004-01-21 22:18  mderezynski

	* audacious/pbutton.c:

	  skinwin.c: (touched) pbutton.c: set default state of buttons to
	  not-pressed and not-inside (wasn't set at all before), patch by
	  Honza Matejek (<spektrum@click.cz>)

2004-01-21 21:20  mderezynski

	* audacious/: main.c, skinwin.c:

	  skinwin.c: Fixed problem with skin list stopping after currently
	  used skin main.c:

2004-01-21 17:21  descender

	* audacious/debug.h:
	  - missing definition of REQUIRE_STATIC_LOCK when NDEBUG is not
	  defined - use G_STRLOC instead of __FILE__ and __LINE__

2004-01-21 17:16  descender

	* audacious/: mainwin.c, mainwin.h, playlistwin.c, skin.c, skin.h:
	  - made local functions in mainwin.c static - moved mainwin
	  titlebar drawing code from mainwin.c into skin.c - don't dim
	  titlebar now works again with playlistwin - mainwin keypress
	  handler now returns TRUE for handled keys

2004-01-21 12:06  descender

	* audacious/: prefswin.c, util.c, util.h:
	  - moved out prefswin notebook pages creation into separate
	  functions

2004-01-21 06:47  descender

	* audacious/prefswin.c:
	  - fixed illegal memory access with 'titles' array in
	  create_prefs_window()

2004-01-20 21:35  larne

	* scripts/: gen-auto-scripts.sh, genesis.sh (newplug): - merge with
	  head

2004-01-20 21:34  larne

	* libaudacious/: beepctrl.c, beepctrl.h, configfile.c, configfile.h,
	  dirbrowser.c, dirbrowser.h, formatter.c, formatter.h,
	  titlestring.c, titlestring.h, util.c, util.h, xconvert.h,
	  xentry.c, xentry.h (newplug): merge with head

2004-01-20 21:31  larne

	* Input/cdaudio/cddb.c, Input/cdaudio/configure.c,
	  Input/mpg123/common.c, Input/mpg123/configure.c,
	  Input/mpg123/dct64.c, Input/mpg123/dct64_i386.c,
	  Input/mpg123/decode.c, Input/mpg123/decode_2to1.c,
	  Input/mpg123/decode_4to1.c, Input/mpg123/decode_i386.c,
	  Input/mpg123/dxhead.c, Input/mpg123/dxhead.h,
	  Input/mpg123/equalizer.c, Input/mpg123/fileinfo.c,
	  Input/mpg123/getbits.c, Input/mpg123/http.c, Input/mpg123/id3.c,
	  Input/mpg123/id3.h, Input/mpg123/id3_frame.c,
	  Input/mpg123/id3_frame_content.c, Input/mpg123/id3_frame_text.c,
	  Input/mpg123/id3_frame_url.c, Input/mpg123/id3_header.h,
	  Input/mpg123/id3_tag.c, Input/mpg123/layer1.c,
	  Input/mpg123/layer2.c, Input/mpg123/layer3.c,
	  Input/mpg123/mpg123.c, Input/mpg123/mpg123.h,
	  Input/mpg123/tabinit.c, Input/vorbis/configure.c,
	  Input/vorbis/fileinfo.c, Input/vorbis/glibconfig.h,
	  Input/vorbis/http.c, Input/vorbis/http.h, Input/vorbis/vcedit.c,
	  Input/vorbis/vcedit.h, Input/vorbis/vorbis.c,
	  Input/vorbis/vorbis.h, Input/wav/wav.c, Output/OSS/OSS.c,
	  Output/OSS/about.c, Output/OSS/configure.c, Output/OSS/convert.c,
	  Output/OSS/init.c, Output/OSS/mixer.c, Output/OSS/soundcard.h,
	  Output/alsa/about.c, Output/alsa/alsa.c, Output/alsa/configure.c,
	  Output/alsa/init.c, Output/esd/about.c, Output/esd/configure.c,
	  Output/esd/esd.c, Output/esd/init.c, Output/esd/mixer.c,
	  Visualization/blur_scope/blur_scope.c,
	  Visualization/blur_scope/config.c (newplug): - merge with head

2004-01-20 21:27  larne

	* po/LINGUAS, po/POTFILES.in, po/bmp.pot, po/fr.po, po/ja.po,
	  po/lt.po, po/zh_CN.po, audacious/Makefile.am, audacious/about.c,
	  audacious/beep.desktop.in, audacious/bmp.c, audacious/bmp.h,
	  audacious/controlsocket.c, audacious/dirbrowser.c, audacious/dock.c,
	  audacious/dock.h, audacious/effect.c, audacious/eq_graph.c, audacious/eq_graph.h,
	  audacious/eq_slider.c, audacious/eq_slider.h, audacious/equalizer.c, audacious/fft.c,
	  audacious/fft.h, audacious/fullscreen.c, audacious/general.c, audacious/getopt.c,
	  audacious/getopt.h, audacious/getopt1.c, audacious/hints.c, audacious/hslider.c,
	  audacious/hslider.h, audacious/info.h, audacious/input.c, audacious/input.h,
	  audacious/jump_to.h, audacious/logger.c, audacious/logger.h, audacious/main.c,
	  audacious/main.h, audacious/mainwin.c, audacious/mainwin.h, audacious/menurow.c,
	  audacious/menurow.h, audacious/mkdtemp.c, audacious/monostereo.c,
	  audacious/monostereo.h, audacious/number.c, audacious/number.h, audacious/output.c,
	  audacious/pbutton.c, audacious/pbutton.h, audacious/pixmaps.h, audacious/playback.c,
	  audacious/playlist.c, audacious/playlist.h, audacious/playlist_list.c,
	  audacious/playlist_list.h, audacious/playlist_popup.c,
	  audacious/playlist_popup.h, audacious/playlist_slider.c,
	  audacious/playlistwin.c, audacious/playlistwin.h, audacious/playstatus.c,
	  audacious/playstatus.h, audacious/plugin.h, audacious/pluginenum.c,
	  audacious/prefswin.c, audacious/sbutton.c, audacious/sbutton.h, audacious/skin.c,
	  audacious/skin.h, audacious/skinwin.c, audacious/skinwin.h, audacious/sm.c,
	  audacious/sm.h, audacious/softvolume.c, audacious/softvolume.h, audacious/svis.c,
	  audacious/svis.h, audacious/tbutton.c, audacious/tbutton.h, audacious/textbox.c,
	  audacious/textbox.h, audacious/urldecode.c, audacious/util.c, audacious/util.h,
	  audacious/vis.c, audacious/vis.h, audacious/visualization.c, audacious/widget.c,
	  audacious/xml_document.c (newplug): - merge with head

2004-01-20 17:34  tag cvs-20040120-01-HEAD

2004-01-20 17:34  mderezynski

	* audacious/main.c (tags: cvs-20040120-01-HEAD):

	  main.c: fixed problem in make_directory() (check for return value
	  of mkdir() instead of errno)

2004-01-20 07:25  descender

	* po/: POTFILES.in, bmp.pot, fr.po, ja.po, lt.po, zh_CN.po (utags:
	  cvs-20040120-01-HEAD):
	  - synced po/pot files with code - removed bmp.c and added
	  logger.c to POTFILES.in

2004-01-20 07:22  descender

	* Input/cdaudio/cddb.c, Input/cdaudio/configure.c,
	  Input/mpg123/configure.c, Input/mpg123/fileinfo.c,
	  libaudacious/configfile.c, Input/vorbis/configure.c,
	  Input/vorbis/fileinfo.c, Input/wav/wav.c, Output/OSS/configure.c,
	  Output/alsa/configure.c, Visualization/blur_scope/config.c
	  (utags: cvs-20040120-01-HEAD):
	  - replaced gtk_window_set_policy() calls with
	  gtk_window_set_resizable() - removed G_LOG_DOMAIN #defines

2004-01-20 06:54  descender

	* Output/esd/configure.c (tags: cvs-20040120-01-HEAD):
	  - flipped 'Apply' and 'Close' button order in ESD plugin
	  configuration widnow

2004-01-20 06:50  descender

	* Output/esd/: about.c (tags: cvs-20040120-01-HEAD), configure.c,
	  esd.c (tags: cvs-20040120-01-HEAD), init.c (tags:
	  cvs-20040120-01-HEAD), mixer.c (tags: cvs-20040120-01-HEAD):
	  - indent -kr -nut

2004-01-20 06:49  descender

	* Output/alsa/configure.c:
	  - flipped 'Apply' and 'Close' button order in ALSA output
	  configuration window

2004-01-20 06:34  descender

	* Output/alsa/: about.c (tags: cvs-20040120-01-HEAD), alsa.c (tags:
	  cvs-20040120-01-HEAD), configure.c, init.c (tags:
	  cvs-20040120-01-HEAD):
	  - indent -kr -nut

2004-01-20 06:33  descender

	* Output/OSS/configure.c:
	  - flipped 'Apply' and 'Close' button order in configuration
	  window (OSS plugin)

2004-01-20 06:29  descender

	* Output/OSS/: about.c (tags: cvs-20040120-01-HEAD), OSS.c (tags:
	  cvs-20040120-01-HEAD), configure.c, convert.c (tags:
	  cvs-20040120-01-HEAD), init.c (tags: cvs-20040120-01-HEAD),
	  mixer.c (tags: cvs-20040120-01-HEAD), soundcard.h (tags:
	  cvs-20040120-01-HEAD):
	  - indent -kr -nut

2004-01-20 06:26  descender

	* Visualization/blur_scope/: blur_scope.c (tags:
	  cvs-20040120-01-HEAD), config.c:
	  - flipped 'Ok' and 'Cancel' button order (blur_scope plugin) -
	  renamed color selection dialog title to "Blur Scope: Color
	  selection" (blur_scope plugin) - renamed visualization window
	  title to "Blur Scope" (blur_scope plugin)

2004-01-20 06:22  descender

	* Visualization/blur_scope/: blur_scope.c, config.c:
	  - indent -kr -nut

2004-01-20 06:09  descender

	* audacious/prefswin.c (tags: cvs-20040120-01-HEAD):
	  - marked font tab labels translatable - fixed memory leak in
	  prefswin_font_browse_callback() involving (redundant) UTF-8
	  conversion of preview text - flipped 'Apply' and 'Close' button
	  order

2004-01-20 05:40  descender

	* audacious/: equalizer.c, input.c, playlist.c, pluginenum.c, skin.c,
	  xml_document.c (utags: cvs-20040120-01-HEAD):
	  - removed G_LOG_DOMAIN #defines so that logger can catch all log
	  messages - prepended G_STRLOC to log_messages

2004-01-20 05:20  descender

	* audacious/: about.c (tags: cvs-20040120-01-HEAD), dock.c (tags:
	  cvs-20040120-01-HEAD), equalizer.c, hints.c (tags:
	  cvs-20040120-01-HEAD), mainwin.c (tags: cvs-20040120-01-HEAD),
	  playlist_slider.c (tags: cvs-20040120-01-HEAD):
	  - cleanups - corrected usage of g_list_append() when adding
	  widgets to dock_window_list

2004-01-20 03:01  descender

	* audacious/playlistwin.c (tags: cvs-20040120-01-HEAD):
	  - playlistwin accelerators now work again - minor cleanups

2004-01-20 02:25  descender

	* audacious/playlist.c:
	  - make playlist_get_info thread lock before reading status flag

2004-01-20 02:21  descender

	* audacious/: playlist_list.c (tags: cvs-20040120-01-HEAD), prefswin.c,
	  output.c (tags: cvs-20040120-01-HEAD), pbutton.c (tags:
	  cvs-20040120-01-HEAD), pbutton.h (tags: cvs-20040120-01-HEAD),
	  playlist.h (tags: cvs-20040120-01-HEAD), skinwin.c (tags:
	  cvs-20040120-01-HEAD), util.c (tags: cvs-20040120-01-HEAD):
	  - minor cleanups - replaced gtk_window_set_policy() calls with
	  gtk_window_set_resizable() - made preferences window resizable -
	  removed #define G_LOG_DOMAIN __FILE__

2004-01-20 02:14  descender

	* audacious/: visualization.c, widget.c (utags: cvs-20040120-01-HEAD):
	  - minor cleanups

2004-01-20 02:07  descender

	* audacious/input.c:
	  - replace gtk_window_set_policy() with gtk_window_set_resizable()

2004-01-20 01:59  descender

	* audacious/controlsocket.c (tags: cvs-20040120-01-HEAD):
	  - control socket file descriptor is now properly set back to 0
	  when BMP is unable to open socket

2004-01-20 01:56  descender

	* audacious/Makefile.am (tags: cvs-20040120-01-HEAD):
	  - removed bmp.c bmp.h from Makefile

2004-01-20 01:55  descender

	* audacious/util.h (tags: cvs-20040120-01-HEAD):
	  - added in argument names for function prototypes without them

2004-01-20 01:53  descender

	* audacious/: bmp.c, bmp.h, skin.c:
	  - skin loader now uses gdk_pixbuf to load pixmaps

2004-01-20 01:50  descender

	* audacious/: logger.c (tags: cvs-20040120-01-HEAD), main.c:
	  - logger now flushes after every line printed - BMP no longer
	  aborts if logger is unabled to open log file - fixed
	  unable-to-open-log-file error with users without ~/.bmp yet - BMP
	  now prints error messages if it cannot create its user
	  directories

2004-01-19 03:13  descender

	* audacious/: bmp.c, effect.c (tags: cvs-20040120-01-HEAD), eq_graph.c
	  (tags: cvs-20040120-01-HEAD), eq_graph.h (tags:
	  cvs-20040120-01-HEAD), eq_slider.c (tags: cvs-20040120-01-HEAD),
	  eq_slider.h (tags: cvs-20040120-01-HEAD), fft.c (tags:
	  cvs-20040120-01-HEAD), fft.h (tags: cvs-20040120-01-HEAD),
	  fullscreen.c (tags: cvs-20040120-01-HEAD), general.c (tags:
	  cvs-20040120-01-HEAD), getopt.c (tags: cvs-20040120-01-HEAD),
	  getopt.h (tags: cvs-20040120-01-HEAD), getopt1.c (tags:
	  cvs-20040120-01-HEAD), hints.c, hslider.c (tags:
	  cvs-20040120-01-HEAD), hslider.h (tags: cvs-20040120-01-HEAD),
	  info.h (tags: cvs-20040120-01-HEAD), jump_to.h (tags:
	  cvs-20040120-01-HEAD), main.h (tags: cvs-20040120-01-HEAD),
	  menurow.c (tags: cvs-20040120-01-HEAD), menurow.h (tags:
	  cvs-20040120-01-HEAD), mkdtemp.c (tags: cvs-20040120-01-HEAD),
	  monostereo.c (tags: cvs-20040120-01-HEAD), monostereo.h (tags:
	  cvs-20040120-01-HEAD), number.c (tags: cvs-20040120-01-HEAD),
	  number.h (tags: cvs-20040120-01-HEAD), output.c, pbutton.c,
	  pbutton.h, pixmaps.h (tags: cvs-20040120-01-HEAD), playback.c
	  (tags: cvs-20040120-01-HEAD), playstatus.c (tags:
	  cvs-20040120-01-HEAD), playstatus.h (tags: cvs-20040120-01-HEAD),
	  sbutton.c (tags: cvs-20040120-01-HEAD), sbutton.h (tags:
	  cvs-20040120-01-HEAD), sm.c (tags: cvs-20040120-01-HEAD), sm.h
	  (tags: cvs-20040120-01-HEAD), softvolume.c (tags:
	  cvs-20040120-01-HEAD), softvolume.h (tags: cvs-20040120-01-HEAD),
	  svis.c (tags: cvs-20040120-01-HEAD), svis.h (tags:
	  cvs-20040120-01-HEAD), tbutton.c (tags: cvs-20040120-01-HEAD),
	  tbutton.h (tags: cvs-20040120-01-HEAD), textbox.c (tags:
	  cvs-20040120-01-HEAD), textbox.h (tags: cvs-20040120-01-HEAD),
	  urldecode.c (tags: cvs-20040120-01-HEAD), util.h, vis.c (tags:
	  cvs-20040120-01-HEAD), vis.h (tags: cvs-20040120-01-HEAD),
	  visualization.c, widget.c: - indent -kr -nut

2004-01-19 01:05  descender

	* audacious/main.c, po/LINGUAS (tags: cvs-20040120-01-HEAD), po/bmp.pot,
	  po/fr.po, po/ja.po, po/lt.po, po/zh_CN.po:
	  - added missing '%s' in translated C format string in Japanese
	  translation (ja.po) - added Japanese to LINGUAS - added missing
	  space in SIGSEGV error message (main.c) - re-synced po/pot files
	  with code

2004-01-19 00:47  descender

	* audacious/main.h:
	  - added BMP_LOG_BASENAME and bmp_log_filename declaration into
	  main.h

2004-01-19 00:31  descender

	* po/ja.po:
	  - added Japanese translation by Takeshi Aihana

2004-01-19 00:27  descender

	* audacious/main.c:
	  - print usage help screen to stdout instead of stderr

2004-01-18 23:27  descender

	* audacious/: main.c, Makefile.am, logger.c, logger.h (tags:
	  cvs-20040120-01-HEAD):
	  - added logging functions

2004-01-18 03:59  msikkes

	* audacious/mainwin.c: Changed Play CD keybinding to alt + c.

2004-01-18 02:54  descender

	* audacious/: main.c, mainwin.h (tags: cvs-20040120-01-HEAD),
	  playlistwin.h (tags: cvs-20040120-01-HEAD):
	  - removed XInitThreads() call - rearranged UI creation calls in
	  main() - added custom log handler (does nothing right now
	  however) - added MAINWIN_DEFAULT_FONT and
	  PLAYLISTWIN_DEFAULT_FONT to store default font name strings

2004-01-18 02:46  descender

	* audacious/mainwin.c:
	  - indent -kr -nut

2004-01-18 00:56  msikkes

	* audacious/beep.desktop.in (tags: cvs-20040120-01-HEAD): Renamed to
	  Beep Media Player.

2004-01-17 23:46  msikkes

	* audacious/beep.desktop.in: Changed name to 'BMP' and comment to 'Play
	  music'

2004-01-17 23:34  descender

	* Input/mpg123/mpg123.c (tags: cvs-20040120-01-HEAD):
	  - fixed memory leak in mpg123_format_song_title() (mpg123 plugin)

2004-01-17 22:21  descender

	* audacious/: skin.c, skinwin.c:
	  - fixed temporary string memory leaks in update_skinlist() and
	  skinwin.c:add_skin() - remove extra call to create_skin_window()
	  in init_skins() (called in main())

2004-01-17 18:25  descender

	* libaudacious/: beepctrl.c, beepctrl.h (utags: cvs-20040120-01-HEAD):
	  - complete glibification - minor formatting cleanups

2004-01-17 18:06  descender

	* libaudacious/: beepctrl.c, beepctrl.h, configfile.c, configfile.h
	  (tags: cvs-20040120-01-HEAD), dirbrowser.c (tags:
	  cvs-20040120-01-HEAD), dirbrowser.h (tags: cvs-20040120-01-HEAD),
	  formatter.c (tags: cvs-20040120-01-HEAD), formatter.h (tags:
	  cvs-20040120-01-HEAD), titlestring.c (tags:
	  cvs-20040120-01-HEAD), titlestring.h (tags:
	  cvs-20040120-01-HEAD), util.c (tags: cvs-20040120-01-HEAD),
	  util.h (tags: cvs-20040120-01-HEAD), xconvert.h (tags:
	  cvs-20040120-01-HEAD), xentry.c (tags: cvs-20040120-01-HEAD),
	  xentry.h (tags: cvs-20040120-01-HEAD):
	  - indent -kr -nut

2004-01-17 17:36  descender

	* audacious/: input.c, pluginenum.c: 
CVS:
	  ----------------------------------------------------------------------
	  CVS: Enter Log.  Lines beginning with `CVS:' are removed
	  automatically
CVS: 
CVS: Committing in .
CVS: 
CVS: Modified
	  Files:
CVS:  input.c pluginenum.c 
CVS:
	  ----------------------------------------------------------------------
	  - UTF-8 fixes, use filename_to_utf8() instead of
	  g_locale_to_utf8() for filename displays
- minor cleanups

2004-01-17 17:00  descender

	* audacious/plugin.h (tags: cvs-20040120-01-HEAD):
	  - indent -kr -nut

2004-01-17 07:04  descender

	* scripts/: gen-auto-scripts.sh, genesis.sh (utags:
	  cvs-20040120-01-HEAD):
	  - replaced use of pushd/popd with temporary variables

2004-01-17 06:54  descender

	* Input/vorbis/: fileinfo.c, http.c (tags: cvs-20040120-01-HEAD),
	  vorbis.c (tags: cvs-20040120-01-HEAD):
	  - fixed gcc 2.95/6 compilation errors

2004-01-17 06:47  descender

	* Input/vorbis/: configure.c, fileinfo.c, glibconfig.h (tags:
	  cvs-20040120-01-HEAD), http.c, http.h (tags:
	  cvs-20040120-01-HEAD), vcedit.c (tags: cvs-20040120-01-HEAD),
	  vcedit.h (tags: cvs-20040120-01-HEAD), vorbis.h (tags:
	  cvs-20040120-01-HEAD):
	  - indent -kr -nut

2004-01-17 06:08  mderezynski

	* audacious/dirbrowser.c (tags: cvs-20040120-01-HEAD):

	  Fixed problems in bmp_fb_dirtree_enqueue() (uninitialized
	  variable 'path')

2004-01-17 06:08  descender

	* Input/mpg123/: fileinfo.c, mpg123.c:
	  - fixed gcc 2.95/6 compilation errors

2004-01-17 05:53  descender

	* audacious/hints.c:
	  - fixed 'ulong' compilation error

2004-01-17 05:16  descender

	* Input/mpg123/: common.c (tags: cvs-20040120-01-HEAD),
	  configure.c, dct64.c (tags: cvs-20040120-01-HEAD), dct64_i386.c
	  (tags: cvs-20040120-01-HEAD), decode.c (tags:
	  cvs-20040120-01-HEAD), decode_2to1.c (tags:
	  cvs-20040120-01-HEAD), decode_4to1.c (tags:
	  cvs-20040120-01-HEAD), decode_i386.c (tags:
	  cvs-20040120-01-HEAD), dxhead.c (tags: cvs-20040120-01-HEAD),
	  dxhead.h (tags: cvs-20040120-01-HEAD), equalizer.c (tags:
	  cvs-20040120-01-HEAD), fileinfo.c, getbits.c (tags:
	  cvs-20040120-01-HEAD), http.c (tags: cvs-20040120-01-HEAD), id3.c
	  (tags: cvs-20040120-01-HEAD), id3.h (tags: cvs-20040120-01-HEAD),
	  id3_frame.c (tags: cvs-20040120-01-HEAD), id3_frame_content.c
	  (tags: cvs-20040120-01-HEAD), id3_frame_text.c (tags:
	  cvs-20040120-01-HEAD), id3_frame_url.c (tags:
	  cvs-20040120-01-HEAD), id3_header.h (tags: cvs-20040120-01-HEAD),
	  id3_tag.c (tags: cvs-20040120-01-HEAD), layer1.c (tags:
	  cvs-20040120-01-HEAD), layer2.c (tags: cvs-20040120-01-HEAD),
	  layer3.c (tags: cvs-20040120-01-HEAD), mpg123.c, mpg123.h (tags:
	  cvs-20040120-01-HEAD), tabinit.c (tags: cvs-20040120-01-HEAD):
	  - indent -kr -nut

2004-01-17 04:56  descender

	* audacious/: input.c, input.h (tags: cvs-20040120-01-HEAD):
	  - indent -kr -nut

2004-01-17 03:21  descender

	* audacious/: main.c, skinwin.c, skinwin.h (tags: cvs-20040120-01-HEAD):

	  - fixed gcc 2.95/6 compiler errors - cleanups

2004-01-17 02:29  descender

	* audacious/: controlsocket.c, input.c, input.h, playlist.c,
	  playlist_list.c, pluginenum.c, skinwin.c, util.c:
	  - fixed warnings with bmp_playback_* functions being implicitly
	  declared - put declaration of input_file_not_playable() into
	  input.h - make input_info_text in input.h extern - change
	  'selection' to GtkTreeSelection type in create_skin_window()

2004-01-17 02:02  descender

	* audacious/: playlist.c, playlist.h, playlist_list.c, controlsocket.c,
	  dock.c, dock.h (tags: cvs-20040120-01-HEAD), equalizer.c,
	  playlist_list.h (tags: cvs-20040120-01-HEAD), playlist_popup.c
	  (tags: cvs-20040120-01-HEAD), playlist_popup.h (tags:
	  cvs-20040120-01-HEAD), playlistwin.c, pluginenum.c, prefswin.c,
	  skin.c, skin.h (tags: cvs-20040120-01-HEAD), skinwin.c:
	  - indent -kr -nut

2004-01-17 00:42  larne

	* audacious/: dirbrowser.c, playlistwin.h (newplug): - merge with head

2004-01-16 23:58  larne

	* audacious/: iir.c, main.c, main.h, prefswin.c (newplug): - added
	  option to not reread playlist metadata on config changes   (hack:
	  need a proper solution for this) - Add optional second filtering
	  step from eq-xmms - really makes   a noticable difference to
	  sound quality.

2004-01-16 23:28  larne

	* audacious/iir.c (newplug): - added extra filter stage from eq-xmms.
	  this takes more cpu, but improves   sounds quality.  i'll
	  probably make this a configurable option.

2004-01-16 21:55  mderezynski

	* audacious/dirbrowser.c:

	  added statusbar, UI changes WIP

2004-01-16 11:49  larne

	* audacious/: mainwin.h, playlistwin.c: - fix compile error	 [merge
	  from newplug]

2004-01-16 11:46  larne

	* audacious/: mainwin.h, playlistwin.c (newplug): - fix compile error
	  (missing defines and include)

2004-01-16 11:26  larne

	* Output/alsa/audio.c, audacious/Makefile.am, audacious/controlsocket.c,
	  audacious/dirbrowser.c, audacious/equalizer.h, audacious/input.c, audacious/input.h,
	  audacious/main.c, audacious/main.h, audacious/mainwin.c, audacious/output.c,
	  audacious/playback.c, audacious/playback.h, audacious/playlist.c,
	  audacious/playlist.h, audacious/playlist_list.c, audacious/playlist_slider.c,
	  audacious/playlist_slider.h, audacious/playlistwin.c, audacious/playlistwin.h,
	  audacious/pluginenum.c, audacious/skinwin.c, audacious/util.c,
	  audacious/visualization.c, audacious/widget.c, audacious/widget.h,
	  libaudacious/configfile.c, libaudacious/configfile.h, m4/beep.m4,
	  po/bmp.pot, po/fr.po, po/lt.po, po/zh_CN.po,
	  scripts/gen-auto-scripts.sh (newplug): - merge with head.

2004-01-16 08:34  descender

	* m4/beep.m4:
	  - applied Artur Frysiak's bmp-m4quote patch to quote function
	  names in AC_DEFUN

2004-01-16 05:55  descender

	* libaudacious/: configfile.c, configfile.h:
	  - tabs to spaces

2004-01-16 05:29  descender

	* audacious/: main.c, equalizer.h (tags: cvs-20040120-01-HEAD), main.h,
	  playlistwin.h:
	  - cleanups

2004-01-16 05:02  descender

	* audacious/widget.c:
	  - removed debug g_message() calls

2004-01-16 04:04  descender

	* scripts/gen-auto-scripts.sh:
	  - applied Artur Frysiak's bmp-autogen patch to use #!/bin/bash
	  instead of /bin/sh to specify the use of bash explicitly -
	  converted tabs to spaces

2004-01-16 04:00  descender

	* audacious/: widget.c, widget.h (tags: cvs-20040120-01-HEAD):
	  - replaced widget list iteration loops with g_list_foreach -
	  converted tabs to spaces

2004-01-16 03:52  mderezynski

	* audacious/: Makefile.am, controlsocket.c, dirbrowser.c, input.c,
	  input.h, mainwin.c, output.c, playback.c, playback.h (tags:
	  cvs-20040120-01-HEAD), playlist.c, playlist.h, playlist_list.c,
	  playlistwin.c, playlistwin.h, pluginenum.c, skinwin.c, util.c,
	  visualization.c:

	  test commit

2004-01-15 22:29  descender

	* audacious/: widget.h, playlist_slider.c, playlist_slider.h (tags:
	  cvs-20040120-01-HEAD):
	  - indent -kr -nut

2004-01-15 19:57  descender

	* Output/alsa/audio.c (tags: cvs-20040120-01-HEAD):
	  - ALSA output plugin: fixed endian check preprocessor directives

2004-01-15 19:14  larne

	* audacious/: output.c, playlistwin.c (newplug): - check size is
	  multiple of 2 in eq

2004-01-15 19:02  larne

	* audacious/prefswin.c: - code cleanups - change 'xmms' to 'bmp'
	  [merge from newplug]

2004-01-15 18:59  larne

	* audacious/prefswin.c (newplug): - indentation cleanups - change 'xmms'
	  to 'bmp' in tooltips

2004-01-15 17:43  larne

	* audacious/prefswin.c: - fix 'pause between songs' and 'snap windows
	  at' options.	  [merge from newplug]

2004-01-15 17:42  larne

	* audacious/prefswin.c (newplug): - fix 'pause between songs' and 'snap
	  windows at' to work properly.    the problem is that the textarea
	  was being attached to the check    button;  this change only
	  attachs the initial text to the check,    which has the slight
	  change the 'seconds' and 'pixels' won't be	prelighted if your
	  GTK+ theme does prelighting.	However, I'm not    sure there's a
	  way to highlight all the text but not the textarea...

2004-01-15 09:58  larne

	* audacious/output.c (newplug): - code cleanups

2004-01-15 09:39  larne

	* audacious/output.c (newplug): - add code to byteswap audio data for eq
	  when not native   endianness - not tested!

2004-01-15 09:14  descender

	* Output/alsa/audio.c:
	  - replaced endian checks with Glib macros

2004-01-15 08:58  descender

	* po/: bmp.pot, fr.po, lt.po, zh_CN.po:
	  - French translation update from David - updated po/pot files

2004-01-15 08:15  tag merge-20040115-01

2004-01-15 08:15  larne

	* autogen.sh, beep-config.in, beep.pc.in, configure.in,
	  Input/vorbis/vorbis.c, Output/OSS/OSS.h, Output/OSS/audio.c,
	  Output/alsa/alsa.h, Output/esd/audio.c, audacious/playlistwin.c,
	  libaudacious/xconvert.c (newplug) (utags: merge-20040115-01): - merge
	  HEAD.

2004-01-15 07:23  larne

	* audacious/prefswin.c: - typo: alphabetical -> alphabetically   [merge
	  from newplug]

2004-01-15 07:16  larne

	* audacious/prefswin.c (tags: merge-20040115-01) (newplug): -
	  alphabetical -> alphabetically

2004-01-15 06:57  descender

	* autogen.sh:
	  - autogen.sh for improved User Experience(TM)

2004-01-15 06:43  descender

	* configure.in, Input/vorbis/vorbis.c, Output/OSS/OSS.h (tags:
	  cvs-20040120-01-HEAD), Output/OSS/audio.c (tags:
	  cvs-20040120-01-HEAD), Output/alsa/alsa.h (tags:
	  cvs-20040120-01-HEAD), Output/esd/audio.c (tags:
	  cvs-20040120-01-HEAD), libaudacious/xconvert.c (tags:
	  cvs-20040120-01-HEAD):
	  - applied Tim's patch to remove endian check in configure, and
	  get endianness from Glib macros - indent -kr -nut

2004-01-15 06:34  descender

	* beep-config.in, beep.pc.in:
	  - applied Artur's patch om beep-config/beep.pc to return
	  visualization and effect plugin directories

2004-01-15 06:25  descender

	* audacious/playlistwin.c:
	  - fixed crash on keypress with shaded playlistwin in focus

2004-01-15 06:15  larne

	* audacious/: about.c (tags: merge-20040115-01), debug.h (tags:
	  merge-20040115-01), hints.c (tags: merge-20040115-01), main.c
	  (tags: merge-20040115-01), mainwin.h (tags: merge-20040115-01),
	  playlist.c (tags: merge-20040115-01), playlist.h (tags:
	  merge-20040115-01), playlist_list.c (tags: merge-20040115-01),
	  playlistwin.c, playlistwin.h (tags: merge-20040115-01), skin.c
	  (tags: merge-20040115-01), skin.h (tags: merge-20040115-01)
	  (newplug): - merge with HEAD.

2004-01-15 06:07  descender

	* audacious/playlistwin.c:
	  - partially fixed playlistwin resize draw error (still does not
	  prevent itself from being resized to min. allowed dimensions)

2004-01-15 06:04  larne

	* Input/cdaudio/cdaudio.c (tags: merge-20040115-01),
	  Input/mpg123/layer1.c (tags: merge-20040115-01),
	  Input/mpg123/layer2.c (tags: merge-20040115-01),
	  Input/mpg123/layer3.c (tags: merge-20040115-01),
	  Input/vorbis/vorbis.c, Input/wav/wav.c (tags: merge-20040115-01),
	  audacious/output.c (tags: merge-20040115-01), audacious/output.h (tags:
	  merge-20040115-01) (newplug): - hopefully a real fix for hanging
	  output bug.

2004-01-15 05:29  larne

	* audacious/output.c, libaudacious/titlestring.c (tags: merge-20040115-01)
	  (newplug): - titlestring changes:  add %{n:...%} which shows ...
	  only if element %n is present in tag.  - some temporary fix to
	  stop hanging input bug (needs to be done   properly).

2004-01-15 05:23  descender

	* audacious/about.c:
	  - indent -kr -put

2004-01-15 05:20  descender

	* audacious/: main.c, playlist.c, playlist.h, playlist_list.c:
	  - converted playlist_mutex from GMutex back to GStaticMutex, and
	  named it to 'playlist'

2004-01-15 05:09  descender

	* audacious/hints.c:
	  - set function pointers to NULL (wasn't set!!!!)

2004-01-15 05:00  descender

	* audacious/: debug.h (tags: cvs-20040120-01-HEAD), mainwin.h,
	  playlistwin.c, playlistwin.h, skin.c, skin.h:
	  - added REQUIRE_STATIC_LOCK() for GStaticMutex locks - marked
	  start and end of debug.h macros with G_STMT_START and G_STMT_END
	  - shifted playlistwin frame drawing code from playlistwin.c to
	  skin.c - corrected playlistwin min. width and height/width snap
	  values

2004-01-15 02:44  larne

	* Input/cdaudio/cdaudio.c, Input/mpg123/layer1.c,
	  Input/mpg123/layer2.c, Input/mpg123/layer3.c,
	  Input/vorbis/vorbis.c, Input/wav/wav.c, audacious/Makefile.am (tags:
	  merge-20040115-01), audacious/equalizer.c (tags: merge-20040115-01),
	  audacious/iir.c (tags: merge-20040115-01), audacious/iir.h (tags:
	  merge-20040115-01), audacious/main.c, audacious/output.c, audacious/output.h
	  (newplug): - start of new plugin 'pipe'.  new function
	  produce_audio() is called   from the input plugin, which calls
	  eq, output and (soon) effect	 plugins as needed.  a nice side
	  effect is that eq now works for all	input, not just mp3! - a
	  completely new eq, which is a slightly modified version of
	  Felipe Rivera's "eq-xmms" plugin.

2004-01-15 01:03  descender

	* audacious/: playlistwin.c, playlistwin.h:
	  - moved size macros to playlistwin.h - indent -kr -nut

2004-01-14 23:25  descender

	* audacious/: skin.c, skinwin.c (tags: merge-20040115-01), util.c (tags:
	  merge-20040115-01):
	  - fixed del_directory(), now uses dir_foreach() and properly
	  removes directories - skin temp directories are now properly
	  deleted - fixed temporary string memory leak in
	  skin_get_thumbnail() - indent -kr -nut

2004-01-14 21:21  descender

	* Input/: cdaudio/cdaudio.c (tags: cvs-20040120-01-HEAD),
	  wav/wav.c:
	  - pthread->GThread code conversion - added missing
	  g_thread_exit() call to CD audio plugin play loop - indent -kr
	  -nut

2004-01-14 21:05  descender

	* Input/cdaudio/: cdaudio.c, cdaudio.h (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01), cddb.c (tags: merge-20040115-01), cdinfo.c
	  (tags: cvs-20040120-01-HEAD, merge-20040115-01), cdinfo.h (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01), configure.c (tags:
	  merge-20040115-01), http.c (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01):
	  - indent -kr -nut

2004-01-14 21:02  descender

	* audacious/: main.c, xml_document.c (tags: merge-20040115-01),
	  xml_document.h (tags: cvs-20040120-01-HEAD, merge-20040115-01):
	  - indent -kr -nut

2004-01-14 20:03  mderezynski

	* audacious/dirbrowser.c (tags: merge-20040115-01):

	  compile warning cleanups

2004-01-14 19:54  descender

	* Input/cdaudio/: cdaudio.c, cddb.c:
	  - replaced pthread threads/mutexes with GThread

2004-01-14 19:46  descender

	* Input/mpg123/fileinfo.c (tags: merge-20040115-01):
	  - another oopsie: text_utf8 misspelled

2004-01-14 19:05  descender

	* audacious/main.c:
	  - missing semicolon

2004-01-14 18:51  descender

	* configure.in:
	  - make configure script plugin options dump at the end more
	  informative

2004-01-14 18:17  descender

	* Input/mpg123/fileinfo.c, audacious/Makefile.am, audacious/fullscreen.c
	  (tags: merge-20040115-01), audacious/main.c, audacious/widget.c (tags:
	  merge-20040115-01), audacious/widget.h (tags: merge-20040115-01):
	  - glibification (basic data types, pthread_mutex_t to gthread
	  mutexes) - marked mpg123 plugin fileinfo dialog tag fields as
	  translatable - fixed temporary string memory leak mpg123 plugin's
	  fileinfo.c:set_entry_tag() - more replacement of str(case()cmp)
	  prefix checks with g_str_has_prefix() and str_has_prefix_nocase()

2004-01-14 17:53  descender

	* Input/vorbis/fileinfo.c, audacious/softvolume.c, audacious/softvolume.h
	  (utags: merge-20040115-01):
	  - applied Tim Muller's patches to fix Input/vorbis/fileinfo.c
	  compiler warnings and cleanup softvolume.[ch]

2004-01-14 11:41  coder_sku

	* beep.spec.in (tags: merge-20040115-01), configure.in,
	  Input/mpg123/Makefile.am (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01): enabled the disabling of the mp3 plugin in
	  the build system and properly in the spec file

2004-01-14 10:13  mderezynski

	* .cvsignore (tags: merge-20040115-01):

	  added file

2004-01-14 09:33  descender

	* audacious/: mainwin.c (tags: merge-20040115-01), playlist.c:
	  - mainwin scrolling text now displays converted strings properly

2004-01-14 09:12  descender

	* audacious/: input.c (tags: merge-20040115-01), mainwin.c, playlist.c,
	  playlist_list.c, util.c:
	  - make '(invalid UTF-8)' (appended to failed UTF-8 string
	  conversions) translatable - fixed crash with invalid UTF-8 titles
	  in playlist - marked additional translatable strings in mainwin.c

2004-01-14 08:43  descender

	* audacious/: dirbrowser.c, input.c, util.c, util.h (tags:
	  merge-20040115-01):
	  - added filename_to_utf8() - moved UTF-8 fallback conversion code
	  to str_to_utf8_fallback() - dirbrowser now shows non-UTF-8
	  strings

2004-01-14 08:30  descender

	* audacious/util.c:
	  - fixed str_to_utf8()'s fallback conversion

2004-01-14 08:28  coder_sku

	* beep.spec.in: unpackaged files fix

2004-01-14 07:48  descender

	* Input/mpg123/mpg123.c (tags: merge-20040115-01),
	  audacious/dirbrowser.c, audacious/input.c, audacious/main.c, audacious/main.h (tags:
	  merge-20040115-01), audacious/playlist.c, audacious/playlist.h,
	  audacious/pluginenum.c (tags: merge-20040115-01), audacious/util.c,
	  libaudacious/configfile.c (tags: merge-20040115-01),
	  libaudacious/titlestring.c, libaudacious/titlestring.h (tags:
	  merge-20040115-01), po/.cvsignore (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01):
	  - cleanups - added *.gmo and stamp.po to po/.cvsignore

2004-01-14 06:28  descender

	* audacious/debug.h:
	  - added REQUIRE_STR_UTF8() macro to validate UTF-8 strings (and
	  complain if fails)

2004-01-14 05:39  mderezynski

	* Input/.cvsignore (tags: cvs-20040120-01-HEAD, merge-20040115-01),
	  Input/cdaudio/.cvsignore (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01), Input/mpg123/.cvsignore (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01), Input/vorbis/.cvsignore
	  (tags: cvs-20040120-01-HEAD, merge-20040115-01),
	  Input/wav/.cvsignore (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01), Output/.cvsignore (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01), Output/OSS/.cvsignore
	  (tags: cvs-20040120-01-HEAD, merge-20040115-01),
	  Output/alsa/.cvsignore (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01), Output/esd/.cvsignore (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01),
	  Visualization/.cvsignore (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01), Visualization/blur_scope/.cvsignore (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01), audacious/.cvsignore (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01), icons/.cvsignore (tags:
	  merge-20040115-01), libaudacious/.cvsignore (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01), po/.cvsignore: new
	  files: po/.cvsignore audacious/defskin/.cvsignore audacious/.cvsignore
	  intl/.cvsignore Input/wav/.cvsignore Input/mpg123/.cvsignore
	  Input/vorbis/.cvsignore Input/.cvsignore Input/cdaudio/.cvsignore
	  icons/.cvsignore Output/OSS/.cvsignore Output/esd/.cvsignore
	  Output/alsa/.cvsignore Output/.cvsignore libaudacious/.cvsignore
	  Visualization/blur_scope/.cvsignore Visualization/.cvsignore
	  .cvsignore

2004-01-14 04:02  descender

	* audacious/: util.c, util.h:
	  - added str_to_utf8() for converting strings to UTF-8 with the
	  &0x80 fallback

2004-01-14 02:36  mderezynski

	* audacious/: dirbrowser.c, dirbrowser.h (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01), mainwin.c, playlistwin.c, plugin.h (tags:
	  merge-20040115-01), pluginenum.c:

	  dirbrowser.c, dirbrowser.h: fixes etc mainwin.c: accredit to
	  changes in dirbrowser.h plugin.h, pluginenum.h: removed/reverted
	  return_tag_value_by_name()

2004-01-14 00:37  descender

	* audacious/: dirbrowser.c, dirbrowser.h:
	  - sanify dirbrowser.h - marked translatable strings, unmarked
	  menu item separators

2004-01-13 23:57  mderezynski

	* audacious/: dirbrowser.c, dirbrowser.h:

	  dirbrowser.c, dirbrowser.h: fixed compile warnings

2004-01-13 23:06  mderezynski

	* Input/mpg123/configure.c (tags: merge-20040115-01),
	  Input/mpg123/fileinfo.c, Input/vorbis/configure.c (tags:
	  merge-20040115-01), Input/vorbis/fileinfo.c, audacious/equalizer.c,
	  audacious/input.c, audacious/mainwin.c, audacious/playlistwin.c,
	  audacious/prefswin.c, audacious/skinwin.c:

	  Updated window titles

2004-01-13 22:53  mderezynski

	* audacious/: dirbrowser.c, dirbrowser.h:

	  dirbrowser.c, dirbrowser.h: re-added files after rewrite

2004-01-13 22:52  mderezynski

	* audacious/: dirbrowser.c, dirbrowser.h: [no log message]

2004-01-13 21:04  descender

	* audacious/equalizer.c, po/LINGUAS (tags: merge-20040115-01),
	  po/bmp.pot (tags: merge-20040115-01), po/fr.po (tags:
	  merge-20040115-01), po/lt.po (tags: merge-20040115-01),
	  po/zh_CN.po (tags: merge-20040115-01):
	  - stock-ize all stock-izable buttons - updated po/pot files
	  accordingly

2004-01-13 20:37  descender

	* audacious/: main.c, mainwin.c, playlist.c, playlistwin.c, urldecode.c
	  (tags: merge-20040115-01), widget.h:
	  - fixed DND crash - renamed "5 Seconds" forward/backward menu
	  items to "5 seconds"

2004-01-13 19:28  descender

	* audacious/: dirbrowser.c, equalizer.c, mainwin.c, playlistwin.c:
	  - restore old file browser for Add Files - unmarked menu item
	  separators as translatable

2004-01-13 18:42  descender

	* Visualization/blur_scope/config.c (tags: merge-20040115-01),
	  audacious/mainwin.c, audacious/playlistwin.c, libaudacious/dirbrowser.c (tags:
	  merge-20040115-01), po/bmp.pot, po/fr.po, po/lt.po, po/zh_CN.po:
	  - playlist window popup menu now shows translations properly -
	  converted most of the remaining of "Ok/Cancel/Close/Apply..."
	  buttons to stock - updated po/pot files accordingly

2004-01-13 05:36  descender

	* audacious/: equalizer.c, mainwin.c, playlistwin.c, util.c, util.h:
	  - readded item factory translations - renamed
	  util_menu_translate() to bmp_menu_translate()

2004-01-13 05:05  descender

	* audacious/equalizer.c, audacious/main.c, po/bmp.pot, po/fr.po, po/lt.po,
	  po/zh_CN.po:
	  - use stock buttons for equalizer configuration dialog and fixed
	  --help usage text, updated po/pot files accordingly - fixed
	  --help option text alignment - updated Simplified Chinese
	  translation

2004-01-13 03:53  descender

	* Input/vorbis/configure.c, po/bmp.pot, po/fr.po, po/lt.po,
	  po/zh_CN.po:
	  - unmarked GTK stock item name strings as translatable, updated
	  po/pot files accordingly

2004-01-13 03:41  descender

	* AUTHORS (tags: merge-20040115-01), configure.in, audacious/input.c,
	  audacious/prefswin.c, libaudacious/titlestring.c, libaudacious/titlestring.h,
	  po/LINGUAS, po/bmp.pot, po/fr.po, po/lt.po, po/zh_CN.po:
	  - added Chinese translation (Chong Kai Xiong, aka ME) - unmarked
	  GTK stock item name strings as translatable and replaced them
	  with macros - updated pot/po files accordingly

2004-01-13 01:14  descender

	* AUTHORS, configure.in, po/LINGUAS, po/lt.po,
	  scripts/rm-auto-scripts.sh (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01):
	  - added Lithuanian translation by Rimas Kudelis - updated
	  rm-auto-scripts.sh to remove generated files in po/

2004-01-13 00:53  descender

	* audacious/: input.c, input.h (tags: merge-20040115-01), playlist.c,
	  pluginenum.c, skinwin.c, util.c, util.h:
	  - renamed proxy strings (passed to plugins) - renamed vis_node to
	  VisNode - plugin filename extensions do not need to be lower-case
	  now - marked translatable strings in song-cannot-be-played error
	  dialog

2004-01-12 21:30  descender

	* audacious/: pluginenum.c, skinwin.c, util.c, util.h:
	  - added dir_foreach() function - converted bmp_scan_plugins() and
	  find_file_recursively() to use dir_foreach()

2004-01-12 20:26  descender

	* audacious/: main.c, mainwin.c, mainwin.h, playlist.h:
	  - attach mainwin idle function in mainwin_create() rather than
	  main() - cleanups

2004-01-12 20:08  descender

	* audacious/: controlsocket.c (tags: merge-20040115-01), dirbrowser.c,
	  mainwin.c, playlist.c, playlist.h, playlistwin.c:
	  - renamed playlist_add/ins_url_string to playlist_add/ins_url

2004-01-12 19:51  descender

	* audacious/: about.c, input.c, mainwin.h, playlist.c, pluginenum.c:
	  - added G_LOG_DOMAIN definitions - cleanups

2004-01-12 17:05  descender

	* audacious/dirbrowser.c, audacious/dnd.h (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01), audacious/main.c, audacious/main.h, audacious/mainwin.c,
	  audacious/playlist.c, audacious/playlistwin.c, audacious/pluginenum.h (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01), audacious/skin.c,
	  audacious/skinwin.c, audacious/urldecode.c, audacious/util.c, audacious/util.h,
	  libaudacious/titlestring.c:
	  - fixed case-sensitive issue with skin package extensions -
	  marked translatable strings - cleanups

2004-01-12 14:56  descender

	* audacious/: main.c, mainwin.c, prefswin.c, xml_document.c:
	  - xml_document.c: replaced g_assert() with g_return_if_fail() -
	  prefswin.c: renamed close button and related functions from 'ok'
	  to 'close' - main.c, mainwin.c: removed useless rc load/save
	  calls

2004-01-12 04:11  mderezynski

	* audacious/dirbrowser.c: [no log message]

2004-01-12 03:18  descender

	* audacious/: playlistwin.c, playlistwin.h:
	  - playlist button popup menu now use new file selector
	  (dirbrowser) for 'Add File'

2004-01-12 01:03  descender

	* po/: POTFILES.in (tags: merge-20040115-01), bmp.pot, fr.po,
	  stamp-po:
	  - removed old files and added new files to POTFILES.in - remove
	  PO timestamp file from CVS

2004-01-12 00:36  descender

	* audacious/dirbrowser.c:
	  - marked translatable strings - renamed 'Scanning directories' to
	  'Searching directories'

2004-01-11 23:52  mderezynski

	* audacious/dirbrowser.c:

	  dirbrowser.c: Added code to scan directory's children to avoid
	  subtrees becoming a dead end suddenly: bmp_db_dir_has_children();
	  UI layout changes

2004-01-11 20:08  descender

	* audacious/controlsocket.c, audacious/dirbrowser.c, audacious/eq_graph.c (tags:
	  merge-20040115-01), audacious/eq_slider.c (tags: merge-20040115-01),
	  audacious/equalizer.c, audacious/hslider.c (tags: merge-20040115-01),
	  audacious/hslider.h (tags: merge-20040115-01), audacious/main.c,
	  audacious/mainwin.c, audacious/menurow.c (tags: merge-20040115-01),
	  audacious/menurow.h (tags: merge-20040115-01), audacious/monostereo.c
	  (tags: merge-20040115-01), audacious/monostereo.h (tags:
	  merge-20040115-01), audacious/number.c (tags: merge-20040115-01),
	  audacious/number.h (tags: merge-20040115-01), audacious/pbutton.c (tags:
	  merge-20040115-01), audacious/pbutton.h (tags: merge-20040115-01),
	  audacious/playlist.c, audacious/playlist_list.c, audacious/playlist_popup.c
	  (tags: merge-20040115-01), audacious/playlist_slider.c (tags:
	  merge-20040115-01), audacious/playlistwin.c, audacious/playstatus.c (tags:
	  merge-20040115-01), audacious/skin.c, audacious/skin.h, audacious/skinwin.c,
	  audacious/svis.c (tags: merge-20040115-01), audacious/tbutton.c (tags:
	  merge-20040115-01), audacious/tbutton.h (tags: merge-20040115-01),
	  audacious/textbox.c (tags: merge-20040115-01), audacious/textbox.h (tags:
	  merge-20040115-01), audacious/vis.c (tags: merge-20040115-01),
	  po/bmp.pot, po/fr.po:
	  - skin functions generalized, now handles Skin instances instead
	  of just the active skin - active skin renamed to bmp_active_skin
	  - skin code cleanups

2004-01-11 10:45  mderezynski

	* audacious/dirbrowser.c:

	  dirrowser.c: fixed compile warnings

2004-01-11 09:05  mderezynski

	* audacious/: beep_logo.xpm (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01), dirbrowser.c:

	  beep_logo.xpm: Changed logo dirbrowser.c: dunno :\

2004-01-11 07:58  mderezynski

	* audacious/: dirbrowser.c, playlist.c:

	  dirbrowser.c playlist.c: Fixed locking issue

2004-01-11 07:46  mderezynski

	* audacious/dirbrowser.c:

	  dirbrowser.c: Added info text to progressbar

2004-01-11 07:35  mderezynski

	* audacious/dirbrowser.c:

	  dirbrowser.c: removed GtkFrame

2004-01-11 07:25  mderezynski

	* audacious/dirbrowser.c:

	  dirbrowser.c: made recursing optional, changed UI layout

2004-01-11 05:58  msikkes

	* audacious/: playlist.c, skinwin.c, skinwin.h (tags:
	  merge-20040115-01): playlist.c: Song change with 'random skin on
	  new song'-option now uses update_skinlist() in stead of
	  update_skins() skinwin.c, skinwin.h: split update_skins() into
	  update_skinlist and update_skinview()

2004-01-11 03:19  descender

	* audacious/: xml_document.c, xml_document.h:
	  - bmp_xml_document_load() now builds the entire tree

2004-01-11 01:36  descender

	* audacious/: xml_document.c, Makefile.am, xml_document.h:
	  - added basic XML parsing support (for BMP XML config)

2004-01-10 18:15  descender

	* audacious/main.c:
	  - use BMP path strings in main.c:bmp_config_save()

2004-01-10 17:33  descender

	* Input/mpg123/http.c (tags: merge-20040115-01), Input/wav/wav.c,
	  audacious/playlist.c, audacious/plugin.h:
	  - fixed compilation error (playlist.c used 'struct SkinNode'
	  instead of just 'SkinNode') - glibize some plugin code

2004-01-10 12:27  descender

	* audacious/: dirbrowser.c, equalizer.c, mainwin.c, pluginenum.c,
	  skinwin.c:
	  - fix temporary string memory leak in
	  mainwin_drag_data_received()

2004-01-10 12:07  descender

	* audacious/: controlsocket.c, controlsocket.h (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01), main.c, mainwin.c:
	  - lock 'going' in controlsocket thread loop condition - renamed
	  control socket functions

2004-01-10 11:24  descender

	* audacious/: controlsocket.c, mainwin.c, skin.c, skinwin.c, skinwin.h,
	  vis.c:
	  - fixed skin browser freeze - shorten GDK critical section in
	  visualizer drawing code - minor cleanups

2004-01-10 01:09  descender

	* audacious/: main.c, main.h, mainwin.c, skinwin.c:
	  - added BMP path strings - temporary fix for skin browser freeze
	  (nested lock issue)

2004-01-10 00:15  descender

	* Visualization/blur_scope/blur_scope.c (tags: merge-20040115-01),
	  audacious/main.c, audacious/playlist.c, audacious/prefswin.c:
	  - fixed memory leak in create_prefs_window() (table_rb was
	  allocated but not attached) - added playlist_skip_prefix() for
	  ignore-prefix sorting support

2004-01-09 23:59  mderezynski

	* audacious/: main.c, playlist.c, playlist_list.c, prefswin.c:

	  resolved cvs merge conflicts

2004-01-09 19:06  descender

	* configure.in, audacious/equalizer.c, audacious/main.c, audacious/playlist.c,
	  audacious/pluginenum.c, po/bmp.pot, po/fr.po:
	  - fixed memory leak in playlist.c:playlist_get_info_text() -
	  cleanups

2004-01-09 18:12  descender

	* audacious/: Makefile.am, dynamic_lib.c, dynamic_lib.h, hints.c,
	  main.c, playlist.c, pluginenum.c:
	  - plugin loading is now done through GLib module functions

2004-01-09 16:33  descender

	* scripts/cleanall.sh (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01):
	  - cleanall.sh script now removes .deps

2004-01-09 16:28  descender

	* Input/vorbis/fileinfo.c, Visualization/blur_scope/blur_scope.c,
	  audacious/main.c, audacious/mainwin.c, audacious/playlist.c, audacious/playlistwin.c,
	  audacious/util.c, audacious/util.h, po/bmp.pot, po/fr.po:
	  - cleanups

2004-01-09 04:21  mderezynski

	* audacious/: dirbrowser.c, mainwin.c, playlist.c, playlist_list.c,
	  pluginenum.c, prefswin.c:

	  dirbrowser.c, mainwin.c, playlist.c, playlist_list.c,
	  playlistwin.c, pluginenum.c, prefswin.c: compile warnings fixed

2004-01-09 02:44  descender

	* audacious/: playlist.c, playlist_list.c, util.c, util.h:
	  - fixed temporary string leaks - added SWAP macro to util.h -
	  convert_title_text(gchar *text) now returns text, allowing it to
	  be chained with functions like g_strdup()

2004-01-09 01:31  descender

	* audacious/: debug.h, main.c, mainwin.c, playlist.c, playlist.h,
	  playlist_list.c, playlistwin.c, skinwin.c:
	  - converted playlist_mutex from GStaticMutex to GMutex - added
	  REQUIRE_LOCK() macro to check if a mutex is properly locked -
	  added REQUIRE_LOCK checks for playlist_mutex - fixed 2 memory
	  leaks involving temporary strings

2004-01-08 06:04  mderezynski

	* audacious/: playlist.c, playlist_list.c:

	  UTF8 fixes

2004-01-07 18:05  mderezynski

	* beep-config.in, audacious/main.c, audacious/playlist_list.c:

	  beep-config.in: Re-added general plugin dir main.c: fixed order
	  of initializations in main() playlist_list.c: rendering changes

2004-01-07 01:09  msikkes

	* libaudacious/Makefile.am (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01): Changed beepincluddir to bmp/.

2004-01-05 07:50  mderezynski

	* audacious/: dirbrowser.c, playlist_list.c:

	  playlist_list.c: rendering changes dirbrowser.c: removed debug
	  g_message()

2004-01-04 21:53  mderezynski

	* audacious/: beep_logo.xpm, dirbrowser.c:

	  beep_logo.xpm: Updated "about" logo dirbrowser.c: memleak fixes

2004-01-03 23:42  mderezynski

	* audacious/dirbrowser.c:

	  More mem leak fixes

2004-01-03 19:27  mderezynski

	* audacious/dirbrowser.c:

	  Fixed messed up bmp_db_mdb_sort_func

2004-01-03 19:17  mderezynski

	* audacious/dirbrowser.c:

	  More memleak fixes

2004-01-03 18:03  mderezynski

	* audacious/dirbrowser.c:

	  Memory usage cleanups (memleak fixes)

2004-01-03 12:29  mderezynski

	* audacious/dirbrowser.c:

	  memleak fixes

2004-01-03 12:04  mderezynski

	* audacious/dirbrowser.c:

	  leak fix in bmp_db_path_get_full()

2004-01-03 09:18  descender

	* audacious/: main.c, sm.c (tags: merge-20040115-01):
	  - fixed missing save_config() errors

2004-01-03 02:55  mderezynski

	* audacious/dirbrowser.c:

	  Memory fixes

2004-01-02 23:41  mderezynski

	* audacious/: dirbrowser.c, input.c, skinwin.c, util.c:

	  Memleak fixes

2004-01-02 20:38  descender

	* beep.spec.in, configure.in, icons/Makefile.am (tags:
	  merge-20040115-01):
	  - restore configure script version to 0.9.6.2 (got reverted
	  somehow) - install SVG icon in /usr/share/icons - updated RPM
	  spec file

2004-01-02 06:14  mderezynski

	* TODO (tags: merge-20040115-01):

	  Updated TODO

2004-01-02 06:13  mderezynski

	* TODO, audacious/input.c, audacious/mainwin.c, audacious/playlistwin.c:

	  Updated TODO

	  mainwin.c: touched (actually changes, then reverted)
	  playlistwin.c: touched

2003-12-31 21:49  mderezynski

	* audacious/dirbrowser.c: [no log message]

2003-12-31 21:07  mderezynski

	* audacious/dirbrowser.c:

	  Fixed empty browser on non-existant $HOME/.bmp/dbrc

2003-12-31 19:41  mderezynski

	* audacious/: mainwin.c, playlist_list.c, util.c:

	  mainwin.c: Fixed mainwin.c JTF always jumps to first file only

	  playlist_list.c: Rendering changes

	  util.c: No actual changes

2003-12-31 18:06  mderezynski

	* audacious/dirbrowser.c:

	  Added label to filter, leak & structural cleanups

2003-12-31 08:01  mderezynski

	* audacious/dirbrowser.c:

	  dirbrowser.c: Added optimizations to filter

2003-12-31 07:42  mderezynski

	* audacious/dirbrowser.c:

	  dirbrowser.c: Structural cleanups in dirbrowser filtering code

2003-12-31 07:20  mderezynski

	* audacious/dirbrowser.c:

	  Replaced filtering algorithms with those from mainwin.c JTF

2003-12-31 07:03  mderezynski

	* audacious/dirbrowser.c:

	  Added filter to dirbrowser (WIP)

2003-12-30 20:49  mderezynski

	* audacious/dirbrowser.c:

	  Removed static path for testing

2003-12-30 20:15  mderezynski

	* audacious/dirbrowser.c:

	  Re-added for readding

2003-12-30 20:14  mderezynski

	* audacious/dirbrowser.c:

	  Removed for re-adding

2003-12-30 10:36  descender

	* audacious/dirbrowser.c:
	  - fixed dirbrowser crash with invalid UTF-8 filenames, and when
	  adding files with nothing selected

2003-12-30 08:10  descender

	* audacious/dirbrowser.c:
	  - fixed last merge of dirbrowser.c

2003-12-30 07:32  mderezynski

	* audacious/dirbrowser.c:

	  indent -kr dirbrowser.c

2003-12-30 07:16  mderezynski

	* audacious/dirbrowser.c:

	  Fixed problems introduced trough merger problem before last
	  commit ...

2003-12-30 07:12  mderezynski

	* audacious/: dirbrowser.c, mainwin.c, mainwin.h, playlistwin.c: [no log
	  message]

2003-12-30 07:04  descender

	* audacious/: controlsocket.c, dirbrowser.c, main.h:
	  - main.c: replaced hard coded sizes with #defines -
	  controlsocket.c: change int to gint - dirbrowser.c: dirbrowser
	  now shows tree if dbrc does not exist

2003-12-30 05:22  mderezynski

	* audacious/dirbrowser.c:

	  Readded "Add" button in dirbrowser

2003-12-29 22:00  mderezynski

	* audacious/playlist_list.c:

	  Fixed minor rendering problem in playlist_list.c

2003-12-29 21:16  mderezynski

	* audacious/: skin.c: [no log message]

2003-12-29 21:00  mderezynski

	* audacious/skin.c:

	  Fixed compile problems with gcc 2.95.x

2003-12-29 08:33  mderezynski

	* TODO, TODO.bmp, configure.in:

	  TODO: updated configure.in: Added fr to ALL_LINGUAS po/LINGUAS:
	  touch due to check TODO.bmp: removed, use TODO

2003-12-29 05:24  descender

	* libaudacious/: util.c, util.h (utags: merge-20040115-01):
	  - reverted libbeep utility function names, add #define BMP name
	  aliases instead

2003-12-29 05:11  descender

	* Input/vorbis/configure.c, Input/vorbis/fileinfo.c,
	  Input/vorbis/http.c (tags: merge-20040115-01),
	  Input/vorbis/http.h (tags: merge-20040115-01), audacious/main.c,
	  audacious/main.h, audacious/mainwin.c, audacious/mainwin.h, audacious/playlist.c,
	  audacious/playlistwin.c, audacious/pluginenum.c, audacious/prefswin.c,
	  audacious/prefswin.h (tags: cvs-20040120-01-HEAD, merge-20040115-01),
	  libaudacious/util.c, libaudacious/util.h:
	  - fixed memory leak in vorbis/fileinfo.c:add_tag() - renamed
	  Config to BmpConfig, option_info to BmpOptionInfo - renamed
	  various *_cb() callback functions to *_callback() - renamed
	  libaudacious/util.c functions, added XMMS name aliases to keep
	  compatibility - miscellaneous cleanups (Glibize types, add
	  constness to string parameters etc.)

2003-12-29 00:36  mderezynski

	* audacious/: playlist_list.c, playlistwin.c:

	  playlistwin.c: fixed loading of playlists trough the file dialog

2003-12-28 22:37  mderezynski

	* audacious/pluginenum.c:

	  Added terminating null to pluginenum.c:
	  init_plugins()::g_build_filename()

2003-12-27 09:05  descender

	* audacious/: main.c, playlistwin.c, prefswin.c:
	  - main.c: fixed double g_free() bug in save_config() (introduced
	  in last commit) - cleanups

2003-12-27 07:59  descender

	* configure.in, audacious/input.c, audacious/input.h, audacious/main.c,
	  audacious/playlist.c, audacious/playlist.h, audacious/playlist_list.c:
	  - changed version number to 0.9.6.2 - fixed a few memory leaks
	  with temp. g_build_filename() usage

2003-12-27 05:19  mderezynski

	* audacious/: mainwin.c, playlist_list.c:

	  Fixed JTF treeview needs focus for enter keypress to have an
	  effect (now also works when the GtkEntry has focus)

2003-12-27 04:16  descender

	* audacious/dirbrowser.c, po/bmp.pot, po/fr.po:
	  - added translatable strings for dirbrowser - plugged some more
	  leaks in dirbrowser

2003-12-27 04:04  descender

	* audacious/: dirbrowser.c, prefswin.c:
	  - plugged most memory leaks in dirbrowser - cleanups

2003-12-26 23:55  descender

	* audacious/: equalizer.c, main.c, output.c, prefswin.c:
	  - replaced sprintf()s with snprintf()s

2003-12-26 23:47  descender

	* audacious/: playlist_list.c, playlistwin.c, prefswin.c, util.c,
	  util.h:
	  - cleanups

2003-12-26 17:31  descender

	* audacious/: plugin.h, prefswin.c:
	  - added typecast macros for plugin types - fixed memory leak in
	  prefswin_font_browse_cb()

2003-12-26 17:22  descender

	* audacious/: input.c, mainwin.c, playlist.c, playlist.h, textbox.c,
	  textbox.h:
	  - fixed memory leaks in mainwin - added const constraints to
	  string arguments

2003-12-26 16:48  descender

	* configure.in, scripts/gen-auto-scripts.sh (tags:
	  merge-20040115-01):
	  - bump version up to 0.9.7 - turn off autopoint invocation for
	  gen-auto-scripts by default

2003-12-26 16:30  descender

	* audacious/: Makefile.am, about.c, beep.h, dirbrowser.c, dynamic_lib.c,
	  effect.h (tags: cvs-20040120-01-HEAD, merge-20040115-01),
	  equalizer.c, equalizer.h (tags: merge-20040115-01), fft.c (tags:
	  merge-20040115-01), fullscreen.c, fullscreen.h (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01), general.h (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01), hints.c, hslider.c,
	  input.h, main.c, mainwin.h, menurow.c, monostereo.c,
	  monostereo.h, number.c, number.h, output.c, output.h (tags:
	  cvs-20040120-01-HEAD), pbutton.c, pbutton.h, playlist_popup.c,
	  playlist_popup.h (tags: merge-20040115-01), playlist_slider.c,
	  playlist_slider.h (tags: merge-20040115-01), playlistwin.h,
	  playstatus.c, pluginenum.c, prefswin.c, sbutton.c (tags:
	  merge-20040115-01), sbutton.h (tags: merge-20040115-01), skin.c,
	  skin.h, skinwin.c, skinwin.h, sm.c, sm.h (tags:
	  merge-20040115-01), svis.c, svis.h (tags: merge-20040115-01),
	  tbutton.c, tbutton.h, textbox.c, textbox.h, util.h, vis.c, vis.h
	  (tags: merge-20040115-01), visualization.c (tags:
	  merge-20040115-01), visualization.h (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01):
	  - removed all inclusion of "beep.h", removed beep.h

2003-12-26 14:47  descender

	* audacious/: eq_graph.c, eq_graph.h (tags: merge-20040115-01),
	  eq_slider.c, eq_slider.h (tags: merge-20040115-01), equalizer.c,
	  equalizer.h, hints.h (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01), hslider.h, menurow.h, prefswin.c, prefswin.h,
	  util.c, widget.c, widget.h:
	  - removed '#include "beep.h"'

2003-12-26 14:15  descender

	* audacious/: about.c, bmp.c (tags: merge-20040115-01), bmp.h (tags:
	  merge-20040115-01), dirbrowser.c, dirbrowser.h, dnd.h, dock.c
	  (tags: merge-20040115-01), dock.h (tags: merge-20040115-01),
	  general.c (tags: merge-20040115-01), general.h:
	  - removed '#Include "beep.h"'

2003-12-26 13:53  descender

	* audacious/playlist_list.c:
	  - fixed playlist drawing error when list is short

2003-12-26 13:29  descender

	* audacious/: dirbrowser.h, effect.c (tags: merge-20040115-01),
	  effect.h, playlist_list.c, util.c, util.h:
	  - cleanups

2003-12-26 11:40  descender

	* audacious/playlist_list.c:
	  - removed freetype2 header #include

2003-12-26 11:33  descender

	* audacious/: dirbrowser.c, playlist.c, playlist.h, playlist_list.c,
	  playlist_list.h (tags: merge-20040115-01), pluginenum.c,
	  skinwin.c, util.c, util.h:
	  - plugged all (I hope) memory leaks in playlist_list.c - more
	  cleanups

2003-12-26 07:26  descender

	* audacious/: controlsocket.c, dirbrowser.c, equalizer.c, main.c,
	  mainwin.c, playlist.c, playlist.h, playlist_list.c,
	  playlist_slider.c, playlistwin.c, prefswin.c:
	  - cleanup - renamed get_playlist*() to playlist_get*()

2003-12-25 08:58  descender

	* audacious/Makefile.am, scripts/cleanall.sh,
	  scripts/rm-auto-scripts.sh:
	  - updated helper scripts, cleanall.sh now removes .gmo files

2003-12-25 08:07  descender

	* audacious/beep.desktop.in (tags: merge-20040115-01):
	  - added 'Application' to Category field, added Encoding field

2003-12-25 01:50  descender

	* AUTHORS:
	  - added David Le Brun (French translation) to AUTHORS

2003-12-25 01:45  msikkes

	* libaudacious/util.c:
	  - changed stock button to stock_close

2003-12-25 01:30  descender

	* audacious/about.c, audacious/main.c, po/LINGUAS, po/bmp.pot, po/fr.po:
	  - last commit continued

2003-12-25 01:29  descender

	* beep.spec.in:
	  - added French translation

2003-12-25 01:17  mderezynski

	* audacious/: dirbrowser.c, mainwin.c:

	  dirbrowser cleanups

2003-12-25 00:11  descender

	* audacious/dirbrowser.c:
	  - plugged a few leaks - fixed invalid memory reference

2003-12-24 23:24  mderezynski

	* audacious/: dirbrowser.c, equalizer.c:

	  Fixed possible unitialized str_parent in
	  dirbrowser.c:dirbrowser_path_get_full()

2003-12-24 23:11  mderezynski

	* Visualization/blur_scope/blur_scope.c:

	  Fixed blur_scope.c imported fscked up cvs merger code

2003-12-24 22:06  mderezynski

	* libaudacious/: beepctrl.c (tags: merge-20040115-01), beepctrl.h (tags:
	  merge-20040115-01), configfile.c, configfile.h (tags:
	  merge-20040115-01), dirbrowser.c, dirbrowser.h (tags:
	  merge-20040115-01), formatter.c (tags: merge-20040115-01),
	  formatter.h (tags: merge-20040115-01), titlestring.c,
	  titlestring.h, util.c, util.h, xconvert.c, xconvert.h (tags:
	  merge-20040115-01), xentry.c (tags: merge-20040115-01), xentry.h
	  (tags: merge-20040115-01): [no log message]

2003-12-24 22:03  mderezynski

	* audacious/: about.c, bmp.c, controlsocket.c, controlsocket.h,
	  dirbrowser.c, dirbrowser.h, dnd.h, dock.c, dock.h, dynamic_lib.c,
	  dynamic_lib.h, effect.c, effect.h, eq_graph.c, eq_graph.h,
	  eq_slider.c, eq_slider.h, equalizer.c, equalizer.h, fft.c, fft.h
	  (tags: merge-20040115-01), fullscreen.c, fullscreen.h, general.c,
	  general.h, getopt.c (tags: merge-20040115-01), getopt.h (tags:
	  merge-20040115-01), getopt1.c (tags: merge-20040115-01), hints.c,
	  hints.h, hslider.c, hslider.h, info.h (tags: merge-20040115-01),
	  input.c, input.h, jump_to.h (tags: merge-20040115-01), main.c,
	  main.h, mainwin.c, mainwin.h, menurow.c, menurow.h, mkdtemp.c
	  (tags: merge-20040115-01), monostereo.c, monostereo.h, number.c,
	  number.h, output.c, output.h, pbutton.c, pbutton.h, pixmaps.h
	  (tags: merge-20040115-01), playlist.c, playlist.h,
	  playlist_list.c, playlist_list.h, playlist_popup.c,
	  playlist_popup.h, playlist_slider.c, playlist_slider.h,
	  playlistwin.c, playstatus.c, playstatus.h (tags:
	  merge-20040115-01), plugin.h, pluginenum.c, prefswin.c,
	  prefswin.h, sbutton.c, sbutton.h, skin.c, skin.h, skinwin.c,
	  skinwin.h, sm.c, softvolume.c, softvolume.h, svis.c, svis.h,
	  tbutton.c, tbutton.h, textbox.c, textbox.h, urldecode.c, util.c,
	  util.h, vis.c, vis.h, visualization.c, visualization.h, widget.c,
	  widget.h:

	  ...

2003-12-24 22:01  mderezynski

	* Output/alsa/about.c (tags: merge-20040115-01), Output/alsa/alsa.c
	  (tags: merge-20040115-01), Output/alsa/alsa.h,
	  Output/alsa/audio.c (tags: merge-20040115-01),
	  Output/alsa/configure.c (tags: merge-20040115-01),
	  Output/alsa/init.c (tags: merge-20040115-01), Output/esd/about.c
	  (tags: merge-20040115-01), Output/esd/audio.c,
	  Output/esd/configure.c (tags: merge-20040115-01),
	  Output/esd/esd.c (tags: merge-20040115-01), Output/esd/esdout.h
	  (tags: cvs-20040120-01-HEAD, merge-20040115-01),
	  Output/esd/init.c (tags: merge-20040115-01), Output/esd/mixer.c
	  (tags: merge-20040115-01), Visualization/blur_scope/blur_scope.c,
	  Visualization/blur_scope/blur_scope.h (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01),
	  Visualization/blur_scope/config.c:

	  Changed indentation style to K&R (using the "indent" utility) Now
	  the 5th commit in a row because of broken SF cvs commiting...

2003-12-24 21:59  mderezynski

	* Input/wav/wav.c, Input/wav/wav.h (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01), Output/OSS/OSS.c (tags: merge-20040115-01),
	  Output/OSS/OSS.h, Output/OSS/about.c (tags: merge-20040115-01),
	  Output/OSS/audio.c, Output/OSS/configure.c (tags:
	  merge-20040115-01), Output/OSS/convert.c (tags:
	  merge-20040115-01), Output/OSS/init.c (tags: merge-20040115-01),
	  Output/OSS/mixer.c (tags: merge-20040115-01),
	  Output/OSS/soundcard.h (tags: merge-20040115-01):

	  Changed indentation style to K&R (using the "indent" utility)

2003-12-24 21:55  mderezynski

	* Input/: mpg123/common.c (tags: merge-20040115-01),
	  mpg123/configure.c, mpg123/dct64.c (tags: merge-20040115-01),
	  mpg123/dct64_i386.c (tags: merge-20040115-01), mpg123/decode.c
	  (tags: merge-20040115-01), mpg123/decode_2to1.c (tags:
	  merge-20040115-01), mpg123/decode_4to1.c (tags:
	  merge-20040115-01), mpg123/decode_i386.c (tags:
	  merge-20040115-01), mpg123/dxhead.c (tags: merge-20040115-01),
	  mpg123/dxhead.h (tags: merge-20040115-01), mpg123/equalizer.c
	  (tags: merge-20040115-01), mpg123/fileinfo.c, mpg123/getbits.c
	  (tags: merge-20040115-01), mpg123/http.c, mpg123/huffman.h (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01), mpg123/id3.c (tags:
	  merge-20040115-01), mpg123/id3.h (tags: merge-20040115-01),
	  mpg123/id3_frame.c (tags: merge-20040115-01),
	  mpg123/id3_frame_content.c (tags: merge-20040115-01),
	  mpg123/id3_frame_text.c (tags: merge-20040115-01),
	  mpg123/id3_frame_url.c (tags: merge-20040115-01),
	  mpg123/id3_header.h (tags: merge-20040115-01), mpg123/id3_tag.c
	  (tags: merge-20040115-01), mpg123/l2tables.h (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01), mpg123/layer1.c,
	  mpg123/layer2.c, mpg123/layer3.c, mpg123/mpg123.c,
	  mpg123/mpg123.h (tags: merge-20040115-01), mpg123/tabinit.c
	  (tags: merge-20040115-01), vorbis/configure.c, vorbis/fileinfo.c,
	  vorbis/glibconfig.h (tags: merge-20040115-01), vorbis/http.c,
	  vorbis/http.h, vorbis/vcedit.c (tags: merge-20040115-01),
	  vorbis/vcedit.h (tags: merge-20040115-01), vorbis/vorbis.c,
	  vorbis/vorbis.h (tags: merge-20040115-01):

	  Changed indentation style to K&R (using the "indent" utility)

2003-12-24 21:27  mderezynski

	* Input/cdaudio/: cdaudio.c, cdaudio.h, cddb.c, cddb.h (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01), cdinfo.c, cdinfo.h,
	  configure.c, http.c, http.h (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01):

	  Changed indentation style to K&R (using the "indent" utility)

2003-12-24 20:28  mderezynski

	* Input/vorbis/vorbis.c:

	  Fixed FreeBSD compile problem

2003-12-24 19:47  msikkes

	* AUTHORS:
	  - added myself to AUTHORS :)

2003-12-24 14:02  descender

	* beep-media-player.1.in (tags: merge-20040115-01):
	  - adapted xmms(1) manpage to fit beep-media-player(1)

2003-12-24 13:41  descender

	* beep.spec.in:
	  - updated beep.spec changelog

2003-12-24 13:37  descender

	* icons/Makefile.am:
	  - last cvs commit continued (got aborted halfway yet again)

2003-12-24 13:35  descender

	* Makefile.am (tags: merge-20040115-01), beep.spec.in,
	  audacious/Makefile.am:
	  - fixed 'make dist' - first fully usable RPM spec file

2003-12-24 11:34  descender

	* scripts/: gen-auto-scripts.sh, make-dist.sh (tags:
	  cvs-20040120-01-HEAD, merge-20040115-01):
	  - improved customizability of gen-auto-scripts.sh

2003-12-24 11:19  mderezynski

	* audacious/: beep_logo.xpm, dirbrowser.c, mainwin.c:

	  * dirbrowser.c: Added the ability to add albums on double click
	  in metadata view * beep_logo.xpm: Changed logo to bmp instead of
	  beep * mainwinc: Changed menu entry to "About bmp" instead of
	  "About ::beep."

2003-12-24 09:28  msikkes

	* Makefile.am, beep-media-player.1.in, beep.1.in, configure.in:
	  - renamed beep.1.in -> beep.1

2003-12-24 09:03  descender

	* icons/: Makefile.am, beep-red.svg, beep.svg (tags:
	  merge-20040115-01):
	  - renamed beep-red.svg to beep.svg, removed original beep.svg

2003-12-24 08:58  msikkes

	* audacious/Makefile.am:
	  - includedir <dir>/beep -> <dir>/bmp

2003-12-24 08:24  mderezynski

	* audacious/main.c:

	  Changed playlist default font to Sans Bold 12

2003-12-24 08:02  mderezynski

	* audacious/main.c:

	  Fixed bmp playlist not loaded at startup

2003-12-24 07:52  msikkes

	* Visualization/blur_scope/blur_scope.c:
	  - fixed compile warning

2003-12-24 07:51  msikkes

	* configure.in:
	  - plugindir from <dir>/beep to <dir>/bmp

2003-12-24 07:48  mderezynski

	* audacious/: equalizer.c, skinwin.c, util.c:

	  Replaced window titles to bmp:

2003-12-24 07:09  msikkes

	* libaudacious/util.c:
	  - added automatic policy to scrollbars

2003-12-24 07:03  mderezynski

	* audacious/input.c:

	  Fixed memleak in input.c: input_check_file()

2003-12-24 05:59  msikkes

	* AUTHORS:
	  - added vlad@softshape.com as the skin author

2003-12-24 01:59  mderezynski

	* audacious/: input.c, playlist_list.c:

	  Changes in playlist rendering

2003-12-24 00:34  msikkes

	* configure.in:
	  - fixed DATA_DIR=$(datadir)/beep to /bmp

2003-12-19 00:47  msikkes

	* libaudacious/util.c:
	  - removed #include <string.h>, was used for debugging

2003-12-18 23:13  msikkes

	* libaudacious/util.c:
	  - xmms_show_message dialog now shows a scrolledwindow

2003-12-16 18:23  descender

	* Output/OSS/configure.c, Output/alsa/alsa.c,
	  Output/alsa/configure.c, audacious/Makefile.am, audacious/controlsocket.c,
	  audacious/controlsocket.h, audacious/main.c, audacious/mainwin.h,
	  icons/Makefile.am, libaudacious/beepctrl.c:
	  - Last commit was interrupted.

2003-12-16 18:22  descender

	* beep.m4 (tags: merge-20040115-01), beep.spec.in:
	  - fixed GCC warnings - fixed memory leak in socket I/O timeout
	  code - added socket I/O timeout to libbeep - updated RPM spec
	  file - miscellaneous tweaks to installation paths

2003-12-14 05:19  descender

	* audacious/: mainwin.c, playlist.c, playlist.h, playlist_list.c,
	  playlistwin.c:
	  - use GStaticMutex instead of pthread_mutex_t for playlist_mutex
	  - renamed playlist mutex lock/unlock macros from PL_LOCK/UNLOCK
	  to PLAYLIST_LOCK/UNLOCK

2003-12-14 00:00  msikkes

	* Output/OSS/configure.c:
	  - fixed compiler warnings

2003-12-13 23:42  msikkes

	* Output/esd/configure.c:
	  - fixed compiler warnings

2003-12-13 22:48  msikkes

	* Input/mpg123/configure.c:
	  - fixed bug where mpg123 didn't save it's config variables to
	  configfile

2003-12-13 21:31  descender

	* audacious/: mainwin.c, mainwin.h, playlist.c, playlist.h,
	  playlistwin.h:
	  - replaced '#include "beep.h"' in playlist.h

2003-12-13 21:15  descender

	* audacious/playlist.c:
	  - fixed memory leak in playlist_get_info_text()

2003-12-13 21:12  msikkes

	* Input/wav/wav.c: fixed a warning at line 57, removed VERSION
	  argument in g_strdup_printf (it wasn't used)

2003-12-13 21:09  msikkes

	* Makefile.am: added beep.pc to installation procedure

2003-12-13 21:02  msikkes

	* Makefile.am: added beep.pc to to install procedure

2003-12-13 17:18  descender

	* audacious/: beep.h, dirbrowser.c, dirbrowser.h, dynamic_lib.c,
	  equalizer.h, main.c, main.h, mainwin.c, mainwin.h,
	  playlist_slider.h, playlistwin.c, playlistwin.h, util.h:
	  - more cleanups

2003-12-13 07:45  hyriand

	* Input/mpg123/: common.c, mpg123.c: fixed compiler warnings

2003-12-13 07:19  hyriand

	* Input/cdaudio/: cdaudio.c, cdaudio.h, cddb.c, configure.c,
	  http.c, http.h: fixed compiler warnings, fixed vorbistags
	  changing GTK char buffers, fixed wav-plugin memleak

2003-12-13 06:38  hyriand

	* libaudacious/xentry.c: fixed compiler warnings

2003-12-13 06:30  hyriand

	* audacious/: about.c, beep.h, dirbrowser.c, eq_slider.c, hslider.c,
	  input.c, main.h, mainwin.c, mainwin.h, playlist.c, playlist.h,
	  playlist_list.c, playlist_popup.c, playlist_slider.c,
	  playlistwin.c, pluginenum.c, prefswin.c, sbutton.c, util.c,
	  util.h: fixed all compiler warnings

2003-12-13 05:18  descender

	* audacious/: Makefile.am, main.c, main.h, mainwin.c, mainwin.h,
	  number.h:
	  - move monster mainwin code into mainwin.c

2003-12-13 04:09  descender

	* audacious/playlistwin.c: - replaced playlistwin explicit hard coded
	  sizes with macros

2003-12-13 03:49  hyriand

	* audacious/util.c: fixes for add file dialog (the gtk one) for plugins
	  that override dirs 1) don't add ./ and ../ to the file list 2)
	  check the current dir when showing the dialog

2003-12-13 03:29  descender

	* audacious/: main.c, pluginenum.c:
	  - replaced mainwin hard coded sizes, which were specified in
	  explicit values, with macros - removed commented out prototypes

2003-12-13 01:45  mderezynski

	* audacious/: input.c, main.c, playlist_list.c, plugin.h, pluginenum.c,
	  util.c:

	  Fixed window title behaviour, made plugins return gint on plugin
	  init()

2003-12-12 21:40  descender

	* audacious/dynamic_lib.c:
	  - forgot to include "config.h" to get definition of SYMBOL_PREFIX

2003-12-12 21:37  descender

	* audacious/: Makefile.am, dynamic_lib.c, dynamic_lib.h, pluginenum.c:
	  - moved out dynamic library handling code from pluginenum.c into
	  dynamic_lib.c, added entries to Makefile.am accordingly

2003-12-12 21:08  descender

	* audacious/: input.c, input.h, main.c, pluginenum.c, skin.h, textbox.h:

	  - continued, last commit somehow excluded these files

2003-12-12 21:02  descender

	* beep.pc.in, configure.in, Input/vorbis/fileinfo.c:
	  - added beep.pc output to ./configure - more clean ups

2003-12-10 03:05  mderezynski

	* audacious/: equalizer.c, playlist_list.c, playlistwin.c:

	  Forgot to make EQ transient again

2003-12-10 02:25  msikkes

	* beep.pc.in: Added beep pkg-config file.

2003-12-08 14:01  descender

	* audacious/: input.c, input.h, main.h, playstatus.h, textbox.h, vis.h,
	  widget.h:
	  - start of '#include "beep.h"" replacement (with more specific
	  includes) - miscellaneous clean ups

2003-12-08 12:36  descender

	* audacious/playlist.c:
	  - g_free() was not used correctly in playlist_set_current_name()

2003-12-08 12:34  descender

	* audacious/: playlist.c, playlist.h:
	  - unfsck and restore playlist_current_name accessor methods
	  (someone reverted it to the old code)

2003-12-08 09:43  descender

	* audacious/main.c, audacious/skinwin.c, libaudacious/configfile.c,
	  libaudacious/configfile.h:
	  - fixed sigsegv with skin browser - added const constraints to
	  config read/write functions - remove commented out g_strconcat()s
	  and an unnecessary temp string allocation

2003-12-07 22:14  descender

	* audacious/: urldecode.c, urldecode.h (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01):
	  - fixed memory leaks and added const constraints on input strings
	  for xmms_urldecode_*()

2003-12-07 19:07  mderezynski

	* audacious/: Makefile.am, playlistwin.c:

	  Reverted subwindows to transients (for now). That breaks alot of
	  stuff again (no minimizing on entry click in GNOME window list),
	  but at least no worries about the playlist window anymore.

2003-12-07 02:53  mderezynski

	* audacious/: Makefile.am, main.c, playlist.c, playlist_list.c,
	  pluginenum.c:

	  audacious/pluginenum.c * Renamed scan_plugins to bmp_scan_plugins to
	  avoid DL problem on Linux w/ libxine (which has an own
	  scan_plugins)

2003-12-06 04:04  mderezynski

	* audacious/playlist.c:

	  playlist.c: * removed debug messages

2003-12-06 04:01  mderezynski

	* audacious/: dirbrowser.c, pixmaps.h, playlist.c, playlist_list.c,
	  urldecode.c:

	  playlist.c: * Fixed forgotten change from variables 'string' to
	  'decoded' in playlist_ins_url_string()

	  playlist_list.c: * Alignment of 1-digit track numbers right
	  instead of left

2003-12-05 13:36  coder_sku

	* audacious/tbutton.c: fixed typecasts

2003-12-05 13:35  coder_sku

	* audacious/: dock.c, dock.h: removed totaly unused and somewhat wacky
	  function

2003-12-05 13:14  coder_sku

	* audacious/pbutton.c: type casting correction

2003-12-05 13:08  coder_sku

	* audacious/controlsocket.c: commented out unused static variables

2003-12-05 12:56  coder_sku

	* audacious/: playlist.c, skinwin.h: more compiler warning fixes

2003-12-05 12:51  coder_sku

	* audacious/pluginenum.c: compiler warning fixes

2003-12-05 12:40  coder_sku

	* audacious/: input.c, input.h, output.c: compiler warning fixes

2003-12-05 12:30  coder_sku

	* audacious/equalizer.c: fixed a mistype, and commented out unused
	  function

2003-12-05 09:49  mderezynski

	* audacious/urldecode.c:

	  Fixed free() problem in xmms_urldecode_path()

2003-12-05 01:42  coder_sku

	* audacious/skinwin.c: converted scan_skindir to use glib and util.c
	  archive stuff instead of unix code and repeated strcmp

2003-12-04 23:14  mderezynski

	* audacious/dirbrowser.c:

	  Fixed metadata view not showing any names

2003-12-04 23:08  mderezynski

	* audacious/: dirbrowser.c, input.c, main.c, playlist.c, urldecode.c:

	  Fixed crash whith DnD-ing files

2003-12-04 21:20  mderezynski

	* audacious/urldecode.c: [no log message]

2003-12-04 20:18  mderezynski

	* audacious/urldecode.c: [no log message]

2003-12-04 20:12  mderezynski

	* audacious/urldecode.c: [no log message]

2003-12-04 20:07  mderezynski

	* Input/vorbis/vorbis.c, audacious/dirbrowser.c, audacious/main.c,
	  audacious/pluginenum.c, audacious/urldecode.c, audacious/urldecode.h:

	  Partial revert of changes in urldecode.c

2003-12-04 18:31  mderezynski

	* Input/: mpg123/mpg123.c, vorbis/vorbis.c:

	  Re-added code neccesary for browser metadata view

2003-12-04 18:30  mderezynski

	* audacious/: build.list (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01), dirbrowser.c, input.c, input.h, pixmaps.h,
	  plugin.h:

	  Re-introduced (?! how could it get lost) dirbrowser.c ALL
	  warnings are back in (how could this happen?)

2003-12-04 08:40  mderezynski

	* audacious/: Makefile.am, dirbrowser.c:

	  Added new file dirbrowser.c

2003-12-04 08:38  mderezynski

	* audacious/: Makefile.am, playlist.c, playlist.h:

	  Browser updates, externalization into dirbrowser.c, dirbrowser.h

2003-12-03 21:33  mderezynski

	* audacious/output.c:

	  Fixed prefswin freeze trough reverting output plugin change
	  behaviour

2003-12-03 01:37  mderezynski

	* audacious/playlist.c:

	  Compile cleanups

2003-12-03 00:28  coder_sku

	* audacious/: skinwin.c, util.c, util.h: compiler warnings/small
	  bugfixes

2003-12-02 23:13  coder_sku

	* audacious/: skin.c, util.c: compiler warning fixes

2003-12-02 21:29  descender

	* audacious/playlist.c:
	  - fixed dirbrowser segfault

2003-12-02 18:55  descender

	* audacious/beep.h, audacious/effect.c, audacious/effect.h, audacious/equalizer.c,
	  audacious/equalizer.h, audacious/input.c, audacious/input.h, audacious/main.c,
	  audacious/playlist.c, audacious/playlist.h, audacious/playlist_list.c,
	  audacious/playlistwin.c, audacious/pluginenum.c, audacious/skin.c,
	  audacious/skinwin.c, audacious/urldecode.c, audacious/urldecode.h,
	  libaudacious/configfile.c, libaudacious/configfile.h,
	  libaudacious/titlestring.c, libaudacious/titlestring.h:
	  - added const constraints to gchar/char * string parameters
	  wherever appropriate

2003-12-02 11:49  descender

	* audacious/main.c:
	  - removed redundant commented gtk_rc_* calls, make Beep exit with
	  code 1 instead of 0 when gtk fails to init and wasn't run to
	  command a remote session.

2003-12-02 10:34  descender

	* audacious/playlist.c:
	  - replaced stat() and S_ISDIR() with g_file_test()

2003-12-02 08:04  descender

	* audacious/: playlist.c, playlist.h, playlistwin.c, playlistwin.h:
	  - localized playlist_current_name - fixed memory leak in
	  playlist_set_current_name() - fixed warped redundant code in
	  playlist_get_current_name()

2003-12-02 07:45  descender

	* audacious/controlsocket.c:
	  - Glibize anything unglibized

2003-12-02 05:53  mderezynski

	* AUTHORS:

	  Added authors to AUTHORS

2003-12-01 17:02  descender

	* Makefile.am, configure.in, icons/Makefile.am,
	  libaudacious/Makefile.am, scripts/gen-auto-scripts.sh:
	  - added (gettext) autopoint invocation - added m4 search path in
	  relevant Makefile.am files, macro errors due to re-aclocalizing
	  by make should be fixed now - SVG icons are now installed (with
	  make install)

2003-12-01 03:03  descender

	* beep.spec.in:
	  - first functional RPM spec file (for Fedora)

2003-12-01 00:48  descender

	* Makefile.am, configure.in, icons/Makefile.am:
	  - added make targets for icons/

2003-12-01 00:37  descender

	* configure.in:
	  - added switch to disable building ALSA output plugin

2003-11-29 12:13  descender

	* audacious/beep.desktop.in:
	  - revised desktop entry file, added categories field (according
	  to xdg-menu 0.8 specification)

2003-11-29 07:30  descender

	* Input/vorbis/: configure.c, fileinfo.c, vorbis.c:
	  - use GLib mutex instead of pthread (vf_mutex) - plugged memory
	  leaks due to double string allocations - replaced g_basename()
	  (deprecated) with g_path_get_basename() - simplified some code

2003-11-29 03:11  coder_sku

	* configure.in, audacious/Makefile.am: removed gnet stufferoo

2003-11-28 17:49  descender

	* config.h.in, libaudacious/config.h.in:
	  - remove config.h.in files, autogenerated by autoheader

2003-11-28 10:33  descender

	* Input/mpg123/Makefile.am, Visualization/blur_scope/Makefile.am
	  (tags: cvs-20040120-01-HEAD, merge-20040115-01),
	  audacious/Makefile.am:
	  - updated Makefile.am files, 'make dist' now works.

2003-11-28 10:09  descender

	* Makefile.am, beep.desktop.in, configure.in,
	  Output/OSS/configure.c, audacious/Makefile.am, po/bmp.pot, po/fr.po,
	  scripts/armageddon.sh (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01), scripts/cleanall.sh,
	  scripts/gen-auto-scripts.sh, scripts/genesis.sh (tags:
	  merge-20040115-01), scripts/make-dist.sh,
	  scripts/rm-auto-scripts.sh:
	  - added French translation (David david@dyn-ns.net) (l10n not
	  working yet) - removed duplicate beep.desktop.in /, updated
	  helper scripts to use AUTHORS to test for top-level directory
	  instead.

2003-11-28 09:14  descender

	* scripts/: armageddon.sh, cvs2cl.pl (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01), gen-auto-scripts.sh, rm-auto-scripts.sh:
	  - updated cvs2cl.pl to 2.5 - revised/updated helper scripts (use
	  'test' instead of '[]', added changelog generation, remove some
	  files previously missed, etc.)

2003-11-28 08:41  descender

	* configure.in, libaudacious/configure.in (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01):
	  * use new AC_OUTPUT macro * added beep.desktop to ./configure
	  output

2003-11-28 07:28  descender

	* audacious/controlsocket.c:
	  - oopsie fix: setup_ctrlsocket() scan loop did not terminate
	  immediately when socket file exists and cannot be unlinked (but
	  no problem since bind()-ing the file fails anyway)

2003-11-28 07:16  descender

	* audacious/controlsocket.c:
	  - rearranged setup_ctrlsocket() logic - added timing out to
	  control socket I/O (default: 0.1s)

2003-11-27 13:37  descender

	* beep-config.in, configure.in:
	  - fixed beep-config(.in) borkage - added gnet2 checks

2003-11-27 09:48  descender

	* audacious/: controlsocket.c, main.c:
	  - ported control socket code to use GLib thread functions.  -
	  fixed up xmms_compat_mode option handling

2003-11-27 07:24  mderezynski

	* Input/mpg123/mpg123.c, Input/vorbis/vorbis.c, audacious/input.c,
	  audacious/input.h, audacious/main.c, audacious/playlist.c, audacious/plugin.h,
	  audacious/pluginenum.c, audacious/skin.c:

	  Initial import of filebrowser revampness

2003-11-27 07:00  coder_sku

	* audacious/: skin.c, skinwin.c, util.c, util.h: rewrote archive
	  decompression functions, placed them in util.c

2003-11-27 02:20  coder_sku

	* audacious/: skin.c, skin.h: finished removing def_pixmap stuff

2003-11-26 15:08  descender

	* ABOUT-NLS (tags: merge-20040115-01), acinclude.m4 (tags:
	  merge-20040115-01), config.h.in, configure.in,
	  libaudacious/acinclude.m4 (tags: cvs-20040120-01-HEAD,
	  merge-20040115-01), scripts/gen-auto-scripts.sh,
	  scripts/rm-auto-scripts.sh:
	  - sanitized acinclude.m4 and libaudacious/acinclude.m4

2003-11-26 15:06  descender

	* m4/: alsa.m4, beep-old.m4, beep.m4, codeset.m4, esd.m4,
